DC105: Product Description

Product Description

The DC105Ô provides a modern set of tools for DC electrochemical corrosion testing. It offers a unique combination of flexibility, power, and ease of use. The DC105 runs under the Gamry FrameworkÔ, which in turn runs under the MicrosoftÒ WindowsÓ 2000 or XP operating systems.

The DC105 gives you all the standard electrochemical corrosion experiments at the click of a button. But when a standard test isn't enough, you can create new tests using our ExplainÔ script language. Data manipulation and display is done using the Gamry Echem AnalystÔ.

You can use the DC105 with any of the following Gamry Instruments' Potentiostat/Galvanostat/ZRAs:

Potentiostat Family |
PC5Ô | Reference 600Ô
PCI4Ô | PCI4/300Ô, PCI4/750Ô, FAS2Ô

You may also be interested in other Gamry applications software:

CPT110Ô | Critical Pitting Temperature
EN120Ô | Electrochemical Noise
EFM140Ô | Electrochemical Frequency Modulation
EIS300Ô | Electrochemical Impedance Spectroscopy
ESA400Ô | Electrochemical Signal Analysis

Further information is available at the Gamry web site, www.gamry.com .

Useful books covering corrosion theory and electrochemical corrosion tests include:

Denny A. Jones, Principles and Prevention of Corrosion, 2nd. Ed., Prentice Hall, Upper Saddle River NJ, 1995.

Herbert H. Uhlig and R. Winston Revie, Corrosion and Corrosion Control, 3rd. Ed., John Wiley and Sons, New York NY, 1985.

Electrochemical Techniques for Corrosion Engineering, R. Baboian, Editor, NACE, Houston TX, 1986.

Corrosion Testing and Evaluation, STP 1000, Edited by R. Baboian and S. W. Dean, American Society for Testing and Materials, West Conshohocken, PA 19428, 1991.

Electrochemical Corrosion Testing, STP 727, Edited by F. Mansfeld and U. Bertocci, American Society for Testing and Materials, West Conshohocken, PA 19428, 1979.


DC105: Current and Voltage Conventions

Current and Voltage Conventions

A current value of -1.2 mA can mean different things to workers in different areas of electrochemistry. To a corrosion scientist it represents 1.2 mA of cathodic current. To an analytical electrochemist it represents 1.2 mA of anodic current. In the DC105's standard techniques we follow the corrosion convention for current. Positive currents are anodic, resulting in an oxidation at the metal specimen under test.

Potentials can also be a source of confusion. In the DC105, the equilibrium potential assumed by the metal in the absence of electrical connections to the metal is called the Open Circuit Potential, Eoc. We have reserved the term Corrosion Potential, Ecorr for the potential at which no current flows, as determined by a numerical fit of current versus potential data. In an ideal case, the values for Eoc and Ecorr will be identical. One reason the two voltages may differ is changes in the electrode surface during the scan.

In the DC105, all potentials are specified or reported as the potential of the working electrode with respect to either the reference electrode or the open circuit potential. The former is always labeled as "vs Eref" and the later is labeled as "vs Eoc". The equations used to convert from one form of potential to the other are:

E vs Eoc = ( E vs Eref ) - Eoc

E vs Eref = ( E vs Eoc) + Eoc

Regardless off whether potentials are versus Eref or versus Eoc, one sign convention is used. The more positive a potential, the more anodic it is. More anodic potentials tend to accelerate oxidation of a metal specimen.


Review of the Electrochemical Basis of Corrosion

Nearly all metal corrosion occurs via electrochemical reactions at the interface between the metal and a electrolyte solution. A thin film of moisture on a metal surface forms the electrolyte for atmospheric corrosion. Wet concrete is the electrolyte for reinforcing rod corrosion in bridges. Although most corrosion takes place in water, corrosion in non-aqueous systems is not unknown.

Corrosion normally occurs at a rate determined by an equilibrium between opposing electrochemical reactions. The first is the anodic reaction, in which a metal is oxidized, releasing electrons into the metal. The other is the cathodic reaction, in which a solution species (often O2 or H+) is reduced, removing electrons from the metal. When these two reactions are in equilibrium, the flow of electrons from each reaction is balanced, and no net electron flow (electronic current) occurs. The two reactions can take place on one metal or on two dissimilar metals (or metal sites) that are electrically connected.

The following figure diagrams this process. The vertical axis is potential and the horizontal axis is the logarithm of absolute current. The theoretical current for the anodic and cathodic reactions are shown as straight lines. The curved line is the sum of the anodic and cathodic currents. It is the current that you measure when you sweep the potential of the metal. The sharp point in the curve result from the use of a logarithmic axis. It is actually the point where the current gets very small prior to changing sign.

Corrosion Process Showing Anodic and Cathodic Current Components

The potential of the metal is the means by which the anodic and cathodic reactions are kept in balance. Refer to the previous figure. Notice that the current from each half reaction depends on the electrochemical potential of the metal. Suppose the anodic reaction releases too many electrons into the metal. Excess electrons shift the potential of the metal more negative, which slows the anodic reaction and speeds up the cathodic reaction. This counteracts the initial perturbation of the system.

In the DC105, the equilibrium potential assumed by the metal in the absence of electrical connections to the metal is called the Open Circuit Potential ,Eoc.

The value of either the anodic or cathodic current at Eoc is called the Corrosion Current, Icorr. If we could measure Icorr, we could use it to calculate the corrosion rate of the metal. Unfortunately Icorr cannot be measured directly. However, it can be estimated using electrochemical techniques. In any real system Icorr and Corrosion rate are a function of many system variables including type of metal, solution composition, temperature, solution movement, metal history, and many others.

The above description of the corrosion process does not say anything about the state of the metal surface. In practice, many metals form an oxide layer on their surface as they corrode. If the oxide layer inhibits further corrosion, the metal is said to passivate. In some cases, local areas of the passive film break down allowing significant metal corrosion to occur in a small area. This phenomena is called pitting corrosion, or simply pitting.

Because corrosion occurs via electrochemical reactions, electrochemical techniques are ideal for the study of the corrosion processes. In electrochemical studies a metal sample a few cm² in surface area is used to model the metal in a corroding system. The metal sample is immersed in a solution typical of the metal's environment in the system being studied. Additional electrodes are immersed in the solution, and all the electrodes are connected to a device called a potentiostat. A potentiostat allows you to change the potential of the metal sample in a controlled manner.

With the exception of Open Circuit Potential vs Time and Galvanic Corrosion techniques, all of the DC105 standard techniques use the potentiostat to perturb the equilibrium corrosion process. When the potential of a metal sample in solution is forced away from Eoc it is referred to as polarizing the sample. The response (current or voltage) of the metal sample is measured as it is polarized. The response is used to develop a model of the sample's corrosion behavior. Both controlled potential (potentiostatic) and controlled current (galvanostatic) polarization are useful. When the polarization is done potentiostatically, current is measured, and when it is done galvanostatically, potential is measured. This discussion will concentrate on controlled potential methods, which see more common use.

Suppose we use the potentiostat to force the potential of a metal anodic (towards positive potentials) from Eoc. In the previous figure, we are moving towards the top of the graph. This will increase the rate of the anodic reaction and decrease the rate of the cathodic reaction. Since the anodic and cathodic reactions are no longer balanced, a net current will flow from the electronic circuit into the metal sample. The sign of this current is positive by convention. The potentiostat accurately measures the current. If we take the potential far enough from Eoc, the current from the cathodic reaction will be negligible, and the measured current will be a measure of the anodic reaction alone. In the previous figure, notice that the curves for the cell current and the anodic current lie on top of each other at positive potentials. Conversely, at strongly negative potentials the cell current is dominated by the cathodic current.

In some cases as we vary the potential, we will first passivate the metal then cause pitting corrosion. Analysis of a curve plotting the measured current versus time or potential may allow us to determine Icorr at Ecorr, the tendency for passivation to occur, or the potential range over which pitting will occur.


Quantitative Corrosion Theory

In the previous section we pointed out that Icorr cannot be measured directly. In many cases you can estimate it from current versus voltage data. You can measure a log current versus potential curve over a range of about one half volt. The voltage scan is centered on Eoc. You then fit the measured data to a theoretical model of the corrosion process.

The model we will use assumes that the rates of both the anodic and cathodic processes are controlled by the kinetics of the electron transfer reaction at the metal surface. This is generally the case for corrosion reactions. An electrochemical reaction under kinetic control obeys the following equation, the Tafel equation.

In this equation,
I is the current resulting from the reaction,
Io is a reaction dependant constant called the exchange current,
E is the electrode potential,
Eo is the equilibrium potential (constant for a given reaction),
b is the reaction's Beta Coefficient (constant for a given reaction)
Beta has units of volts/decade.

The Tafel equation describes the behavior of one isolated reaction. In a corrosion system, we have two opposing reactions.

The Tafel equations for both the anodic and cathodic reactions in a corrosion system can be combined to generate the Butler-Volmer equation seen below.

where
I is the measured cell current in amps,
Icorr is the corrosion current in amps,
Ecorr is the corrosion potential in volts,
b a is the anodic Beta (Tafel) coefficient in volts/decade,
b c is the cathodic Beta (Tafel) coefficient in volts/decade.

What does the Butler-Volmer equation predict about the current versus voltage curve? At Ecorr each exponential term equals one. The cell current is therefore zero, as you would expect. Near Ecorr, both exponential terms contribute to the overall current. Finally, as you get far from Ecorr, one exponential term predominates and the other term can be ignored. When this occurs, a plot of log current versus potential becomes a straight line.

A log I versus E plot is generally called a Tafel plot.

In practice many corrosion systems are kinetically controlled and thus obey the Butler-Volmer Equation. A log current versus potential curve that is linear on both sides of Ecorr is indicative of kinetic control for the system being studied. However, there can be complications, such as:

  • Concentration polarization, where the rate of a reaction is controlled by the rate at which reactants arrive at the metal surface. Often cathodic reactions show concentration polarization at higher currents, when diffusion of oxygen or hydrogen ion is not fast enough to sustain the kinetically controlled rate.
  • Oxide formation, which may or may not lead to passivation, can alter the surface of the sample being tested. The original surface and the altered surface may have different values for the constants in the Butler-Volmer equation.
  • Other effects that alter the surface, such as preferential dissolution of one alloy component, can also cause problems.
  • A mixed control process, where more than one cathodic or anodic reaction occurs simultaneously, complicates the model. An example of mixed control is the simultaneous reduction of oxygen and hydrogen ion.
  • Finally, potential drop as a result of cell current flowing through the resistance of your cell solution causes errors in the kinetic model. This last effect, if it is not too severe, may be correctable via IR compensation in the potentiostat.

In most cases, complications like those listed above will cause non-linearities in the Tafel plot. The numbers that come out of a Tafel analysis on data that does not have a linear Tafel plot should be used with caution.

Classic Tafel analysis is performed by extrapolating the linear portions of a log current versus potential plot back to their intersection. See the figure below. The value of either current at the intersection is Icorr. Unfortunately, many real world corrosion systems do not provide sufficient linear region to permit accurate extrapolation. Most modern corrosion test software performs a more sophisticated numerical fit to the Butler-Volmer equation. The measured data is fit to the Butler Volmer equation by adjusting the values of Ecorr, Icorr, b a and b c. The curve fitting method has the advantage that it does not require a fully developed linear portion of the curve.

Classic Tafel Analysis

The Butler Volmer equation can be further simplified by restricting the potential to be very near to Ecorr. Close to Ecorr, the current versus voltage curve approximates a straight line. The slope of this line has the units of resistance (ohms). The slope is called the Polarization Resistance, Rp. An Rp value can be combined with an estimate of the Beta coefficients to yield an estimate of the corrosion current.

If we approximate the exponential terms in the Butler Volmer Equation with the first two term of a power series expansion (ex = 1+x +x2/2...) and simplify we get one form of the Stern-Geary equation:

Icorr = (1/ Rp) (b a b c / 2.303 (b a + b c) )

In a Polarization Resistance experiment you record a current versus voltage curve as the cell voltage is swept over a small range near Eoc. A numerical fit of the curve yields a value for the Polarization Resistance, Rp. Polarization Resistance data does not provide any information about the values for the Beta coefficients. Therefore, to use the Stern Geary equation you must provide Beta values. These can be obtained from separate Tafel type experiments or estimated from your experience with the system you are testing.


Corrosion Rate: Calculation

The numerical result obtained by fitting corrosion data to a model is generally a corrosion current. We are interested in corrosion rates in more useful terms, such as a corrosion rate in millimeters per year. How is corrosion current used to generate a corrosion rate?

Assume an electrolytic dissolution reaction involving a chemical species, S:

S --> Sn+ + ne-

You can relate current flow to mass via Faraday's Law.

QS = n F MS

where

QS is the charge in coulombs resulting from the reaction of species S,
n is the number of electrons transferred per molecule or atom of S,
F is Faraday's constant = 96485.34 coulombs/mole,
MS is the number of moles of species S reacting.

A more useful form of Faraday’s Law requires the concept of equivalent weight. The equivalent weight (EWS) is the mass of species S that will react with one Faraday of charge. For an atomic species EW = AW/n (where AW is the atomic weight of the species). For a complex alloy that undergoes uniform dissolution, the equivalent weight is a weighted average of the equivalent weights of the alloy components. Mole fraction, not mass fraction, is used as the weighting factor. If the dissolution is not uniform, you may have to measure the corrosion products to calculate EW.

Substituting into Faraday’s Law we get:

WS = EWS QS / F

where
WS Is the mass of species S that has reacted.

In cases where the corrosion occurs uniformly across a metal's surface, the corrosion rate can be calculated in units of distance per year. Be careful - this calculation underestimates the problem when localized corrosion occurs!

Conversion from a weight loss to a corrosion rate (CR) is straightforward. We need to know the density, d, and the sample area, A. Charge is given by Q = I T, where T is the time in seconds and I is a current. We can substitute in the value of Faraday's constant. Modifying the previous equation,

CR = Icorr K EW / d A

CR The corrosion rate. Its units are given by the choice of K,
Icorr The corrosion current in amps,
K A constant that defines the units for the corrosion rate,
EW The equivalent weight in grams/equivalent,
d Density in grams/cm³
A Sample area in cm².

The following table shows the value of K used in the corrosion rate equation for corrosion rates in the units of your choice.

Corrosion Rate Constants
Units for Corrosion Rate | K | Units
mm/year | 3272 | mm/( Amp cm year )
um/year | 3.272x106 | um/( Amp cm year )
millinches/year (Gamry default) | 1.288x105 | milliinches/( Amp cm year )

See ASTM Standard G 102, Standard Practice for Calculation of Corrosion Rates and Related Information from Electrochemical Measurements, for further information. The standard can be obtained from ASTM, 1916 Race St., Philadelphia, Pennsylvania 19013-1187 (USA) www.astm.org.


IR Compensation

When you pass current between two electrodes in a conductive solution, there will always be regions of different potentials in the solution. Much of the overall change in potential occurs very close to the surface of the electrodes. Here the potential gradients are largely due to ionic concentration gradients set up near the metal surfaces. Also there is always a potential difference (a potential drop) due to current flow through the resistance in the bulk of the solution.

In an electrochemical experiment, the potential that you wish to control or measure is the potential of a metal specimen (called the working electrode) versus a reference electrode. You are normally not interested in the potential drops due to solution resistances.

The Gamry Instruments Potentiostat, like all modern electrochemical instruments, is a three electrode potentiostat. It measures and controls the potential difference between a non-current carrying reference electrode and one of the two current carrying electrodes (the working electrode). The potential drop near the other current carrying electrode (the counter electrode) does not matter when a three electrode potentiostat is used.

Careful placement of the reference electrode can compensate for some of the IR drop resulting from the cell current, I, flowing through the solution resistance, R. You can think of the reference electrode as sampling the potential somewhere along the solution resistance. The closer it is to the working electrode, the closer you are to measuring a potential free from IR errors. However, complete IR compensation cannot be achieved in practice through placement of the reference electrode, because of the finite physical size of the electrode. The portion of the cell resistance that remains after placing the reference electrode is called the uncompensated resistance, Ru.

The DC105 uses current interrupt IR compensation to dynamically correct uncompensated resistance errors. In the current interrupt technique, the cell current is periodically turned off for a short time. With no current through the solution resistance, its IR drop disappears. The potential drops at the electrode surface remain constant on a rapid time scale. The difference in potential with the current flowing and without is a measure of the uncompensated IR drop.

The DC105 makes a current interrupt measurement right after each data point is acquired. It actually takes three potential readings: E1 before the current is turned off, and E2 and E3 while it is off. See the figure below. Normally, the latter two are used to extrapolate the potential difference, delta E, back to the exact moment when the current was interrupted. The timing of the interrupt depends on the cell current. The interrupt time is 40 microseconds on the higher current ranges. On lower current ranges, the interrupt lasts longer.

Current Interrupt Potential versus Time

The DC105 has a second current interrupt measurement mode that involves averaging of the 2 points on the decay curve. See the discussion of the Pstat.SetIRuptMode() for more information.

In controlled potential modes, the applied potential can be dynamically corrected for the measured IR error in one of several ways. In the simplest of these, the IR error from the previous point is applied as a correction to the applied potential. For example, if a IR free potential of 1 volt is desired, and the measured IR error is 0.2 volts, the DC105 will apply 1.2 volts. The correction is always one point behind, as the IR error from one point is applied to correct the applied potential for the next point. In addition to this common mode, the DC105 offers more complex feedback modes. Again, see the discussion of the Pstat.SetIRuptMode() function for details.

By default in the controlled potential modes, the potential error measured via current interrupt is used to correct the applied potential. In the controlled current modes, no correction is required. If IR compensation is selected, the measured IR error is subtracted from the measured potential. All reported potentials are therefore free from IR error.


DC105: Notational Conventions

Notational Conventions

In order to make this help file more readable we have adopted some of Microsoft's standard notational conventions and added some of our own. These are used throughout this help file.

  • Key names. The names of keys are spelled out in this manual (for example escape, enter, control) appear as small capital letters. The key caps on your keyboard may abbreviate the names or represent them differently. For example, the escape key is often labeled Esc and the enter and tab keys are often labeled with arrows.
  • Key combinations. A plus sign between two characters indicates that the keys are pressed at the same time. An example is alt+escape to switch between windows.
  • A comma between key names indicates that the keys are pressed sequentially, pressing and releasing one key before pressing the next key.
  • direction keys. The direction keys are the four pointing keys, labeled with arrows, on your computers keypad. The name of the individual direction key refers to the direction the key points: up, down, right and left.
  • Italics. Italics indicate words and characters that you type.
  • Numbered lists. A numbered list is reserved for step by step procedures, with the steps always performed sequentially.
  • Bulleted List. The items in a bulleted list, such as this one, are grouped together because they represent similar items. The order of items in the list is not critical.
  • Hexadecimal numbers. Hexadecimal numbers are used for hardware related items such as I/O addresses. The DC105 and this help file use the C programming language convention: all hexadecimal numbers have a prefix of 0x. For example the default I/O addresses used by a PC4 Potentiostat card are 0x120 through 0x13F.
  • File names and directories. Inside paragraphs, references to files and directories will be in quotes, for example: "WIN.INI" and "\GAMRY\FRAMEWORK.EXE".
  • Windows buttons and menu selections. Labels will be shown in bold type with the accelerator key underlined as shown on the screen, i.e., File.


DC105: Tutorial Conventions

The tutorial exercises included in this package contain both step by step instructions and explanatory material. To make the tutorial sections easier to read, the instructions will be in a bold type face. Explanatory material will be in a normal typeface, and indented. For example:

This is typical of step one of a series of instructions.

This is typical of an explanation of the step above.

The Framework and DC105, like many other Windows programs, can be run without a mouse or other pointing device. This is important if you need to operate a DC105 System in the field or in a lab that does not have a convenient flat surface for a mouse. However, keyboard operation does involve some memorization of keystroke sequences and is not the preferred operating mode.

For many operations, both mouse and keyboard directions are given.

Specific instructions describing an operation with the mouse or keyboard are only given the first time you must perform that operation. For this reason, first time Windows users should follow the tutorial in order and should not skip any of the early exercises.


Cell Cable Connections

The DC105 must be connected to a cell before it can take real measurements. The Universal Dummy Cell will be used in the Tutorial Exercises. The tutorial data is recorded on the resistive "Calibration" dummy cell.

The table, below, summarizes the cell connections for Gamry Potentiostats. However, not all Gamry Instruments' potentiostats connect to the cell in the same way. You should consult your Potentiostat's Operator's Manual for specific cell connection instructions, particularly if one of the cell's electrodes is connected, directly or indirectly, to earth ground.

Lead Name | Color Code | Purpose
Working Electrode | GREEN |
Working Sense | BLUE |
Reference Electrode | WHITE |
Counter Electrode | RED |
Counter Sense | ORANGE |
Floating Ground/ Signal Ground | BLACK |
Earth Ground | BLACK |


Overview of the Framework Structure

Overview of the Gamry Framework Structure

The DC105 includes experimental scripts and dynamic linked libraries that are utilized by the Gamry Framework software. The Framework provides a consistent operator's interface for the DC105 DC Corrosion Measurement System and other Gamry Instruments software, such as the PHE200 Physical Electrochemistry System and the EIS300 Electrochemical Impedance System.

The Framework works with experimental scripts to provide experimental control, data acquisition, and real-time displays. The Framework runs as a separate Windows application. It is the program you execute when you select the Framework icon in the Windows program manager. We suggest that you familiarize yourself with the general operation of the Gamry Framework.

A script contains the instructions required to run a specific experimental technique. You access the DC105 experiment scripts through selections on the Framework menu bar.

The DC105 also includes analysis scripts. These scripts run under the Gamry Echem Analyst. The analysis scripts in conjunction with the Echem Analyst are used for data analysis & editing, presentation graphics, and results output. The DC105 analysis scripts are the subject of a later help section.

The Gamry Echem Analyst can be accessed through a selection on the Framework Menu bar. The Echem Analyst can also be started using the Windows Start menu, or an icon on the desktop.


Standard Techniques

The DC105 program allows you to easily run a number of industry standard electrochemical tests. The following table is a list of those techniques, including the control and measurement scheme, and an indication of where and why they are used.

DC105 Standard Techniques

The final entry in the table, Tutorial, is not really a standard technique. It is similar to the Tafel technique, with a 100 W resistive dummy cell substituted for the real cell and an increased scan rate. We use this technique, and the results from it, in the tutorial exercises.

NOTE: Advanced users can modify the list of standard experiments.


DC105: Tutorial Exercises

The DC105, running under the Framework, is a complex system. It is capable of a large variety of different tasks and operations. This does not mean that operation of the system is complex or difficult to learn. The following tutorials should assist you in getting up an running an a short time. We suggest that you follow the tutorials IN ORDER because later tutorials often use results from earlier ones. The topics included in the tutorials are:

Running a standard technique.

Changing parameter sets for standard techniques.

Standard data analysis and plotting.

Simple changes to an ExplainÔ script.

Examining ASCII Data and Results files.

We strongly recommend that you run through the exercises: practice is always the best way to get comfortable with a new program.

When you have finished performing the tutorial exercises, you should know how to make the Framework and DC105 perform any standard operation. What these tutorials do not do are:

· Teach you all you need to know about Windows. We do discuss Windows operations that are essential for use of the Framework. Additional Windows knowledge is available from the Microsoft documentation and tutorial.

· Explain the experimental techniques themselves, why they are run and what their parameters mean.

· Describe the Explain Control Language in enough detail that you can generate completely new scripts.


DC105: Standard Techniques

Standard Techniques: DC105

This section describes the standard corrosion measurement techniques that are included with a DC105 system. Each technique description includes:

  • A short overview of the technique and its uses.
  • A look at the experimental sequence for that technique.
  • A description of the parameters used in the setup.
  • A description of the analyses that can be performed on the technique's data.

In order to minimize repetition, information relevant to all of the techniques is discussed prior to the individual technique descriptions.

NOTE: For details on how to run experiments using the Framework see the Framework Help Book.

This help file describes the standard technique scripts that we supplied to you. These scripts can be edited. While we strongly recommend that changed versions of these scripts be stored under a new name, we recognize that some people will ignore our recommendation. If you find that your DC105 does not work as we have described, there is a possibility that the standard script has been changed. Save the changed script under a new name and reinstall the Gamry Framework from your master CD.

NOTE: If you are reading this help file to get background information, we recommend that you do not read this entire section. Read all the information up to and including the Potentiodynamic technique description. Read only the Purpose section for the other techniques.

Remember that this help file does not attempt to teach you how to interpret the results of an experiment. A textbook or the original literature may aid you in this regard.


DC105: Common Setup Parameters

Each of the following are setup parameters common among the DC105 experimental techniques.

Pstat

Identifier

Output

Notes

Sample Area

Density

Equivalent Weight

Conditioning E

Conditioning Time

Delay Time

Delay Stability

IR Comp


DSP Sampling

PC5 family potentiostats, including the Reference 600, have the ability to perform DSP sampling during data acquisition. DSP Sampling has the ability to decrease the noise component of the measurement. By default all DC105 experiments utilize DSP sampling when the instrument supports it. The standard duty cycle for DSP sampling is 20%, or 0.20. This means that for a 1 second sample period, data is acquired for 200 ms at a rate of 60 kHz. For this 1 second sample period, the output point will actually be made up of an average of 12,000 samples. For custom experiments, this duty cycle can be changed by making an additional function call in the Explain script.


Potentiodynamic: Purpose

The potentiodynamic technique is used to examine the overall corrosion behavior of a system. In a typical potentiodynamic scan, the potential of a metal specimen is slowly swept over a very wide potential range. During the sweep, the metal sample may undergo different electrochemical reactions, resulting in anodic and cathodic cell currents which may vary over many orders of magnitude.

The graphical output of the experiment is a plot of log current versus potential. Analysis of the curve can often yield the following types of information:

  • Corrosion potential.
  • A rough estimate of corrosion current.
  • Potential region for passivity.
  • Mechanistic information.

ASTM Standard G-5, "Standard Reference Test Method for Making Potentiostatic and Potentiodynamic Anodic Polarization Measurements" contains useful information about potentiodynamic measurements.

NOTE: The above description describes the "classical corrosion" use for the potentiodynamic technique. The potentiodynamic technique can also be used as a general purpose tool to obtain controlled potential current versus potential curves. The curves can cover narrow potential ranges, be run quickly, or be used for purposes quite different than those described above.


Potentiodynamic: Experimental Sequence

The potentiodynamic standard technique is run by selecting Experiment, DC Corrosion, Potentiodynamic from the Framework menu bar. This initiates the following sequence of events:

  1. A Runner window is created by the Framework and the "Potentiodynamic.exp" script is run in this window.
  2. The script creates the Setup dialog box and accepts changes in the parameters.
  3. The script now obtains the use of the potentiostat specified during Setup and opens the data file specified in the Output name. The Runner window's Title reflects the Output filename.

    If the potentiostat is in use or the file cannot be opened, the script returns to the Setup dialog box.
  4. The file header information is written to the data file.

    This information is written to the file prior to data acquisition. If the experiment is aborted, the output file contains only this information.

    This header information includes:
    1. Tags identifying possible analyses.
    2. The current time and date.
    3. A list of the Setup parameters.
  5. The script conditions the electrode if Conditioning was specified in the Setup.

    Conditioning is done by applying a fixed potential for a defined time. It establishes a known surface state on the corrosion specimen. A plot of current versus time is displayed during the Conditioning.
  6. The cell is turned off and the specimen's Eoc is measured.

    If an Initial Delay is turned on in the Setup, this step lasts for the time specified as the Delay Time, or until the potential stabilizes . If no Initial Delay is specified, this step only lasts long enough for Eoc to be measured. A plot of potential versus time is always displayed. The last measured potential is recorded as Eoc.
  7. Finally, the actual scan occurs. The potential of the sample is swept from the Initial E to the Final E. Current readings at fixed time intervals are taken during the sweep.

    The sweep is actually a staircase ramp. The sample is potentiostated at the Initial E, a delay of one sample period occurs and a reading of the current is taken. The potential is then stepped by a few mV, another delay of one sample period occurs, and the next current reading is taken. Stepping the potential, delaying and acquiring data points continues until the potential equals the Final E.

    At each point the current range is automatically switched to the optimal range for the measured cell current. If IR Compensation has been selected, each potential is corrected for the estimated IR drop.

    A plot of log I vs. E is displayed during the scan.
  8. The data is written to the output file and the script cleans up and halts.

    Once the scan is over, the cell is turned off. The acquired data is written to the output file. The script then waits for you to select Skip. Once you do so, the script closes everything that's open, including the Runner window.


Potentiodynamic: Setup Parameters

Click here to see a Potentiodynamic Setup dialog box complete with its default parameters.

Initial E

Final E

Scan Rate

Sample Period


Potentiodynamic: Analysis

The data file from a potentiodynamic experiment will be analyzed using the Potentiodynamic.Gscript provided with the DC105.

Potentiodynamic experiments are usually used to obtain qualitative information. The primary use of the analysis packages is for graphing and curve comparison.

The potentiodynamic data can be used in Tafel and polarization resistance calculations to calculate corrosion rates, but this practice is not recommended. The scan rates used in potentiodynamic scans are generally too high for collection of accurate data in the vicinity of Ecorr. Also, the traditional potentiodynamic scan, which covers a wide potential range, may result in changes in the electrode surface that alter the corrosion rate.


Tafel Technique: Purpose

The Tafel technique is used to obtain an accurate estimate of the corrosion rate of a metal in a solution. Cell current is measured during a slow sweep of the potential. The sweep typically is from -250 to +250 mV relative to Eoc. A fit of the data to a standard model (Butler-Volmer Model) yields an estimate of Icorr which is used to calculate a corrosion rate.

The graphical output of the experiment is a plot of log current versus potential. Analysis of the curve can yield the following types of information:

  • Corrosion potential.
  • Corrosion current and corrosion rate.
  • Kinetic information (Beta coefficients) for the anodic and cathodic reactions.


Tafel Technique: Experimental Sequence

The Tafel standard technique is run by selecting Experiment, DC Corrosion, Tafel from the Framework menu bar. This initiates the following sequence of events:

  1. A Runner window is created by the Framework and the "Tafel.exp" script is run in this window.
  2. The script creates the Setup dialog box and accepts changes in the Setup parameters.
  3. The script now obtains the use of the potentiostat specified during Setup and opens the data file using the Output name. If the potentiostat is in use or the file cannot be opened, the script returns you to the Setup dialog box.
  4. The file header information is written to the data file. This header information includes:

    a) Tags identifying possible analyses
    b) the time and date
    c) a list of the Setup parameters.

    This information is written to the file prior to data acquisition. If the experiment is aborted, the output file contains only this information.
  5. The script conditions the electrode if Conditioning was specified in the Setup.
    Conditioning is done by applying a fixed potential for a defined time. It establishes a known surface state on the corrosion specimen. A plot of current versus time is displayed during the Conditioning.
  6. The cell is turned off and the specimen's Eoc is measured.

    If an Initial Delay is turned on in the Setup, this step lasts for the time specified as the Initial Delay time, or until the potential stabilizes . If no Initial Delay is specified, this step only lasts long enough for Eoc to be measured. A plot of potential versus time is always displayed. The last measured potential is recorded as Eoc.
  7. Finally the actual scan occurs. The potential of the sample is swept from the Initial E to the Final E. Current readings at fixed time intervals are taken during the sweep.

    The sweep is actually a staircase ramp. The sample is potentiostated at the Initial E, a delay of one sample period occurs, and a reading of the current is taken. The potential is then stepped by a few mV, a delay of one Sample Period occurs, and the next current reading is taken. Stepping the potential, delaying and acquiring data points continues until the potential equals the Final E.

    At each point the current range is automatically switched to the optimal range for the measured cell current. If IR Compensation has been selected, each potential is corrected for the measured IR drop of the preceding point.

    A plot of log I vs. E is displayed during the scan.
  8. The data is written to the output file and the script cleans up and halts.

    Once the scan is over, the cell is turned off. The acquired data is written to the output file. The script then waits for you to select Skip. Once you do so, the script closes everything that's open, including the Runner window.


Tafel Technique: Setup Parameters

Click here to see a Tafel Setup dialog box complete with its default parameters.

Initial E

Final E

Scan Rate

Sample Period


Tafel Technique: Analysis

The data file from a Tafel experiment will be analyzed using the Tafel analysis package provided with the DC105.

Tafel experiments are usually used to obtain quantitative corrosion rate information. The primary use of the analysis packages is for graphing and numerical curve fitting.

The Tafel data can also be used in polarization resistance calculations. However, polarization resistance calculations do not yield as good an estimate of corrosion rate as do Tafel calculations. Also, if all you need is polarization resistance information, the polarization resistance technique, with its shorter scan, acquires data more quickly than the Tafel technique.


Polarization Resistance: Purpose

The polarization resistance technique is used to obtain a rapid estimate of the corrosion rate of a metal in a solution. Cell current readings are taken during a very short, slow sweep of the potential. The sweep typically is from -20 to +20 mV relative to Eoc. Over this range, the current vs. voltage curve is roughly linear. A linear fit of the data to a standard model yields an estimate of the Polarization Resistance Ru. Ru is then used to calculate Icorr and corrosion rate.

Polarization Resistance Disadvantages:

Polarization Resistance Advantages:

Analysis of the curve can yield the following types of information:

  • Corrosion potential.
  • Corrosion current and corrosion rate.

ASTM Standard G-59, "Practice for Conducting Potentiodynamic Polarization Resistance Measurements" contains useful information about polarization resistance measurements.


Polarization Resistance: Experimental Sequence

The Polarization Resistance standard technique is run by selecting Experiment, DC Corrosion, Polarization Resistance from the Framework menu bar. This initiates the following sequence of events:

  1. A Runner window is created by the Framework and the "Polarization Resistance.exp" script is run in this window.
  2. The script creates the Setup dialog box which becomes the active window and accepts changes in the experimental parameters.
  3. The script now obtains the use of the potentiostat specified during Setup and opens the data file using the Output name. If the potentiostat is in use or the file cannot be opened, the script returns you to the Setup dialog box.
  4. The file header information is written to the data file.
    This header information includes:

    a) Tags identifying possible analyses
    b) the current time and date
    c) a list of the Setup parameters

    This information is written to the file prior to data acquisition. If the experiment is aborted, the output file contains only this information.
  5. The script conditions the electrode if Conditioning was specified in the Setup. Conditioning is done by applying a fixed potential for a defined time. It establishes a known surface state on the corrosion specimen. A plot of current versus time is displayed during the Conditioning.
  6. The cell is turned off and the specimen's Eoc is measured.

    If an Initial Delay is turned on in the Setup, this step lasts for the time specified as the Initial Delay time, or until the potential stabilizes . If no Initial Delay is specified, this step only lasts long enough for Eoc to be measured. A plot of potential versus time is always displayed. The last measured potential is recorded as Eoc.
  7. Finally the actual scan occurs. The potential of the sample is swept from the Initial E to the Final E. Current readings at fixed time intervals are taken during the sweep.

    The sweep is actually a staircase ramp. The sample is potentiostated at the Initial E, a delay of one Sample Period occurs, and a reading of the current is taken. The potential is then stepped by a few mV, a delay of one Sample Period occurs, and the next current reading is taken. Stepping the potential, delaying and acquiring data points continues until the potential equals the Final E.

    At each point the current range is automatically switched to the optimal range for the measured cell current. If IR compensation has been selected, each potential is corrected for the measured IR drop of the preceding point.

    A plot of log I vs. E is displayed during the scan.
  8. The data is written to the output file and the script cleans up and halts.

    Once the scan is over, the cell is turned off. The acquired data is written to the output file. The script then waits for you to select Skip. Once you do so, the script closes everything that's open, including the Runner window.


Polarization Resistance: Setup Parameters

Click here to see a Polarization Resistance Setup dialog box complete with its default parameters.

Initial E

Final E

Scan Rate

Sample Period


Polarization Resistance: Analysis

The data file from a Polarization Resistance experiment will be analyzed using the Polarization Resistance.Gscript provided with the DC105. The Polres analysis package is used for fast, simple corrosion rate calculation.

Polarization Resistance experiments are usually used to obtain quantitative corrosion rate information. The primary use of the analysis packages is for graphing and numerical curve fitting.

Polarization Resistance data cannot normally be used for Tafel calculations, because data obtained near Eoc does not contain enough information about the kinetic parameters of the anodic and cathodic reactions.


Rp/Ec Trend: Purpose

This experiment allows you to follow changes in the corrosion rate of a sample versus time. The Rp/Ec Trend script makes a series of polarization resistance measurements at fixed time intervals. The resulting data is very useful for metal or inhibitor screening studies and for on-line monitoring.

See the previous help sections for information concerning the polarization resistance measurements. Basically, the polarization resistance technique is used to obtain a rapid estimate of the corrosion rate of a metal in a solution. It is particularly applicable to long term monitoring because it involves small ( <20 mV) excursions relative to Eoc. Such small excursions are less likely to change the sample than the larger voltages applied in other techniques. Polarization resistance data, after suitable mathematical manipulation, yields an estimate of Icorr which can be used to calculate a corrosion rate. Estimation of Icorr requires kinetic parameters, Betas, which must be calculated or estimated from other data.


Rp/Ec Trend: Experimental Sequence

The Rp/Ec Trend standard technique is run by selecting Experiment, DC Corrosion, Rp/Ec Trend from the Framework menu bar. This initiates the following sequence of events:

  1. A Runner window is created by the Framework and the "RpEc Trend.exp" script is run in this window.
  2. The script creates a Runner window. In this runner window, the script outputs a Setup dialog box. This dialog box allows you to specify parameters such as the data file name, the scan parameters for each test, and the time between tests. Pressing Ok accepts the parameters and starts the experimental run.
  3. The script now obtains the use of the potentiostat specified in the Setup dialog box. If the potentiostat is in use or the output file cannot be opened the script returns you to the Setup dialog box.
  4. The script now opens the data file specified in the setup. The file header information is written to the data file.
    This header information includes:
    a) Tags identifying possible analyses
    b) the time and date at which the script was started
    c) a list of the Setup parameters.

    This information is written to the file prior to data acquisition.
  5. If electrode conditioning was specified in Setup, the script conditions the electrode by applying a known voltage for a period of time.
  6. At the start of the repetitive loop, the script checks that the Total experiment time has not been exceeded. If it has been exceeded, the script halts and closes the Runner window.
  7. The system then runs a complete Polarization Resistance experiment. An optional initial delay is performed if it was requested in the setup file. In all cases, Eoc is measured at open circuit prior to the scan.

    Finally the actual scan occurs. The potential of the sample is swept from the Initial E to the Final E. Current readings at fixed time intervals are taken during the sweep.

    At each point the current range is automatically switched to the optimal range for the measured cell current. If IR compensation has been selected, each potential is corrected for the measured IR drop of the preceding point.

    Once the scan is over, the cell is turned off until it is time for another test.
  8. The script calculates Rp from a linear least squares fit of the current versus potential data that was just recorded. The resulting data point is appended to the data file for that channel. The point is also plotted on a real time plot of Rp and Eoc versus time.
  9. Finally the script checks the repeat cycle time, and sees if it is time to start the next curve. The script delays if necessary. After this delay it loops back to step 6.


Rp/Ec Trend: Runtime Controls

The runtime control consist of the standard three buttons and Display Pulldown control.

The function of the Skip pushbutton control differs slightly from that in other DC105 techniques.


Rp/Ec Trend: Setup Parameters

Click here to see a Rp/Ep Trend dialog box complete with its default parameters.

Most of the fields are identical to those found in the Polarization Resistance Experiment.

Repeat Time

Total Time

Analysis Region


Rp/Ec Trend: Analysis

The data file from a Rp/Ec Trend experiment will normally be analyzed by the RpEc Trend.Gscript data analysis package provided with the DC105.

The primary use of the analysis packages is for corrosion rate calculations and graphing.


Cyclic Polarization: Purpose

The Cyclic Polarization technique is normally used to qualitatively evaluate a metal's tendency to pit in a corrosive environment. The experiment is based on a slow linear sweep of the potential of a metal. The initial sweep is towards anodic potentials. When the measured current reaches a specified level, the sweep direction is reversed and a cathodic going sweep occurs. The graphical output of the experiment is a plot of log current versus potential. Both forward and reverse sweeps are shown on one plot. Significant hysteresis between the sweeps is an indication of pit formation.

ASTM Standard G-61, "Standard Test Method for Conducting Cyclic Polarization Measurements for Localized Corrosion Susceptibility of Iron-, Nickel- or Cobalt Based Alloys " contains useful information about Cyclic Polarization measurements.


Cyclic Polarization: Experimental Sequence

The Cyclic Polarization standard technique is run by selecting Experiment, DC Corrosion, Cyclic Polarization from the Framework menu bar. This initiates the following sequence of events:

  1. A Runner window is created by the Framework and the "Cyclic Polarization.exp" script is run in this window.
  2. The script creates the Setup dialog box and accepts changes in the experimental parameters.
  3. The script now obtains the use of the potentiostat specified during Setup and opens the data file using the Output name. If the potentiostat is in use or the file cannot be opened, the script returns you to the Setup dialog box.
  4. The file header information is written to the data file.
    This header information includes:

    a) Tags identifying possible analyses
    b) the current time and date
    c) a list of the Setup parameters

    This information is written to the file prior to data acquisition. If the experiment is aborted, the output file contains only this information.
  5. The script conditions the electrode if Conditioning was specified in the Setup. Conditioning is done by applying a fixed potential for a defined time. It establishes a known surface state on the corrosion specimen. A plot of current versus time is displayed during the Conditioning.
  6. The cell is turned off and the specimen's Eoc is measured.

    If an Initial Delay is turned on in the Setup, this step lasts for the time specified as the Initial Delay time, or until the potential stabilizes. If no Initial Delay is specified, this step only lasts long enough for Eoc to be measured. A plot of potential versus time is always displayed. The last measured potential is recorded as Eoc.
  7. The scan starts and data is acquired. The potential of the sample is swept from the Initial E to the Apex E, where the scan is reversed. The reverse scan is from the Apex E to the Final E. The initial scan can be reversed prior to the Apex E, if the current exceeds the Apex I parameter.

    The sweep is actually a staircase ramp. The sample is potentiostated at the Initial E, a delay of one Sample Period occurs, and a reading of the current is taken. The potential is then stepped a few mV, a delay of one Sample Period occurs, and the next current reading is taken. If the current exceeds the Apex I or the potential exceeds the Apex E, the reverse scan is started.

    The reverse scan is very similar to the forward scan, except that the sign of the steps is changed. You can select different Scan Rates for the two scans. The reverse scan continues until the potential reaches the Final E, when the scan is halted.

    At each point the current range is automatically switched to the optimal range for the measured cell current. If IR Compensation has been selected, each potential is corrected for the measured IR drop of the preceding point.

    A plot of log I vs. E is displayed during the scan.
  8. The data is written to the output file and the script cleans up and halts.

    Once the scan is over, the cell is turned off. The acquired data is written to the output file. The script then waits for you to select Skip. Once you do so, the script closes everything that's open, including the Runner window.


Cyclic Polarization: Setup Parameters

Click here to see a Cyclic Polarization Setup dialog box complete with it's default parameters.

Initial E

Forward Scan

Apex E

Reverse Scan

Final E

Apex Current

Sample Period


Cyclic Polarization: Analysis

The data file from a Cyclic Polarization experiment will be analyzed using the Cyclic Polarization.Gscript analysis package provided with the DC105.

Cyclic Polarization experiments are usually used to obtain qualitative information. The primary use of the analysis packages is for graphing and curve comparison.

Cyclic Polarization data can be used in Tafel and polarization resistance calculations to calculate corrosion rates, but this practice is not recommended. The Scan Rates used in Cyclic Polarization scans are generally too high for collection of accurate data in the vicinity of Ecorr.


Potentiostatic: Purpose

The Potentiostatic technique does not have a single purpose. It can be used to study the formation or breakdown of passive films, measure pitting by means of electrochemical noise measurements, or just to electrochemically pretreat a sample.

The Potentiostatic experiment in the DC105 consists of a series of current measurements made with a metal sample held at a constant voltage. In the DC105, it can also include one step in the applied potential.

The graphical output of the experiment is a plot of current versus time. Analysis of the curve can yield the following types of information.

  • Rate of film formation
  • Mechanistic information
  • Noise spectra


Potentiostatic: Experimental Sequence

The Potentiostatic standard technique is run by selecting Experiment, DC Corrosion, Potentiostatic from the Framework menu bar. This initiates the following sequence of events:

  1. A Runner window is created by the Framework and the "Potentiostatic.exp" script is run in this window.
  2. The script creates the Setup dialog box and accepts changes in the experimental parameters.
  3. The script now obtains the use of the potentiostat specified during Setup and opens the data file using the Output name. If the potentiostat is in use or the file cannot be opened, the script returns you to the Setup dialog box.
  4. The file header information is written to the data file.
    This header information includes:

    a) Tags identifying possible analyses
    b) the current time and date
    c) a list of the Setup parameters

    This information is written to the file prior to data acquisition. If the experiment is aborted, the output file contains only this information.
  5. The script conditions the electrode if Conditioning was specified in the Setup. Conditioning is done by applying a fixed potential for a defined time. It establishes a known surface state on the corrosion specimen. A plot of current versus time is displayed during the Conditioning.
  6. The cell is turned off and the specimen's Eoc is measured.

    If an Initial Delay is turned on in the Setup, this step lasts for the time specified as the Initial Delay time, or until the potential stabilizes. If no Initial Delay is specified, this step only lasts long enough for Eoc to be measured. A plot of potential versus time is always displayed. The last measured potential is recorded as Eoc.
  7. Finally the data acquisition occurs. The sample is potentiostated at the Initial E, a delay of one sample period occurs, and a reading of the current is taken. A delay of one Sample Period occurs, and the next current reading is taken. This process of delaying and acquiring data points continues for a time set by Initial Time Setup parameter.

    The potential is then stepped to the Final E. The process of taking current readings is continued at this new potential for a time set by the Final Time parameter.

    At each point the current range is automatically switched to the optimal range for the measured cell current. If IR Compensation has been selected, the applied potential is corrected for the measured IR drop of the preceding point.

    A plot of Current vs. Time is displayed during the scan.
  8. The data is written to the output file and the script cleans up and halts.

    Once the scan is over, the cell is turned off. The acquired data is written to the output file. The script then waits for you to select Skip. Once you do so, the script closes everything that's open, including the Runner window.


Potentiostatic: Setup Parameters

Click here to see a Potentiostatic Setup dialog box complete with it's default parameters.

Initial E

Initial Time

Final E

Final Time

Sample Period

Limit Current


Potentiostatic: Analysis

The data file from a Potentiostatic experiment will be analyzed using the Potentiostatic.Gscript analysis package provided with the DC105.

Potentiostatic experiments are usually used to obtain quantitative information. The primary use of the analysis packages is for graphing and curve comparison.

The current versus time data can be integrated to obtain charge. This may prove interesting when looking at passivation. Some simple assumptions about current efficiency and film composition allow charge to be converted into film thickness.


Galvanodynamic: Purpose

The Galvanodynamic technique is used to generate current vs. voltage curves under galvanostatic control. It is not only the galvanostatic equivalent of potentiodynamic but can also be used to generate data analogous to Tafel and polarization data. Its data acquisition is performed during a linear sweep of the current forced through a metal specimen. During the sweep, the potential of the specimen is recorded.

Galvanodynamic techniques can have speed advantages over Potentiostatic techniques. For example, on a scan that includes a passive region the Galvanodynamic scan skips quickly over the passive region. The potential region for passivity is obvious from the curve, but the passive current level is not obtainable. Depending on the information you need, the faster scan may or may not be useful.

The graphical output of the experiment is a plot of log current versus potential. Analysis of the curve can often yield the following types of information:

  • Corrosion potential.
  • Corrosion current.
  • Critical current for passivity.
  • Mechanistic information.


Galvanodynamic: Experimental Sequence

The Galvanodynamic standard technique is run by selecting Experiment, DC Corrosion, Galvanodynamic from the Framework menu bar. This initiates the following sequence of events:

  1. A Runner window is created by the Framework and the "Galvanodynamic.exp" script is run in this window.
  2. The script creates the Setup dialog box and accepts changes in the experimental parameters.
  3. The script now obtains the use of the potentiostat specified during Setup and opens the data file using the Output name. If the potentiostat is in use or the file cannot be opened, the script returns you to the Setup dialog box.
  4. The file header information is written to the data file.
    This header information includes:

    a) Tags identifying possible analyses
    b) the current time and date
    c) a list of the Setup parameters

    This information is written to the file prior to data acquisition. If the experiment is aborted, the output file contains only this information.
  5. The script conditions the electrode if Conditioning was specified in the Setup. Conditioning is done by applying a fixed potential for a defined time. It establishes a known surface state on the corrosion specimen. A plot of current versus time is displayed during the Conditioning.
  6. The cell is turned off and the specimen's Eoc is measured. If an Initial Delay is turned on in the Setup, this step lasts for the time specified as the Initial Delay time, or until the potential stabilizes. If no Initial Delay is specified, this step only lasts long enough for Eoc to be measured. A plot of potential versus time is always displayed. The last measured potential is recorded as Eoc.
  7. Finally the actual scan occurs. The sample is galvanostated at the Initial I, a delay of one sample period occurs, and a reading of the potential is taken. The current is then stepped, a delay of one Sample Period occurs, and the next potential reading is taken. Stepping the current, delaying and acquiring data points continues until the current equals the Final I.

    After each point the potential measurement range is automatically switched to the optimal range for the measured potential. If IR compensation has been selected, each potential is corrected for the measured IR drop prior to displaying it or writing it to the data file.

    A plot of I vs. E is displayed during the scan.
  8. The data is written to the output file and the script cleans up and halts.

    Once the scan is over, the cell is turned off. The acquired data is written to the output file. The script then waits for you to select Skip. Once you do so, the script closes everything that's open, including the Runner window.


Galvanodynamic: Setup Parameters

Click here to see a Galvanodynamic Setup dialog box complete with it's default parameters.

Initial I

Final I

Scan Rate

Sample Period


Galvanodynamic: Analysis

The data file from a Galvanodynamic experiment will normally be analyzed by the Galvanodynamic.Gscript analysis script.

Galvanodynamic experiments can be used to obtain qualitative or quantitative information. The Galvanodynamic data can be used in Tafel and polarization resistance calculations to calculate corrosion rates. If you are going to perform Tafel calculations on your data, be aware that current data from a Galvanodynamic experiment usually has a much more limited range than current data from a Tafel experiment. This is a consequence of the exponential relationship between current and potential.


Galvanostatic: Purpose

The Galvanostatic technique does not have a single purpose. It is used for general purpose measurements. For example, it can be used to study the formation or breakdown of passive films, measure pitting by means of electrochemical noise measurements, or just to electrochemically pretreat a sample.

The Galvanostatic experiment in the DC105 consists of a series of potential measurements made on a metal sample passing a constant current. In the DC105, it can also include one step in the applied current.

The graphical output of the experiment is a plot of potential versus time. Analysis of the curve can yield the following types of information.

  • Rate of film formation.
  • Mechanistic information.
  • Noise spectra.


Galvanostatic: Experimental Sequence

The Galvanostatic standard technique is run by selecting Experiment, DC Corrosion, Galvanostatic from the Framework menu bar. This initiates the following sequence of events:

  1. A Runner window is created by the Framework and the "Galvanostatic.exp" script is run in this window.
  2. The script creates the Setup dialog box and accepts changes in the experimental parameters.
  3. The script now obtains the use of the potentiostat specified during Setup and opens the data file using the Output name. If the potentiostat is in use or the file cannot be opened, the script returns you to the Setup dialog box.
  4. The file header information is written to the data file.
    This header information includes:

    a) Tags identifying possible analyses
    b) the current time and date
    c) a list of the Setup parameters

    This information is written to the file prior to data acquisition. If the experiment is aborted, the output file contains only this information.
  5. The script conditions the electrode if Conditioning was specified in the Setup. Conditioning is done by applying a fixed potential for a defined time. It establishes a known surface state on the corrosion specimen. A plot of current versus time is displayed during the Conditioning.
  6. The cell is turned off and the specimen's Eoc is measured. If an Initial Delay is turned on in the Setup, this step lasts for the time specified as the Initial Delay time, or until the potential stabilizes. If no Initial Delay is specified, this step only lasts long enough for Eoc to be measured. A plot of potential versus time is always displayed. The last measured potential is recorded as Eoc.
  7. Finally the data acquisition occurs. The Initial Current is applied to the sample, a delay of one sample period occurs, and a reading of the working electrode potential is taken. A delay of one Sample Period occurs, and the next potential reading is taken. This process of delaying and acquiring data points continues for a time set by Initial Time Setup parameter.

    The current is then stepped to the Final Current. The process of taking potential readings is continued at this new current for a time set by the Final Time parameter.

    After each point the potential measurement range is automatically switched to the optimal range for the measured potential. If IR Compensation has been selected, the IR measured in the current interruption after each point is used to correct the potential data shown on the real time curve and output to the data file.

    A plot of Potential vs. Time is displayed during the scan.
  8. The data is written to the output file and the script cleans up and halts.

    Once the scan is over, the cell is turned off. The acquired data is written to the output file. The script then waits for you to select Skip. Once you do so, the script closes everything that's open, including the Runner window.


Galvanostatic: Setup Parameters

Click here to see a Galvanostatic Setup dialog box complete with it's default parameters.

Initial I

Initial Time

Final I

Final Time

Sample Period


Galvanostatic: Analysis

The data file from a Galvanostatic experiment will normally be analyzed using the Galvanostatic.Gscript analysis script.

Galvanostatic experiments are usually used to obtain quantitative information. The primary use of the analysis packages is for graphing and curve comparison.


Corrosion Potential: Purpose

The Corrosion Potential technique is the simplest of the DC105 techniques. It is the only technique in which there is no current flow through the sample. The DC105 just measures the open circuit potential, Eoc of the sample as it changes over time.


Corrosion Potential: Experimental Sequence

The Corrosion Potential standard technique is run by selecting Experiment, DC Corrosion, Corrosion Potential from the Framework menu bar. This initiates the following sequence of events:

  1. A Runner window is created by the Framework and the "Corrosion Potential.exp" script is run in this window.
  2. The script creates the Setup dialog box and accepts changes in the experimental parameters.
  3. The script now obtains the use of the potentiostat specified during Setup and opens the data file using the Output name. If the potentiostat is in use or the file cannot be opened, the script returns you to the Setup dialog box.
  4. The file header information is written to the data file.
    This header information includes:

    a) Tags identifying possible analyses
    b) the current time and date
    c) a list of the Setup parameters

    This information is written to the file prior to data acquisition. If the experiment is aborted, the file contains only this information.
  5. The script conditions the electrode if Conditioning was specified in the Setup. Conditioning is done by applying a fixed potential for a defined time. It establishes a known surface state on the corrosion specimen. A plot of current versus time is displayed during the Conditioning.
  6. The cell is turned off and Eoc is repetitively measured. The time between measurements is determined by the Sample Period. Readings are taken for the time specified as Total Time in setup. After each point the potential measurement range is automatically switched to the optimal range for the measured potential.

    A plot of Potential vs. Time is displayed during the experiment.
  7. The data is written to the output file and the script cleans up and halts.

    Once the scan is over, the cell is turned off. The acquired data is written to the output file. The script then waits for you to select Skip. Once you do so, the script closes everything that's open, including the Runner window.


Corrosion Potential: Setup Parameters

Click here to see a Corrosion Potential Setup dialog box complete with it's default parameters.

Total Time

Sample Period

Stability


Corrosion Potential: Analysis

The data file from a Corrosion Potential experiment is analyzed using the Corrosion Potential.Gscript provided with the DC105.

Corrosion Potential experiments are usually used to obtain quantitative information. The primary use of the analysis packages is for graphing and curve comparison.


Reactivation: Purpose

The Reactivation technique is more properly called Electrochemical Potentiokinetic Reactivation, EPR. It is used to evaluate the degree of sensitization to intergranular stress corrosion cracking in austenitic stainless steels. The sensitization is the result of carbide precipitation at grain boundaries in heat effected areas near welds. The carbide precipitation results in excess charge recorded during a cathodic going scan of a passivated specimen. The maximum current observed on this cathodic scan divided by the sample area is a quantitative measure of the degree of sensitization. For the highest accuracy results, the maximum current is normalized to the grain boundary area found microscopically.

For details on the EPR method, consult Majidi and Streicher, "Nondestructive Electrochemical Tests for Detecting Sensitization in ANSI 304 and 304L Stainless Steels", in Electrochemical Techniques for Corrosion Engineering, R. Baboian Ed., NACE, Houston TX, 1986 and references therein. The DC105 Reactivation technique corresponds to the Simplified EPR technique. The Double Loop EPR technique can be performed by correctly setting up a Cyclic Polarization experiment. The Single Loop EPR test can be performed by proper selection of parameters in the Reactivation Technique. Select equal activation and passivation potentials, and select either an activation time or a passivation time of zero.


Reactivation: Experimental Sequence

The Reactivation standard technique is run by selecting Experiment, DC Corrosion, Electrochemical Reactivation from the Framework menu bar. This initiates the following sequence of events:

  1. A Runner window is created by the Framework and the "Electrochemical Reactivation.exp" script is run in this window.
  2. The script creates the Setup dialog box and accepts changes in the experimental parameters.
  3. The script now obtains the use of the potentiostat specified during Setup and opens the data file using the Output name. If the potentiostat is in use or the file cannot be opened, the script returns you to the Setup dialog box.
  4. The file header information is written to the data file.
    This header information includes:

    a) Tags identifying possible analyses
    b) the current time and date
    c) a list of the Setup parameters

    This information is written to the file prior to data acquisition. If the experiment is aborted, the output file contains only this information.
  5. The cell is turned off and Eoc is measured. If an Initial Delay is turned on in the Setup, this step lasts for the time specified as the Initial Delay time, or until the potential stabilizes. If no Initial Delay is specified, this step only lasts long enough for Eoc to be measured. A plot of potential versus time is always displayed. The last measured potential is recorded as Eoc.
  6. Now a complex sequence of events occurs.

    The sample is potentiostated at the Activation E for the Activation Time. In this step the surface layer damaged by polishing the electrode is stripped from the surface.

    The sample is then potentiostated at the Passivation Potential for the Passivation Time.

    Finally, the potential is swept back to Eoc. The sweep is actually a staircase ramp, with a current reading taken at the end of each step on the staircase. At each point the current range is automatically switched to the optimal range for the measured cell current. If IR Compensation has been selected, each potential is corrected for the measured IR drop of the preceding point.

    A plot of log I vs. E is displayed during the sweep.
  7. The data is written to the output file and the script cleans up and halts.

    Once the scan is over, the cell is turned off. The acquired data is written to the output file. The script then waits for you to select Skip. Once you do so, the script closes everything that's open, including the Runner window.


Reactivation: Setup Parameters

Click here to see a Reactivation Setup dialog box complete with it's default parameters. Note that changing a parameter may make quantitative results for the degree of sensitization invalid.

Activation Time

Activation E

Passivation Time

Passivation E

Scan Rate

Sample Period


Reactivation: Analysis

The data file from a Reactivation experiment will be analyzed using the Reactivation.Gscript analysis package provided with the DC105.

Reactivation experiments are usually used to obtain quantitative sensitization information. In the case of the Simplified EPR test, the only number that is required is the peak current on the scan.


Corrosion Behavior Diagram: Purpose

The Corrosion Behavior Diagram (CBD) technique is used to examine the overall corrosion behavior of a system. It's a complex technique that acquires data during three sweeps of the potential. The advantage of the CBD over other techniques is its generality. It will work both with spontaneously passive systems that are difficult to study otherwise as well as with more traditional systems.

For details on the CBD method and examples of its use, consult Siebert, "Application of the Rapid Scan Potentiodynamic Polarization Technique for Corrosion Studies", in Electrochemical Techniques for Corrosion Engineering, R. Baboian Ed, NACE, Houston Texas, 1986 and references therein.

The graphical output of the experiment is a plot of log current versus potential. The data from three scans are shown on one graph. Analysis of the curve can often yield the following types of information.

  • Corrosion potential.
  • An estimate of corrosion current.
  • Potential region for passivity.
  • Mechanistic information.


Corrosion Behavior Diagram: Experimental Sequence

The Corrosion Behavior Diagram standard technique is run by selecting Experiment, DC Corrosion, Corr. Behavior from the Framework menu bar. This initiates the following sequence of events:

  1. A Runner window is created by the Framework and the "Corrosion Behavior Diagram.exp" script is run in this window.
  2. The script creates the Setup dialog box and allows changes in the experimental parameters.
  3. The script now obtains the use of the potentiostat specified during Setup and opens the data file using the Output name. If the potentiostat is in use or the file cannot be opened, the script returns you to the Setup dialog box.
  4. The file header information is written to the data file.
    This header information includes:

    a) Tags identifying possible analyses
    b) the current time and date
    c) a list of the Setup parameters

    This information is written to the file prior to data acquisition. If the experiment is aborted, the output file contains only this information.
  5. Immediately after immersing the sample, a rapid anodic going initial scan is recorded. The starting point for this scan is a potential where a large cathodic current (on the order of 10 mA) is passed. This anodic going scan is continued until a set anodic current (about 1 mA) is reached, or a limit potential is reached. At this point the scan is reversed, and data is recorded all the way back to the original starting potential.

    The scan is really a staircase ramp, with a current value recorded at the end of each step in the staircase. At each point the current range is automatically switched to the optimal range for the measured cell current. If IR compensation has been selected, each potential is corrected for the measured IR drop of the preceding point. A plot of log I vs. E is displayed during the scan.
  6. Following this first scan, the specimen is open circuited and Eoc is allowed to drift for about 10 minutes, or until it stabilizes. A value for Eoc is recorded.
  7. A third scan with data acquisition is then performed. It starts at Eoc and proceeds in a cathodic direction to the starting potential for the cyclic scan. A plot of log I vs. E is displayed during the scan.


Corrosion Behavior Diagram: Setup Parameters

Click here to show a Corrosion behavior diagram Setup dialog box complete with its default parameters.

Initial E

Apex E

Apex I

Threshold E

Relaxation Time

Scan Rate

Sample Period


Corrosion Behavior Diagram: Analysis

The data file from a Corrosion Behavior Diagram experiment can only be analyzed by the Corrosion Behavior Diagram.Gscript analysis package provided with the DC105.

Corrosion Behavior Diagram experiments are usually used to obtain qualitative information. The primary use of the analysis packages is for graphing and curve comparison.


Galvanic Corrosion: Purpose

The Galvanic Corrosion technique is used to study the electrochemical reactions that occur when two different metals, immersed in the same solution, are electrically coupled to each other. One metal will generally become a cathode and the other an anode. The anode corrosion rate is accelerated over its uncoupled rate. The corrosion rate of the cathode is reduced.

In many cases, galvanic corrosion is a problem. The classic example is steel and copper pipes connected together in a water delivery system.

Passive cathodic protection takes advantage of the galvanic corrosion reaction. It protects one metal by coupling it to a sacrificial anode. The Galvanic Corrosion technique can be used to perform laboratory studies of the protection process.

The instrument used in galvanic corrosion measurements is called a Zero Resistance Ammeter, or ZRA. It connects the two metals, as though they were connected with a wire, while simultaneously measuring the current between the two. In laboratory ZRAs, provision is also made to measure the potential of the two metal samples (both must have the same potential) versus a reference electrode. The Gamry Potentiostat can be configured as a very accurate ZRA.

The graphical output of the experiment is a plot of log current and potential versus time. Analysis of the curves may yield the following types of information.

  • Extent of a coupling problem.
  • Predicted effectiveness of a cathodic protection scheme.


Galvanic Corrosion: Experimental Sequence

The Galvanic Corrosion standard technique is run by selecting Experiment, DC Corrosion, Galvanic Corrosion from the Framework menu bar. This initiates the following sequence of events:

1 A Runner window is created by the Framework and the Galvanic Corrosion.EXP script is run in this window.

2 The script creates the Setup dialog box and accepts changes in the parameters.

3 The script now obtains the use of the potentiostat specified during Setup and opens the data file using the Output name. If the potentiostat is in use or the file cannot be opened, the script returns you to the Setup dialog box.

4 The file header information is written to the data file.
This header information includes:

a) Tags identifying possible analyses
b) the current time and date
c) a list of the Setup parameters

This information is written to the file prior to data acquisition. If the experiment is aborted, the output file contains only this information.

5 The potentiostat is turned on with an applied potential of zero volts. This assures that the two metal specimens are at the same potential.

After a delay of one Sample period, a current reading and a potential reading are taken. The potential that is recorded is the difference between the working electrode and the reference electrode. After another delay the next readings are taken. This process of delaying and taking readings is continued until the Run Time parameter is exceeded.

After each point the current range is automatically switched to the optimal range for the measured cell current. If IR Compensation has been selected, the applied potential is adjusted for the measured IR drop of the preceding point. The adjustment results in an IR free potential of zero volts between the specimens.

A plot of I and E vs. Time is displayed during the scan.

6 The data is written to the output file and the script cleans up and halts.

Once the scan is over, the cell is turned off. The acquired data is written to the output file. The script then waits for you to select Skip. Once you do so, the script closes everything that's open, including the Runner window.


Galvanic Corrosion: Setup Parameters

Click here to see a Galvanic Corrosion Setup dialog box complete with its default parameters.

Run Time

Sample Period

Limit Current


Galvanic Corrosion: Analysis

The data file from a galvanic Corrosion experiment will normally be analyzed by the Galvanic Corrosion.Gscript analysis package provided with the DC105.

Galvanic Corrosion experiments are usually used to obtain qualitative information. The primary use of the analysis packages is for graphing and curve comparison.


Critical Pitting Potential: Purpose

This experiment is based on the ASTM F746 Standard Test Method for Pitting or Crevice Corrosion of Metallic Surgical Implants. It automates the data collection process for this test method, which was developed using manual control methods.

This technique actually determines the Critical Repassivation Potential. This is the potential at which a pitting specimen will not repassivate. The specimen is induced to pit (the simulation phase) by applying a large anodic potential. After pitting has started, the potential is dropped to a test potential to see if the sample will repassivate at that potential. The first potential tested is Ecorr. If the specimen repassivates, the process of stimulation and repassivation is repeated at a more anodic potential. Each repassivation phase increases the potential to the next multiple of 0.05V. The experiment ends when during a repassivation phase, the current exceeds a limit indicative of pitting or, when the sample does not pit during a stimulation phase.

Although the CPP experiment originated in biomedical studies, it can be used to investigate localized corrosion in most industries.


Critical Pitting Potential: Setup Parameters

Stimulation E.

The Stimulation Potential is the potential applied to the specimen during the Stimulation Phase of the experiment. The allowed range is ±10V with a resolution of 0.125mV.

Stimulation Duration

The Stimulation Duration is the maximum length of the Stimulation Phase. If the current has not exceeded the limit by this time, the system progresses to the next phase of the experiment

Repassivation Duration

The Repassivation Duration is the maximum length of the Repassivation Phase. The Repassivation Phase will be terminated early if the Limit I is reached, or if I Rate is exceeded.

Stimulation Sample Time, Repassivation Sample Time

The Sample Time is the time between data points during the Phase. The smallest recommended Sample Period is 0.2 second. We recommend sampling periods greater than 1 second.

The Sample Time, along with the Duration, determines the number of data points in a phase. There must be less than 65000 data points in each phase. You can calculate the number of points from:

Number of Points = Duration / Sample Time

The current versus time curves from all phases are stored in one data file. With 10 or more curves recorded in a single experiment, the data file can become very large. You can keep the data file size manageable by recording fewer curves or making the curves contain fewer data points.

The CPP system can handle 255 curves each containing 65000 data points. However, the time required for the analysis package to load such a file may be astronomical.

Limit I

Limit I is the current at which you are satisfied that the specimen is pitting. If at any point during the Stimulation Phase the current exceeds this limit, the experiment continues with the next Repassivation Phase. If, during any Repassivation Phase, the current exceeds this limit, the experiment terminates.

I Rate

I Rate is the rate-of-change in current at which you are satisfied the specimen is pitting.

This parameter is used only in the Stimulation Phase. If the derivative of the current versus time curve exceeds this limit for 20 seconds, the script will stop the stimulation phase and switch to the next Repassivation Phase.

You can disable the I Rate test by entering a very large value for the I Rate parameter. For example, an I Rate value of 1E10 should never be exceeded.


Critical Pitting Potential: Runtime Controls

Runtime control consists of four buttons and a Curve List pull down control.

The four control buttons will be familiar to any user of the DC105 experiments, although in the Critical Pitting Potential test their functions change slightly. They are selectable with a mouse or a function key. The function key forms part of the button's label, i.e. F1- ABORT.

Skip

The Skip button effects only the test currently running. It normally causes the Framework to skip the rest of an action being performed. The script then goes on to the next step in the experimental sequence.

If you select Skip during an Open Circuit Delay, the rest of that phase will be skipped.

If you select Skip during the Repassivation Phase, the script will skip to the Stimulation Phase. If you Skip during the Stimulation Phase, the script will end the experiment.

The data is handled the same way by a Skip as it would be if the scan terminated normally. Any data that normally gets saved will be saved following a Skip.

Abort, Pause, Continue

Abort, Pause and Continue work the same as they do in the rest of the DC105.


Critical Pitting Potential: Experimental Sequence

The CPP standard technique is run by selecting Experiment, DC Corrosion, Critical Pitting Potential from the Framework menu bar. This initiates the following sequence of events:

  1. A Runner window is created by the Gamry Framework and the "Critical Pitting Potential.exp" script is run in this window.
  2. In the runner window, the script displays a Setup Dialog Box which becomes the active window. This dialog box allows you to view and edit the experiment parameters. Pressing OK accepts the parameters and starts the experimental run.
  3. The script now obtains the use of the Gamry Instruments potentiostat specified during setup and opens the data file specified in the Output File field of the Setup Dialog Box. If the potentiostat is in use or the data file cannot be opened the script returns you to the Setup dialog box.
  4. All header information is written to the data file.

    Header information consists of the analysis tag, the time and date the experiment was started and a list of the setup parameters.
  5. An Open Circuit Delay is performed to determine the "Initial" corrosion potential. The measurement lasts for 2 seconds and the result is written to the data file.

    The purpose of this Initial O.C.Delay is to establish the Eoc of a fresh specimen surface. We recommended that you start the experiment immediately after immersing the specimen if you want an accurate initial Eoc.
  6. A second O.C.Delay is performed to determine the "Final" corrosion potential. This measurement lasts 1 hour by default. It can also be defined by the user in the ECorr Meas. parameters in the Setup Dialog Box.
  7. The script performs the actual data collection starting with a Stimulation Phase.

    During this phase, the user definable potential, Stimulat. Pot., is applied to the specimen to "stimulate" pitting. A current versus time curve is recorded.

    The script compares the current to the user definable current limit, Limit I, and the change in current to the current rate-of-change limit, I Rate. If either the current or rate-of-change in the current exceeds the limit, the script goes to the a Repassivation Phase. If neither constraint is exceeded, the experiment ends.
  8. During the Repassivation Phase, the script switches the potential to the current test potential. A current versus time curve is recorded and the current is checked versus the Limit I parameter. If the current exceeds the limit, the experiment ends, since critical repassivation potential has been reached. If the scan continues for the entire time duration without reaching the Limit I current., the script goes back to Step 7, the Stimulation Phase.

    The next repassivation phase will be performed at the next anodic potential that is an integer multiple of 50 mV.


Critical Pitting Potential: Analysis

The data file from a Critical Pitting Potential experiment will normally be analyzed by the Critical Pitting Potential.Gscript analysis package provided with the DC105.

The Critial Pitting Potential (CPP) analysis package is used to view and print a curve, or family of curves, contained in a data file. Time is used as the independent variable in the graphs. CPP graphs, unlike other DC105 graphs, contain a family of related curves. You can use the CPP analysis script to display and print any combination of these curves.


Multiplexed DC105: System Overview

The DC105 combined with an ECM8 Multiplexer is a system for cost effective electrochemical corrosion monitoring. You can use a multiplexed system to simultaneously test 8 electrochemical cells using only one high performance potentiostat/galvanostat/ZRA. Multiplexed tests include corrosion rate versus time (via repeated polarization resistance scans), galvanic corrosion versus time, and potentiodynamic and galvanodynamic scans.

Applications for a multiplexed system include inhibitor and materials screening, on-line corrosion monitoring, and quality control of corrosion control products.

The figure below shows the block diagram for a Multiplexed DC105 system connected to 4 electrochemical cells. We will use this figure as the basis of the following discussion. Throughout this discussion, keywords will be shown in a bold typeface.

Block Diagram for a Four Cell Multiplexed DC105 System

A PC4 Potentiostat/Galvanostat/ZRA (the system potentiostat) is installed inside the computer. Unlike in a DC105 system, the system potentiostat's cell connector is not cabled directly to an electrochemical cell. Instead, the potentiostat is cabled to an ECM8 Electrochemical Multiplexer. The ECM8 has eight cell ports, each of which can be cabled to an electrochemical cell. Each port and its associated support circuitry is referred to as a channel.

You can think of the ECM8 as a sophisticated multi-pole switch. It can connect the potentiostat’s cell leads to any one of its cell ports. The cell that is currently connected to the system potentiostat is called the active cell. A LED on the front panel of the ECM8 indicates which channel is currently active. Cells that are not connected to the system potentiostat are referred to as inactive cells.

Unlike a simple switch, the ECM8 can do more than merely disconnect the inactive cells. They can be potentiostaticly controlled by a low current potentiostat built into each channel. If you are switching galvanic corrosion cells, the inactive cells can also be shorted. This allows galvanic corrosion to continue between measurements, minimizing the effect of multiplexing on the system. See the ECM8 Operator's manual of more information concerning inactive cell control modes.

The Multiplexed DC105 software controls the ECM8 via an RS232 serial connection.


Multiplexed DC105: Keyword Definitions

The following key terms will be used throughout this help section.

Active Cell

Aux A/D

Cell

Channel

Inactive Cell

System Computer

System Potentiostat


Multiplexed DC105: Experimental Techniques

This section describes the standard corrosion measurement techniques that are included with a Multiplexed DC105 system. All of these techniques use an ECM8 Electrochemical Multiplexer to run sequential tests on up to 8 cells.

Each technique description includes:

  • A short overview of the technique and its uses
  • A look at the experimental sequence for that technique
  • A description of the parameters used in the setup
  • A description of the analyses that can be performed on the technique's data

In this section we will assume that you are familiar with the running of at least one DC105 corrosion measurement technique. If you are not, we suggest that you run the DC105 Tutorial Exercises. Information in the tutorials and in the Experimental Techniques section of DC105 will not be duplicated here. This section concentrates on the unique aspects of the Multiplexed DC105 techniques.

NOTE: This help file describes the standard technique scripts that we supplied to you. These scripts can be edited. We strongly recommend that changed versions of these scripts be stored under a new name.


Multiplexed DC105: Saving and Recalling System Parameters

In order to save space in the experiment setup dialog, an auxiliary database is used to store electrochemical system parameters. These include values for metal densities, equivalent weights, and electrode kinetic parameters. Instead of entering these values explicitly for each cell, a "System Name" is entered. This is used as a keyword to define a set of system parameters.

The Framework's Setup Save/Restore mechanism is used to recall parameter sets from the file. This mechanism uses an ASCII file divided into sections identified by a System Name. The System Name is enclosed in square brackets ( [ ] ). The following figure shows a small system database file containing only two parameter sets.

The two records in this file have Setup Names [DEFAULT] and [SAMPLE 1]. The [INDEX] section of the file lists all the Setup Names in the database file.

Following the [INDEX] section are the electrochemical parameter sets, each in its own section.

A Small Electrochemical Parameters Database File

[INDEX]

DEFAULT=

SAMPLE 1=

[DEFAULT]

DENSITY=6

EQUIV=58

BETAA=0.12

BETAC=0.12

[SAMPLE 1]

DENSITY=6.8

EQUIV=39

BETAA=0.105

BETAC=0.155

We've provided a special script, "SYSTEM.EXP", who's job it is to add new entries to the System Database. This script can be run using the Framework Experiment, Named Script... command. Click here to see the Setup dialog box from the "SYSTEM.EXP" script.

This database entry Setup box works somewhat differently than Setup boxes in DC105 and Multiplexed DC105 experimental control scripts. The Default, Save... and Restore... controls are not used. OK is used to store the parameter set in the database and Cancel is used to exit the script.

When you select OK, the parameter set in the dialog box will be stored in the "SYSTEM.SET" database file. The name of the saved system is given by the Setup Name parameter in the dialog box. We recommend that you use a descriptive Setup Name. This will help you when it comes time to use the parameter set.

Spaces are allowed in the Setup Name. The Save/Recall process is case independent, so "default", "Default" and "DEFAULT" all refer to the same setup. Other than this one exception, you must exactly match a section name in the database file to successfully extract a parameter set from the file.

Once the parameter set is saved, a Query box will be displayed. In this box, you can choose to create another database entry by selecting Yes. Alternatively, you can select No to terminate the script and return to the Framework Experiment Control program. Regardless of your answer to the Query, the previous parameter set has already been stored.


Multiplexed RpEc: Purpose

This experiment measures changes in the polarization resistance, Rp, and corrosion potential, Ec, of up to eight samples. The samples are connected to the Framework system via an ECM8 Electrochemical Multiplexer. A polarization resistance measurement is made on each sample in turn. The result is a plot of Rp and Ec versus time for each cell. This plot is very useful in metal or inhibitor screening studies and in on-line monitoring.

The polarization resistance technique is used to obtain a rapid estimate of the corrosion rate of a metal in a solution. The polarization resistance technique is particularly applicable to long term monitoring because it involves small ( <20 mV) excursions relative to Eoc. Such small excursions are less likely to change the sample than the larger voltages applied in other techniques. Polarization resistance data yield an estimate of Icorr which in turn can be used to calculate a corrosion rate. Estimation of Icorr requires kinetic parameters, e.g. Betas, which must be calculated or estimated from other data.


Multiplexed RpEc: Experimental Sequence

The Multiplexed RpEc standard technique is run by selecting Experiment, Multiplexed DC, Mux'd Rp/Ec Trend from the Framework menu bar. This initiates the following sequence of events:

  1. A Runner window is created by the Framework and the "MUXRPEC.EXP" script is run in this window.
  2. The script outputs a Setup dialog box which becomes the active window. This dialog box allows you to specify the channels to be run, information concerning each channel, and global information about the entire experiment on all channels. Pressing OK accepts the parameters and starts the experimental run.
  3. The script opens the electrochemical parameters file (SYSTEM.SET) and recovers the electrochemical system characteristics (Betas, density, Equiv.Wt.) for each active cell from the file. If the file cannot be opened or the requested Setup Name cannot be found, the script warns you and then returns you to the Setup dialog box.
  4. The script opens the data file associated with the each active multiplexer channel to see if there are any problems with the composite (base plus channel number) filename.
  5. The script now obtains the use of the potentiostat and ECM8 multiplexer specified in the script or in the Setup dialog box. It initializes the multiplexer so that all the cells are held at open circuit when they are not being measured. If the potentiostat is in use or the ECM8 cannot be opened the script returns to the Setup dialog box.
  6. If the elapsed time for this experiment is greater than the total experiment time, the script complains and returns to the Setup dialog box.
  7. If conditioning has been selected in Setup, the local potentiostats in the ECM8 are used to condition all the ECM8 channels. This includes both channels selected for data acquisition and cells that are not selected.
  8. The script switches the multiplexer to the first selected channel. A complete Polarization Resistance experiment is run on this cell.

    An optional initial delay is performed prior to each scan. In all cases, Eoc is measured prior to the scan.

    Finally the actual polarization resistance scan occurs. The potential of the sample is swept from the Initial E to the Final E. Current readings at fixed time intervals are taken during the sweep.

    At each point the current range is automatically switched to the optimal range for the measured cell current. If IR compensation has been selected, each potential is corrected for the measured IR drop of the preceding point.

    Once the scan is over, the potentiostat cell switch and multiplexer channel are turned off.
  9. The script calculates Rp from a linear least squares fit of the current versus potential data. The resulting data point is appended to the data file for that channel and the data file is closed.
  10. Steps 7 though 9 are now repeated for every other active channel.
  11. Once all the channels have been run, the script checks the repeat cycle time and delays if necessary. After this delay it repeats the cycle though the active channels starting with step 6.


Multiplexed RpEc Trend: Runtime Controls

The runtime control consist of four buttons and a Curve List pull down control.

The four control buttons will be familiar to any user of the single cell DC105 experiments, although in multiplexed experiments their functions change slightly. They are selectable with a mouse or a function key. The function key forms part of the button's label, i.e. F1- ABORT.

Abort

Skip

Pause/Continue


Multiplexed RpEc: Setup Parameters

Click here to see the Multiplexed RpEc Setup dialog box complete with its default parameters.

Pstat, Multiplexer

Channel

Identifier

Area

Notes

System

Repeat Time

Total Time

Base Filename

Initial E, Final E,

Scan Rate, Sample Period

Conditioning,

Conditioning Time, Conditioning E

Initial Delay, Delay Time, Stability

Analysis Region


Multiplexed Galvanic Corrosion: Purpose

This experiment allows you to measure galvanic corrosion versus time on up to eight samples simultaneously.

The Galvanic Corrosion technique is used to study the electrochemical reactions that occur when two different metals, immersed in the same solution, are electrically coupled. One metal will generally become a cathode and the other an anode. The anode's corrosion rate is accelerated over its uncoupled rate. The corrosion rate of the cathode is reduced.

The generic instrument used in galvanic corrosion measurements is called a Zero Resistance Ammeter (ZRA). It measures the current flow between the metal samples, while keeping them at the same potential. In laboratory ZRAs, provision is also made to measure the potential of the two metal samples versus a reference electrode.

Up to eight samples are connected to the Framework system via an ECM8 Electrochemical Multiplexer. Each sample is connected in turn to a PC4 Potentiostat/Galvanostat/ZRA in ZRA mode and a test is made. The metal samples in cells that are not currently under test are shorted by a relay in the ECM8. All cells thus undergo galvanic corrosion continuously even though the ZRA is connected to only one cell at a time.

The graphical output of the experiment is a plot of log current and potential versus time. Analysis of the curves may yield the following types of information:

  • Extent of a galvanic coupling problem
  • Predicted effectiveness of a cathodic protection scheme


Multiplexed Galvanic Corrosion: Experimental Sequence

The Multiplexed Galvanic Corrosion standard technique is run by selecting Experiment, Multiplexed DC, Mux'd Galvanic Corrosion from the Framework menu bar. This initiates the following sequence of events:

1. A Runner window is created by the Framework and the "MUXGCOR.EXP" script is run in this window.

2. The script displays a Setup dialog box which becomes the active window. This dialog box allows you to specify the channels to be run, information concerning each channel, and global information about the entire experiment on all channels. Pressing OK accepts the parameters and starts the experimental run.

3. The script opens the electrochemical parameters file (SYSTEM.SET) and recovers the electrochemical system characteristics (Betas, density, Equiv.Wt.) for each active cell from the file. If the file cannot be opened or the requested Setup Name cannot be found, the script returns you to the Setup dialog box.

4. The script opens the data file associated with the each active multiplexer channel.

5. The script obtains the use of the potentiostat and ECM8 multiplexer specified in the script or in the Setup dialog box. It initializes the multiplexer so that all the selected cells are shorted when inactive. If the potentiostat is in use or the ECM8 cannot be opened the script returns you to the Setup dialog box.

6. If the elapsed time for this experiment is greater than the total experiment time, the script complains and returns to the Setup dialog box.

7. The script now switches the multiplexer to the first selected channel.

8. The script takes a current and voltage measurement on this cell. The system actually records a short current and voltage versus time curve and averages the results. At each point the voltage and current measurement ranges are automatically switched to the optimal ranges.

9. Steps 6 and 7 are now repeated for every other active channel.

10. Once all the channels have been run, the script checks the repeat cycle time and delays if necessary. After this delay it repeats the cycle though the active channels starting with step 6.


Multiplexed Galvanic Corrosion: Runtime Controls

The runtime control consist of four buttons and a Curve List pull down control.

The for control buttons will be familiar to any user of the single cell DC105 experiments, although in multiplexed experiments their functions change slightly. They are selectable with a mouse or a function key. The function key forms part of the button's label, i.e. F1- ABORT.

Abort

Skip

Pause/Continue


Multiplexed Galvanic Corrosion: Setup Parameters

Click here to see the Multiplexed Galvanic Corrosion Setup dialog box complete with its default parameters.

Pstat, Multiplexer

Channel

Identifier

Area

Notes

System

Sample Period

Total Time

Base Filename

Initial Delay, Delay Time, Stability


Multiplexed Potentiodynamic: Purpose

This experiment allows you to measure electrochemical polarization curves for up to eight samples automatically.

The samples are connected to the Framework system via an ECM8 Electrochemical Multiplexer. Each sample is connected in turn to a PC4 Potentiostat and a test is made. The test is a fully featured DC105 Potentiodynamic experiment.


Multiplexed Potentiodynamic: Experimental Sequence

The Multiplexed Potentiodynamic standard technique is run by selecting Experiment, Multiplexed DC, Mux'd Potentiodynamic from the Framework menu bar. This initiates the following sequence of events:

  1. A Runner window is created by the Framework and the "MUXPDYN.EXP" script is run in this window.
  2. The script outputs a Setup dialog box which becomes the active window. This dialog box allows you to specify the channels to be run, information concerning each channel, and global information about the entire experiment on all channels. Pressing OK accepts the parameters and starts the experimental run.
  3. The script opens the electrochemical parameters file (SYSTEM.SET) and recovers the electrochemical system characteristics (Betas, density, Equiv. Wt.) for each active cell from the file. If the file cannot be opened or the System Name cannot be found, the script warns you and then returns you to the Setup dialog box.
  4. The script now opens the data file associated with the each active multiplexer channel.
  5. The script obtains the use of the potentiostat and ECM8 multiplexer specified in the script or in the Setup dialog box. It initializes the multiplexer so that all the cells are in the off state specified in the script. If the potentiostat is in use or the ECM8 cannot be opened the script displays a warning and returns you to the Setup dialog box.
  6. The script switches the multiplexer to the first (or next) selected channel.
  7. A complete Potentiodynamic experiment is run on this cell.

    Electrode conditioning is performed if requested. An initial delay is performed if requested. In all cases, Eoc is measured prior to the scan.

    Finally the actual scan occurs. The potential of the sample is swept from the Initial E to the Final E. Current readings at fixed time intervals are taken during the sweep.

    At each point the current range is automatically switched to the optimal range for the measured cell current. If IR compensation has been selected, each potential is corrected for the measured IR drop of the preceding point.

    Once the scan is over, the cell is turned off and the multiplexer channel is off.
  8. Steps 6 and 7 are now repeated for every other active channel.


Multiplexed Potentiodynamic: Runtime Controls

The runtime control consist of four buttons and a Curve List pull down control.

The four control buttons will be familiar to any user of the single cell DC105 experiments, although in multiplexed experiments their functions change slightly. They are selectable with a mouse or a function key. The function key forms part of the button's label, i.e. F1- ABORT.

Abort

Skip

Pause/Continue


Multiplexed Potentiodynamic: Setup Parameters

Click here to see the Potentiodynamic Setup dialog box complete with its default parameters.

Pstat, Multiplexer

Channel

Identifier

Area

Notes

System

Base Filename

Initial E, Final E, Scan Rate, Sample Period, IR Comp

Conditioning, Conditioning Time, Conditioning E

Initial Delay, Delay Time, Stability


Multiplexed Potentiostatic: Purpose

This experiment allows you to apply a fixed or stepped voltage and measure current versus time curves on up to eight samples simultaneously.

The samples are connected to the Framework system via an ECM8 Electrochemical Multiplexer. The test is a fully featured DC105 Potentiostatic experiment.

In this multiplexed implementation of the Potentiostatic technique, the software cycles the through the cells selected as active in the Setup dialog box, connecting the System Potentiostat to each cell in turn. The System Potentiostat measures the current flow on each cell. The ECM8 multiplexer's local potentiostats are used to maintain the potential on each sample when the system potentiostat is connected to a different cell.


Multiplexed Potentiostatic: Experimental Sequence

The Multiplexed Potentiostatic standard technique is run by selecting Experiment, Multiplexed DC, Mux'd Potentiostatic from the Framework menu bar. This initiates the following sequence of events:

  1. A Runner window is created by the Framework and the "MUXPSTAT.EXP" script is run in this window.
  2. The script outputs a Setup dialog box which becomes the active window. This dialog box allows you to specify the channels to be run, information concerning each channel, and global information about the entire experiment on all channels. Pressing OK accepts the parameters and starts the experimental run.
  3. The script opens the electrochemical parameters file (SYSTEM.SET) and recovers the electrochemical system characteristics (Betas, density, Equiv.Wt.) for each active cell from the file. If the file cannot be opened or the requested Setup Name cannot be found, the script warns you and then returns you to the Setup dialog box.
  4. The script opens the data file associated with the each active multiplexer channel to see if there are any problems with the composite filename. It also checks the experiment timing. Problems cause the script to return to the Setup dialog box.
  5. The script now obtains the use of the potentiostat and ECM8 multiplexer specified in the script or in the Setup dialog box. It initializes the multiplexer and potentiostat. If the potentiostat is in use or the ECM8 cannot be opened the script returns to the Setup dialog box.
  6. If conditioning was enabled in Setup, all the channels are simultaneously conditioned. This includes both selected and non-selected channels.
  7. The open circuit is measured for all selected channels. This open circuit potential is used to calculate initial and final potentials versus the reference electrode. The data file header is written to the data file for all selected channels.
  8. All active channels in the ECM8 have their local potentiostats set for the initial potential. The inactive mode for all selected channels is set to Local Potentiostat mode.
  9. The data acquisition loops begins.

    If the time is greater than the time at the initial potential, the final potential is applied to all active cells. If the time is greater than the total experiment time, the script goes on to step.

    The system potentiostat is switched to each active cell in turn. A short current versus time curve at the appropriate constant potential is recorded on this cell. The average current value is recovered from the curve and written to the result curve.

    After the last active cell, the script waits until it is time to take the next data point. It then runs through the data acquisition loop again.
  10. The script waits for you to hit Skip. Once you do, it closes everything that is open and terminates itself. The local potentiostats are left on at the conclusion of the experiment.


Multiplexed Potentiostatic: Runtime Controls

The runtime control consist of four buttons and a Curve List pull down control.

The four control buttons will be familiar to any user of the single cell DC105 experiments, although in multiplexed experiments their functions change slightly. They are selectable with a mouse or a function key. The function key forms part of the button's label, i.e. F1- ABORT.

Abort

Skip

Pause/Continue


Multiplexed Potentiostatic: Setup Parameters

Click here to see the Multiplexed Potentiostatic Setup dialog box complete with its default parameters.

Pstat, Multiplexer

Channel

Identifier

Area

Notes

System

Sample Period

Initial E

Initial T

Final E

Final T

Base Filename

Conditioning, Conditioning Time, Conditioning E

Initial Delay, Delay Time, Stability


Multiplexed Galvanodynamic: Purpose

This experiment allows you to measure galvanostatic electrochemical polarization curves for up to eight samples automatically.

The samples are connected to the Framework system via an ECM8 Electrochemical Multiplexer. Each sample is connected in turn to a PC4 Potentiostat/Galvanostat and a test is made. The test is a fully featured DC105 Galvanodynamic experiment.


Multiplexed Galvanodynamic: Experimental Sequence

The Multiplexed Galvanodynamic standard technique is run by selecting Experiment, Multiplexed Galvanodynamic from the Framework menu bar. This initiates the following sequence of events:

  1. A Runner window is created by the Framework and the "MUXGDYN.EXP" script is run in this window.
  2. The script outputs a Setup dialog box which becomes the active window. This dialog box allows you to specify the channels to be run, information concerning each channel, and global information about the entire experiment on all channels. Pressing OK accepts the parameters and starts the experimental run.
  3. The script opens the electrochemical parameters file (SYSTEM.SET) and recovers the electrochemical system characteristics (Betas, density, Eqiv. Wt.) for each active cell from the file. If the file cannot be opened or the System Name cannot be found, the script warns you then returns you to the Setup dialog box.
  4. The script opens the data file associated with the each active multiplexer channel.
  5. The script obtains the use of the potentiostat and ECM8 multiplexer specified in the script or in the Setup dialog box. It initializes the multiplexer so that all the cells are in the off state specified in the script. If the potentiostat is in use or the ECM8 cannot be opened the script returns you to the Setup dialog box.
  6. The script now switches the multiplexer to the first (next) selected channel.
  7. It then runs a complete Galvanodynamic experiment on this cell.

    Electrode conditioning is performed if requested. An Initial Delay is performed if requested. In all cases, Eoc is measured prior to the scan.

    Finally the actual scan occurs. The current of the sample is swept from the Initial I to the Final I. Voltage readings at fixed time intervals are taken during the sweep.

    Once the scan is over, the cell is turned off and the multiplexer channel is turned off.
  8. Steps 6 and 7 are now repeated for every other active channel.


Multiplexed Galvanodynamic: Runtime Controls

The runtime control consist of four buttons and a Curve List pull down control.

The four control buttons will be familiar to any user of the non-Multiplexed DC105 experiments, although in Multiplexed experiments their functions change slightly. They are selectable with a mouse or a function key. The function key forms part of the button's label, i.e. F1- ABORT.

Abort

Skip

Pause/Continue


Multiplexed Galvanodynamic: Setup Parameters

Click here to see the Multiplexed Galvanodynamic dialog box complete with its default parameters.

Pstat, Multiplexer

Channel

Identifier

Area

Notes

System

Base Filename

Initial I, Final I, Scan Rate, Sample Period, IR Comp

Conditioning, Conditioning Time, Conditioning E

Initial Delay, Delay Time, Stability


DC105 Analysis Overview

The DC105 uses the Gamry Echem Analyst to display, analyze, and print acquired data files. The Gamry Echem Analyst allows the user to use experiment specific analysis tools such as Tafel Fit in Potentiodynamic experiments, and Simple EPR fits for Electrochemical Reactivation experiments by selecting those analysis tools from experiment specific pull down menus.

The Gamry Echem Analyst uses Visual Basic for Applications (VBA) as a scripting language to control the graphing and manipulation of the experimental data. These VBA analysis scripts are accessible by the user, so that they can be modified to include special analysis routines that are customized to your laboratories needs. Please refer to the Gamry Echem Analyst section of help for information on customizing your analysis scripts.


Add E Constant

The Add E Constant command is used to offset the active trace by a user specified voltage. The steps to follow to use this command are as follows:

  1. Make the trace you wish to offset the Active trace. This can be done by right clicking on the trace and pressing Activate Trace.
  2. Select the Add E Constant command from the document menu.
  3. Enter the voltage to offset the trace in the dialog, and click Ok.


Add I Constant

The Add I Constant command is used to offset the active trace by a user specified current. The steps to follow to use this command are as follows:

  1. Make the trace you wish to offset the Active trace. This can be done by right clicking on the trace and pressing Activate Trace.
  2. Select the Add I Constant command from the document menu.
  3. Enter the current to offset the trace in the dialog, and click Ok.


E Log I Fit

The E Log I Fit is a classical Tafel analysis done using only one side of the log(i) versus E curve. It assumes that at least one of your corrosion reaction are under kinetic control. See the Review of Electrochemical Corrosion Theory if you're not familiar with Tafel analysis and the mathematics describing kinetically controlled corrosion reactions. To use the E Log I Fit calculation, you select a region on one side of Ecorr where the log current plot appears to be linear. The E Log I Fit command then performs a linear least squares fit of Log(i) versus potential in the selected region. The slope of the line is the Beta coefficient for the half reaction you are looking at. The current at which the fitted line goes through Ecorr is Icorr. In order to use this command, a region on either side of Ecorr must be specified on the Active trace.

The steps to use this command are as follows:

  1. Make the trace on which to perform the fit the Active Trace. This can be done by right clicking on the trace and pressing Activate Trace.
  2. Select a region on this trace using either the mouse or keyboard curve selection tools.

  3. Once a region is selected, press the E Log I Fit command on the document menu. A dialog box presenting the Ecorr value will be displayed. This value can be changed if desired, or it can be left alone.

  4. Once you are satisfied with the Ecorr value, press Calculate. The algorithm will now begin to fit a line to the selected region. Once the fit is complete, a new trace will be added to the chart.

    You can view the results for the fit by moving the mouse cursor over the fit and watching the tool-tip. The results are also presented on their own page which has the E Log I caption.


Quick Integrate

The Quick Integrate command is used to integrate the current to achieve a total charge value. This command requires that an X Region be selected. The command will operate on all visible traces, and the results will be placed on a new Quick Integrate page, assuming one does not already exist. In the case where this page already exists, the new information will overwrite the old information.

The steps to use this command are as follows:

  1. If the calculation is to be based on only part of the curve, select the appropriate portion using either the Select X Region or Select Y Region tools, or select a portion of the curve using the mouse or keyboard selection tools.

  2. Once the region is selected, you may select the Quick Integrate command from the document menu. As soon as you select this command, the computer will begin to calculate the charge for the different sections of the curve. There can be up to three sections in a cyclic voltammetry curve. These sections are defined by the vertices of the applied voltage signal. In the case where you have a Vinit, a VLimit 1, and a VLimit2, you would have a 2 section curve. In the case where you have a Vinit, a VLimit1, a VLimit2, and a Vfinal, you would have a 3 section curve. The integrated current is listed by section.

    Note that the results are presented both on their own page, and in the QuickView area at the bottom of the chart. You can hide the QuickView window by clicking the X in the lower left corner of the QuickView.


Linear Fit

The Linear Fit command performs a linear least squares fit on a user defined region of data and adds the resulting line as a trace on the chart. In order to use this command, a region must be specified on the Active trace.

The steps to use this command are as follows:

  1. Make the trace on which to fit a line the Active Trace. This can be done by right clicking on the trace and pressing Activate Trace.
  2. Select a region on this trace using either the mouse or keyboard curve selection tools.

  3. Once a region is selected, press the Linear Fit command on the document menu. The algorithm will now begin to fit a line to the selected region. Once the fit is complete, a new trace will be added to the chart.

    You can view the equation for the new line by moving the mouse cursor over the line and watching the tool-tip.


Min/Max

The Min/Max command is used to determine the minimum and maximum current. This command requires that an X Region be selected. The command will operate on all visible traces, and the results will be placed on a new Min/Max page, assuming one does not already exist. In the case where this page already exists, the new information will overwrite the old information.

The steps to use this command are as follows:

  1. If your are looking for the min/max values in a specific portion of the curve, select an X region using the Select X Region tool [image]. To select a region using this tool, left click in the main chart body at one bounding edge of the region. Holding the mouse button down, drag the mouse to the second bounding edge, and release the left button. You will then have a highlighted region on your chart.

  2. Once the region is selected, you may select the Min/Max command from the document menu. As soon as you select this command, the computer will begin to locate the minimum and maximum values for each visible trace.

    Note that the results are presented both on their own page, and in the QuickView area at the bottom of the chart. You can hide the QuickView window by clicking the X on the side-bar of the QuickView.


Normalize By Area

To normalize your current-voltage data to the area of your sample, click the Options/Units for Current/Current Density selection of the Script-specific menu.

To remove area normalization, click Options/Units for Current/Current selection of the Script-specific menu.

Be sure that you have entered the correct electrode area when the experiment is initially defined and set up in the Gamry Framework. The Area is entered in units of cm2.


Polarization Resistance

The Polarization Resistance command is used to calculate a corrosion rate from polarization resistance data (a small signal I versus E curve near Eoc). See the Review of Electrochemical Corrosion Theory if you're not familiar with polarization resistance experiments and the typical calculations done on their data.

The macro calculates a linear least squares fit of the current versus voltage curve over a selected region. The slope of the fitted line has units of ohms. This slope is the polarization resistance from which the technique takes its name. The fit also yields an estimate for Ecorr. The polarization resistance value is then used to calculate Icorr and corrosion rate. In order to use this command, a region must be specified on the Active trace. The format of the graph must also be such that Voltage is on the X-Axis and Current is on the Y-Axis. The axes must also be in a linear format.

The steps to use this command are as follows:

  1. Make the trace on which to perform the fit the Active Trace. This can be done by right clicking on the trace and pressing Activate Trace.
  2. Select a region on this trace using the Select Portion of Curve tool [image]. To use this tool, left click with the mouse close to one bounding point of the region. Next, left click again near the second bounding point of the region. The region will become highlighted. To re-select a region, simply toggle the Select Portion of Curve tool, and try again.

  3. Once a region is selected, press the Polarization Resistance command on the document menu. If there is an error, a dialog box specifying the type of error will be shown. Follow these directions and repeat the steps. If the graph is in the correct format, a dialog box presenting the user adjustable parameters (Beta A and Beta C) will be displayed. These values can be changed if desired, or they can be left alone. The units for the Beta values are entered in volts/decade.

  4. Once you are satisfied with the input parameters, press Calculate. The algorithm will now begin to fit the selected region.

    Note that the results are presented both on their own page, and in the QuickView area at the bottom of the chart. You can hide the QuickView window by clicking the X on the side-bar of the QuickView.

    You can also view the results for the fit by moving the mouse cursor over the fit and watching the tool-tip.


Simple EPR

The Simple EPR command is used to calculate a degree of sensitization to Intergranular Stress Corrosion Cracking in heat affected stainless steels. This command is only available in the Reactivation Analysis package.

A detailed description of the simplified reactivation test can be found in A.P. Majidi and A. Streicher,Non-Destructive Electrochemical Tests for Detecting Sensitization in ANSI 304 and 304L Stainless Steels, in Electrochemical Techniques for Corrosion Engineers, R. Baboian Ed. NACE, Houston TX USA 1986.

Basically, the analysis for the simplified EPR test consists of measurement of the height of a current peak and normalization of the current to either a standard grain size or to a grain boundary area. The magnitude of the resulting normalized current is a direct measure of the degree of sensitization.

The steps to use this command are as follows:

  1. Select the Simple EPR command from the document menu. A Dialog box will be displayed. In this box you are asked whether you wish to normalize the current to the Grain Boundary Area (GBA) measured microscopically, or to the ASTM Grain Size Number (GSN).

  2. Once you are satisfied with your entries, press Calculate. The computer will then automatically calculate the peak current and normalize the current.

    Note that the results are presented in the QuickView area at the bottom of the chart. You can hide the QuickView window by clicking the X on the side-bar of the QuickView.


Smooth Data

The Smooth Data command is used in cases where the acquired data is less than ideal. There are some cases where exterior noise enters the cell and causes the data to have some minor oscillations. The Smooth Data command offers two different types of smoothing algorithms.

The first is a sliding window type, which takes a number of data points in a window. This window averages the data points, and then slides one spot, and again takes an average. This sliding effect is repeated until all the data has been traversed. This technique is simple, but has a downside of causing the heights of peaks to be changed.

The second type is a Savitzky-Golay smoothing filter, which is a low pass filter which helps to preserve higher moments by approximating the underlying function with a polynomial. This method takes an order, which is the order of the polynomial, as well as a width, which is the number of points to be fit by the polynomial. The defaults of 4 for the order, and 16 for the width are suitable for the majority of applications, but can easily be changed.

The steps to smooth the data are as follows:

  1. Make the trace you wish to smooth the Active trace. This can be done by right clicking on the trace and pressing Activate Trace.

  2. Select the Smooth Data command from the document menu. This will display the Smooth Data dialog.

  3. Select the smoothing filter type, and then specify the conditions for that filter. Once you are satisfied, press Ok. At this point the data will be smoothed. One side effect of smoothing the data is that it in essence replaces the original data in the document. To retrieve the original data, you must reload it from the original DTA file.


Tafel Fit

The Tafel Fit command is used to calculate a corrosion rate from Tafel or potentiodynamic data. Tafel analysis assumes that the corrosion reactions are under kinetic control. See the Review of Electrochemical Corrosion Theory if you're not familiar with Tafel analysis and the mathematics describing kinetically controlled corrosion reactions. Our Tafel Fit routine uses a non-linear chi squared minimization to fit the data in the selected region to the Stern-Geary equation. The fit uses four adjustable parameters, Icorr, Ecorr, Beta A and Beta C. The minimization algorithm is quite complex. It makes a number of estimates for the values of the four parameters. After each estimate, a "goodness of fit" is evaluated. A new estimate for the parameter values is then made, using the well known Marquardt algorithm. The process is repeated until the fit stops improving, or until a preset number of iterations have been made. In order to use this command, a region encompassing Ecorr must be specified on the Active trace.

The steps to use this command are as follows:

  1. Make the trace on which to perform the fit the Active Trace. This can be done by right clicking on the trace and pressing Activate Trace.
  2. Select a region on this trace using either the mouse or keyboard curve selection tools.

  3. Once a region is selected, press the Tafel Fit command on the document menu. A dialog box presenting the user adjustable parameters will be displayed. These values can be changed if desired, or they can be left alone. The following selections are available on the Tafel Analysis Setup dialog box:

    Iterations
    Use Seed Values
    Seed Values
    Weighting

  4. Once you are satisfied with the input parameters, press Calculate. The algorithm will now begin to fit the selected region. Once the fit is complete, a new trace will be added to the chart. The resulting values as adjusted by the fit will be displayed in the Tafel Fit dialog box.

  5. Press Close to close this dialog box when you are finished looking at the values and are satisfied with the fit.

    You can view the results for the fit by moving the mouse cursor over the fit and watching the tool-tip. The results are also presented on their own page which has the Tafel caption.


Transform Axes

The Transform Axes dialog box allows you to make some changes to the style of the current chart axes.

The Voltages section allows you to specify whether voltages should be graphed versus the reference potential (Eref) or versus the open circuit potential (Eoc). Please note that in order to view versus Eoc, the open circuit must have been measured. The style of the voltage will be referenced on the chart axes. If Eoc was not measured, the style will default to versus Eref. In this case, there may not be an Eref noting on the axis.

The Axes sections (X, Y, Y2) allow you to modify the format of the axis. In some cases, the axis is in a Log format and you may wish to change it to a Linear format. Also, some analyses display the data in a Reversed format, meaning that values are plotted from Maximum to Minimum rather than the normal way of Minimum to Maximum.

When you are satisfied with your changes, press Ok. If you do not wish to make changes, press Cancel.


Corrosion Behavior Diagram Analysis Overview

The Corrosion Behavior Diagram analysis script allows the user to open Corrosion Behavior Diagram data files by selecting the data file from the File Open window. The data file will open, and a series of tabbed pages are created in a new window. These tabs will contain a graph of the data, experimental setup information, experimental notes, and hardware settings.

The standard Corrosion Behavior Diagram analysis script shows a plot of voltage versus log current on the first page. This plot shows a polarization as well as cathodic scans. Common analyses performed from this graph include the Normalize by Area command. Descriptions of the analysis commands on the Corrosion Behavior Diagram menu can be found in the Commands section of the DC105 Data Analysis Help.


Corrosion Behavior Diagram Analysis Pages

The standard Corrosion Behavior Diagram analysis contains the following pages at startup:

Chart

The Chart page is the heart of the Corrosion Behavior Diagram analysis. It contains the data plotted in a Voltage versus log Current format.

Experimental Setup

The Experimental Setup page contains a list of the parameters used to acquire the data presented on the Chart page.

Experimental Notes

The Experimental Notes are the notes entered by the user prior to the data acquisition. The Notes can be edited in the analysis, and saved with the changes to an analysis data file.

Hardware Settings

The Hardware Settings Page contains all of the potentiostat settings used during the run of the experiment.


Corrosion Potential Analysis Overview

The Corrosion Potential analysis script allows the user to open Corrosion Potential data files by selecting the data file from the File Open window. The data file will open, and a series of tabbed pages are created in a new window. These tabs will contain a graph of the data, experimental setup information, experimental notes, and hardware settings.

The standard Corrosion Potential analysis script shows a plot of voltage versus time on the first page. Common analyses performed from this graph include the Min/Max command. Descriptions of the analysis commands on the Corrosion Potential menu can be found in the Commands section of the DC105 Data Analysis Help.


Corrosion Potential Analysis Pages

The standard corrosion potential analysis contains the following pages at startup:

Chart

The Chart page is the heart of the Corrosion Potential analysis. It contains the data plotted in a Voltage versus time format.

Experimental Setup

The Experimental Setup page contains a list of the parameters used to acquire the data presented on the Chart page.

Experimental Notes

The Experimental Notes are the notes entered by the user prior to the data acquisition. The Notes can be edited in the analysis, and saved with the changes to an analysis data file.

Hardware Settings

The Hardware Settings Page contains all of the potentiostat settings used during the run of the experiment.

Additional Pages Which May Become Visible

Min/Max

This page contains a grid of minimum and maximum values of each visible trace based on the most recent use of the Min/Max command.


Critical Pitting Potential Analysis Overview

The CPP analysis package is used to view and print a curve, or family of curves, contained in a CPP data file. Time is used as the independent variable in the graphs. CPP graphs, unlike other DC105 graphs, contain a family of related curves.

Each CPP curve is comprised of two "phases", the stimulation phase and repassivation phase. Both phases generate a data curve. The default graph on the first page of the analysis displays both of these curves simultaneously in a time versus current format.

The curves within a CPP family are distinguished by "repassivation potential", which is actually the potential used when checking for repassivation.


Critical Pitting Potential Analysis Pages

The standard Critical Pitting Potential analysis contains the following pages at startup:

Chart

The Chart page is the heart of the Critical Pitting Potential analysis. It contains the data plotted in a Current versus Time format.

Experimental Setup

The Experimental Setup page contains a list of the parameters used to acquire the data presented on the Chart page.

Experimental Notes

The Experimental Notes are the notes entered by the user prior to the data acquisition. The Notes can be edited in the analysis, and saved with the changes to an analysis data file.

Hardware Settings

The Hardware Settings Page contains all of the potentiostat settings used during the run of the experiment.

Additional Pages Which May Become Visible

Min/Max

This page contains a grid of minimum and maximum values of each visible trace based on the most recent use of the Min/Max command.


Cyclic Galvanodynamic Analysis Overview

The Cyclic Galvanodynamic analysis script allows the user to open Cyclic Galvanodynamic data files by selecting the data file from the File Open window. The data file will open, and a series of tabbed pages are created in a new window. These tabs will contain a graph of the data, experimental setup information, experimental notes, and hardware settings.

The standard Cyclic Galvanodynamic analysis script shows a plot of voltage versus log current on the first page. Common analyses performed from this graph include Integrate, Min/Max, Polarization Resistance, Tafel, E Log I, and Normalize by Area commands. Descriptions of the analysis commands on the Cyclic Galvanodynamic menu can be found in the Commands section of the DC105 Data Analysis Help.


Cyclic Galvanodynamic Analysis Pages

The standard cyclic galvanodynamic analysis contains the following pages at startup:

Chart

The Chart page is the heart of the Cyclic Galvanodynamic analysis. It contains the data plotted in a Voltage versus log Current format.

Experimental Setup

The Experimental Setup page contains a list of the parameters used to acquire the data presented on the Chart page.

Experimental Notes

The Experimental Notes are the notes entered by the user prior to the data acquisition. The Notes can be edited in the analysis, and saved with the changes to an analysis data file.

Hardware Settings

The Hardware Settings Page contains all of the potentiostat settings used during the run of the experiment.

Additional Pages Which May Become Visible

Integration

This page contains a grid of integration values based on different sections in visible traces based on the most recent use of the Integrate command.

Min/Max

This page contains a grid of minimum and maximum values of each visible trace based on the most recent use of the Min/Max command.

Tafel

This page contains a grid of corrosion rates, Ecorr, Icorr, and beta information based on the most recent Tafel fit.

PolRes

This page contains a grid of corrosion rates, Ecorr, Icorr, and beta information based on the most recent Polarization Resistance fit.

E Log I

This page contains a grid of corrosion rates, and Ecorr information based on the most recent E Log I fit.


Cyclic Polarization Analysis Overview

The Cyclic Polarization analysis script allows the user to open Cyclic Polarization data files by selecting the data file from the File Open window. The data file will open, and a series of tabbed pages are created in a new window. These tabs will contain a graph of the data, experimental setup information, experimental notes, and hardware settings.

The standard Cyclic Polarization analysis script shows a plot of voltage versus log current on the first page. Common analyses performed from this graph include Integrate, Min/Max, Polarization Resistance, Tafel, E Log I, and Normalize by Area commands. Descriptions of the analysis commands on the Cyclic Polarization menu can be found in the Commands section of the DC105 Data Analysis Help.


Cyclic Polarization Analysis Pages

The standard cyclic polarization analysis contains the following pages at startup:

Chart

The Chart page is the heart of the Cyclic Polarization analysis. It contains the data plotted in a Voltage versus log Current format.

Experimental Setup

The Experimental Setup page contains a list of the parameters used to acquire the data presented on the Chart page.

Experimental Notes

The Experimental Notes are the notes entered by the user prior to the data acquisition. The Notes can be edited in the analysis, and saved with the changes to an analysis data file.

Hardware Settings

The Hardware Settings Page contains all of the potentiostat settings used during the run of the experiment.

Additional Pages Which May Become Visible

Integration

This page contains a grid of integration values based on different sections in visible traces based on the most recent use of the Integrate command.

Min/Max

This page contains a grid of minimum and maximum values of each visible trace based on the most recent use of the Min/Max command.

Tafel

This page contains a grid of corrosion rates, Ecorr, Icorr, and beta information based on the most recent Tafel fit.

PolRes

This page contains a grid of corrosion rates, Ecorr, Icorr, and beta information based on the most recent Polarization Resistance fit.

E Log I

This page contains a grid of corrosion rates, and Ecorr information based on the most recent E Log I fit.


Galvanic Corrosion Analysis Overview

The Galvanic Corrosion analysis script allows the user to open Galvanic Corrosion data files by selecting the data file from the File Open window. The data file will open, and a series of tabbed pages are created in a new window. These tabs will contain a graph of the data, experimental setup information, experimental notes, and hardware settings.

The standard Galvanic Corrosion analysis script shows a plot of current and voltage versus time on the first page. Common analyses performed from this graph include Integrate, Min/Max Current, and Min/Max Voltage commands. Descriptions of the analysis commands on the Galvanic Corrosion menu can be found in the Commands section of the DC105 Data Analysis Help.


Galvanic Corrosion Analysis Pages

The standard galvanic corrosion analysis contains the following pages at startup:

Chart

The Chart page is the heart of the Galvanic Corrosion analysis. It contains the data plotted in a Current and Voltage versus Time format.

Experimental Setup

The Experimental Setup page contains a list of the parameters used to acquire the data presented on the Chart page.

Experimental Notes

The Experimental Notes are the notes entered by the user prior to the data acquisition. The Notes can be edited in the analysis, and saved with the changes to an analysis data file.

Hardware Settings

The Hardware Settings Page contains all of the potentiostat settings used during the run of the experiment.

Additional Pages Which May Become Visible

Integration

This page contains a grid of integration values based on different sections in visible traces based on the most recent use of the Integrate command.

Min/Max

This page contains a grid of minimum and maximum values of each visible trace based on the most recent use of the Min/Max command.


Galvanodynamic Analysis Overview

The Galvanodynamic analysis script allows the user to open Galvanodynamic data files by selecting the data file from the File Open window. The data file will open, and a series of tabbed pages are created in a new window. These tabs will contain a graph of the data, experimental setup information, experimental notes, and hardware settings.

The standard Galvanodynamic analysis script shows a plot of voltage versus log current on the first page. Common analyses performed from this graph include Integrate, Min/Max, Polarization Resistance, Tafel, E Log I, and Normalize by Area commands. Descriptions of the analysis commands on the Galvanodynamic menu can be found in the Commands section of the DC105 Data Analysis Help.


Galvanodynamic Analysis Pages

The standard galvanodynamic analysis contains the following pages at startup:

Chart

The Chart page is the heart of the Galvanodynamic analysis. It contains the data plotted in a Voltage versus log Current format.

Experimental Setup

The Experimental Setup page contains a list of the parameters used to acquire the data presented on the Chart page.

Experimental Notes

The Experimental Notes are the notes entered by the user prior to the data acquisition. The Notes can be edited in the analysis, and saved with the changes to an analysis data file.

Hardware Settings

The Hardware Settings Page contains all of the potentiostat settings used during the run of the experiment.

Additional Pages Which May Become Visible

Integration

This page contains a grid of integration values based on different sections in visible traces based on the most recent use of the Integrate command.

Min/Max

This page contains a grid of minimum and maximum values of each visible trace based on the most recent use of the Min/Max command.

Tafel

This page contains a grid of corrosion rates, Ecorr, Icorr, and beta information based on the most recent Tafel fit.

PolRes

This page contains a grid of corrosion rates, Ecorr, Icorr, and beta information based on the most recent Polarization Resistance fit.

E Log I

This page contains a grid of corrosion rates, and Ecorr information based on the most recent E Log I fit.


Galvanostatic Analysis Overview

The Galvanostatic analysis script allows the user to open Galvanostatic data files by selecting the data file from the File Open window. The data file will open, and a series of tabbed pages are created in a new window. These tabs will contain a graph of the data, experimental setup information, experimental notes, and hardware settings.

The standard Galvanostatic analysis script shows a plot of voltage versus time on the first page. Common analyses performed from this graph include Integrate, and Min/Max commands. Descriptions of the analysis commands on the Galvanostatic menu can be found in the Commands section of the DC105 Data Analysis Help.


Galvanostatic Analysis Pages

The standard cyclic galvanodynamic analysis contains the following pages at startup:

Chart

The Chart page is the heart of the Cyclic Galvanodynamic analysis. It contains the data plotted in a Voltage versus log Current format.

Experimental Setup

The Experimental Setup page contains a list of the parameters used to acquire the data presented on the Chart page.

Experimental Notes

The Experimental Notes are the notes entered by the user prior to the data acquisition. The Notes can be edited in the analysis, and saved with the changes to an analysis data file.

Hardware Settings

The Hardware Settings Page contains all of the potentiostat settings used during the run of the experiment.

Additional Pages Which May Become Visible

Integration

This page contains a grid of integration values based on different sections in visible traces based on the most recent use of the Integrate command.

Min/Max

This page contains a grid of minimum and maximum values of each visible trace based on the most recent use of the Min/Max command.


Polarization Resistance Analysis Overview

The Polarization Resistance Analysis package is used to quickly obtain corrosion rates from Polarization Resistance data.

The basic plot type for the Polarization Resistance package has potential on the vertical axis and current on the horizontal axis.


Polarization Resistance Analysis Pages

The standard polarization resistance analysis contains the following pages at startup:

Chart

The Chart page is the heart of the Polarization Resistance analysis. It contains the data plotted in a Voltage versus Current format.

Experimental Setup

The Experimental Setup page contains a list of the parameters used to acquire the data presented on the Chart page.

Experimental Notes

The Experimental Notes are the notes entered by the user prior to the data acquisition. The Notes can be edited in the analysis, and saved with the changes to an analysis data file.

Hardware Settings

The Hardware Settings Page contains all of the potentiostat settings used during the run of the experiment.

Additional Pages Which May Become Visible

Integration

This page contains a grid of integration values based on different sections in visible traces based on the most recent use of the Integrate command.

Min/Max

This page contains a grid of minimum and maximum values of each visible trace based on the most recent use of the Min/Max command.

PolRes

This page contains a grid of corrosion rates, Ecorr, Icorr, and beta information based on the most recent Polarization Resistance fit.


Potentiodynamic Analysis Overview

The Potentiodynamic analysis script allows the user to open Potentiodynamic data files by selecting the data file from the File Open window. The data file will open, and a series of tabbed pages are created in a new window. These tabs will contain a graph of the data, experimental setup information, experimental notes, and hardware settings.

The standard Potentiodynamic analysis script shows a plot of voltage versus log current on the first page. Common analyses performed from this graph include Integrate, Min/Max, Polarization Resistance, Tafel, E Log I, and Normalize by Area commands. Descriptions of the analysis commands on the Potentiodynamic menu can be found in the Commands section of the DC105 Data Analysis Help.


Potentiodynamic Analysis Pages

The standard potentiodynamic analysis contains the following pages at startup:

Chart

The Chart page is the heart of the Potentiodynamic analysis. It contains the data plotted in a Voltage versus log Current format.

Experimental Setup

The Experimental Setup page contains a list of the parameters used to acquire the data presented on the Chart page.

Experimental Notes

The Experimental Notes are the notes entered by the user prior to the data acquisition. The Notes can be edited in the analysis, and saved with the changes to an analysis data file.

Hardware Settings

The Hardware Settings Page contains all of the potentiostat settings used during the run of the experiment.

Additional Pages Which May Become Visible

Integration

This page contains a grid of integration values based on different sections in visible traces based on the most recent use of the Integrate command.

Min/Max

This page contains a grid of minimum and maximum values of each visible trace based on the most recent use of the Min/Max command.

Tafel

This page contains a grid of corrosion rates, Ecorr, Icorr, and beta information based on the most recent Tafel fit.

PolRes

This page contains a grid of corrosion rates, Ecorr, Icorr, and beta information based on the most recent Polarization Resistance fit.

E Log I

This page contains a grid of corrosion rates, and Ecorr information based on the most recent E Log I fit.


Potentiostatic Analysis Overview

The Potentiostatic analysis script allows the user to open Potentiostatic data files by selecting the data file from the File Open window. The data file will open, and a series of tabbed pages are created in a new window. These tabs will contain a graph of the data, experimental setup information, experimental notes, and hardware settings.

The standard Potentiostatic analysis script shows a plot of current versus time on the first page. Common analyses performed from this graph include Integrate, Min/Max, and Normalize by Area commands. Descriptions of the analysis commands on the Potentiostatic menu can be found in the Commands section of the DC105 Data Analysis Help.


Potentiostatic Analysis Pages

The standard potentiostatic analysis contains the following pages at startup:

Chart

The Chart page is the heart of the Potentiostatic analysis. It contains the data plotted in a Current versus Time format.

Experimental Setup

The Experimental Setup page contains a list of the parameters used to acquire the data presented on the Chart page.

Experimental Notes

The Experimental Notes are the notes entered by the user prior to the data acquisition. The Notes can be edited in the analysis, and saved with the changes to an analysis data file.

Hardware Settings

The Hardware Settings Page contains all of the potentiostat settings used during the run of the experiment.

Additional Pages Which May Become Visible

Integration

This page contains a grid of integration values based on different sections in visible traces based on the most recent use of the Integrate command.

Min/Max

This page contains a grid of minimum and maximum values of each visible trace based on the most recent use of the Min/Max command.


Reactivation Analysis Overview

The Reactivation Analysis package is used to analyze data from the Reactivation technique.

For details on the interpretation of Reactivation data, see A.P. Majidi and M.A. Streicher, Nondistructive Electrochemical Tests for Detecting Sensitization in ANSI 304 and 304L Stainless Steel Pipes, in Electrochemical Techniques for Corrosion Engineering, NACE, Houston, Texas.

The basic plot type for the Reactivation package has Current on the x-axis and Potential on the y-axis. Within this package you can perform a Simple Reactivation calculation to obtain a numerical degree of sensitization.


Reactivation Analysis Pages

The standard potentiostatic analysis contains the following pages at startup:

Chart

The Chart page is the heart of the Potentiostatic analysis. It contains the data plotted in a Potential versus Log Current format.

Experimental Setup

The Experimental Setup page contains a list of the parameters used to acquire the data presented on the Chart page.

Experimental Notes

The Experimental Notes are the notes entered by the user prior to the data acquisition. The Notes can be edited in the analysis, and saved with the changes to an analysis data file.

Hardware Settings

The Hardware Settings Page contains all of the potentiostat settings used during the run of the experiment.


RpEc Trend Analysis Overview

The Rp/Ec Trend Analysis package is used to graph and manipulate the data from Rp/Ec Trend experiments. In an Rp/Ec Trend experiment, polarization resistance Rp is repeatedly measured at set time intervals. The resulting data consists of both Rp and Ecorr measured versus time.

The normal plot type for the Rp/Ec Trend package has Rp plotted on the y-axis and Ecorr on the y2-axis. Time is plotted on the x-axis.


RpEc Trend Analysis Pages

The standard RpEc Trend analysis contains the following pages at startup:

Chart

The Chart page is the heart of the RpEc Trend analysis. It contains the data plotted in a Rp (Polarization Resistance) versus Time format.

Experimental Setup

The Experimental Setup page contains a list of the parameters used to acquire the data presented on the Chart page.

Experimental Notes

The Experimental Notes are the notes entered by the user prior to the data acquisition. The Notes can be edited in the analysis, and saved with the changes to an analysis data file.

Hardware Settings

The Hardware Settings Page contains all of the potentiostat settings used during the run of the experiment.

Additional Pages Which May Become Visible

Min/Max

This page contains a grid of minimum and maximum values of each visible trace based on the most recent use of the Min/Max command.


Data File Format: DC105

In this section, we will discuss the structure of DC105 data files. This information is provided so that you can:

  • Understand the data file contents.
  • Write your own data analysis program.
  • Edit a data file.

We will discuss the following topics:

  • An overview of the file and the tools you can use to examine and/or modify it.
  • Analysis tags.
  • Setup parameters.
  • Non-curve data.
  • The data curve, concentrating on the CURVE data type.
  • Special file formats for specific techniques.

Throughout this discussion, we will be using the data file produced by the tutorial experiment as an example.


Data File Overview

A Gamry Framework data file is a standard "tab delimited" ASCII file. By convention it has a ".DTA" filename extension. You can use other filename extensions, but they will be less convenient.

The Windows Notepad can be used to examine and modify Gamry Framework data files, but with some care. Microsoft Excel can also read these data files, and can be used to view or print them. However, editing and saving a file using Microsoft Excel may render the file unreadable by the Gamry Echem Analyst.

The data file is a collection of data objects. Each data object starts on a new line and is identified by a type, a tag, and one or more values. The type is a text descriptor of the kind of object represented by this information. Any text at the beginning of a line is assumed to be a type identifier. The data objects can be of various types. The type, tag, and values of a data object are separated by the tab character.

After each type identifier, there is a tag identifier. This is a unique name for a specific object. Setup parameter data objects may also have one or more values following the type and tag.

The first two lines of a Framework data file are generally two special and important data objects.

EXPLAIN
TAG TYPICALEXPERIMENT

The EXPLAIN type identifies this file as one output from an Explain Script. Without this line, a file will not be read in by the Gamry Echem Analyst.

The next line begins an object, uniquely identified as type TAG, that is used to specify which experiment created the data file. In this example, the tag is "TYPICALEXPERIMENT". This object is used by the Gamry Echem Analyst to determine which Analysis script should be used when this data file is opened.

Data objects are generally more complicated. In the following example, the object is of type "POTEN", and stores information about a potential. The tag or name of this object is "VINIT". The information about the poten is contained in the 3 fields that follow the tag. The tab character is represented by "<tab>" so you do not confuse it with the space character.

VINIT<tab>POTEN<tab>-2.00000E-002<tab>T<tab>Initial &E (V)

One special type is a TABLE. A TABLE is output by a data curve. The TABLE type is followed by the number of data points. The table headings, units, and data values follow.

CURVE TABLE 33

Pt T Vf Im Vu Sig Ach IERange Over

# s V vs. Ref. A V V V # bits

0 1.99995 -1.98661E-002 -9.95748E-006 0.00000E+000 -2.00500E-002 1.22360E-004 7 .............

1 3.9999 -1.96810E-002 -9.83248E-006 0.00000E+000 -1.98000E-002 1.22360E-004 7 .............

2 5.99985 -1.94209E-002 -9.70748E-006 0.00000E+000 -1.95500E-002 1.22360E-004 7 .............

Fields (tags, types, and values) within data objects are separated by the tab character. One exception is the separator between data points in a data curve, which is a carriage return.

Data objects can appear in any order in the file. The Gamry Echem Analyst locates objects within the file by means of their tags.


DC105: Tutorial Data File

The following figure shows a data file produced by running the Tutorial experiment. Space limitations limit the figure to the first 10 data points. The file contains 191 more points not shown in the figure.

Tutorial Data File

EXPLAIN
TAG DC105TUTORIAL
TITLE LABEL Tutorial Test &Identifier
DATE LABEL 4/16/2003 Date
TIME LABEL 10:27:54 Time
NOTES NOTES 1 &Notes...

PSTAT PSTAT MyPstat Potentiostat
INIT POTEN -2.50000E-001 F Initial &E
FINAL POTEN 2.50000E-001 F Final &E
SCANRATE QUANT 5.00000E+000 Scan Ra&te (mV/s)
SAMPLETIME QUANT 5.00000E-001 Sa&mple Period (s)
AREA QUANT 1.00000E+000 Sample &Area (cm²)
DENSITY QUANT 7.87000E+000 Densit&y (gm/cm³)
EQUIV QUANT 2.79200E+001 Equiv. &Wt
DELAY TWOPARAM T 3.00000E+001 0.00000E+000 Init. De&lay Time(s) Stab.(mV/s)
IRCOMP TOGGLE F IR Com&p
EOC QUANT -2.15582E-005 Open Circuit (V)
PSTATMODEL IQUANT 32 Pstat Model
CTRLMODE IQUANT 1 Control Mode
IESTAB IQUANT 1 I/E Stability
CASPEED IQUANT 2 Control Amp Speed
CONVENTION IQUANT 1 Current Convention
ICHRANGE IQUANT 2 Ich Range
ICHRANGEMODE TOGGLE T Ich Auto Range
ICHOFFSETENABLE TOGGLE F Ich Offset Enable
ICHOFFSET QUANT 0 Ich Offset (V)
ICHFILTER IQUANT 2 Ich Filter
VCHRANGE IQUANT 2 Vch Range
VCHRANGEMODE TOGGLE T Vch Auto Range
VCHOFFSETENABLE TOGGLE F Vch Offset Enable
VCHOFFSET QUANT 0 Vch Offset (V)
VCHFILTER IQUANT 2 Vch Filter
ACHRANGE IQUANT 0 Ach Range
IERANGELOWERLIMIT IQUANT 3 I/E Range Lower Limit
IERANGEMODE TOGGLE T I/E AutoRange
IERANGE IQUANT 10 I/E Range
POSFEEDENABLE TOGGLE F Positive Feedback IR Comp
POSFEEDRESISTANCE QUANT 0 Positive Feedback Resistance (ohm)
CURVE TABLE 201
Pt T Vf Im Vu Sig Ach Over
# s V A V V V bits
0 0.499999 -2.49874E-001 -2.50498E-003 0.00000E+000 -2.50000E-001 5.58000E-005 ......
1 1 -2.47374E-001 -2.48098E-003 0.00000E+000 -2.47500E-001 2.55800E-004 ......
2 1.5 -2.44974E-001 -2.45598E-003 0.00000E+000 -2.45000E-001 1.55800E-004 ......
3 2 -2.42374E-001 -2.42998E-003 0.00000E+000 -2.42500E-001 3.55800E-004 ......
4 2.5 -2.39913E-001 -2.40598E-003 0.00000E+000 -2.40000E-001 1.55800E-004 ......
5 3 -2.37223E-001 -2.38141E-003 0.00000E+000 -2.37500E-001 3.55800E-004 ......
6 3.5 -2.34733E-001 -2.35651E-003 0.00000E+000 -2.35000E-001 5.58000E-005 ......
7 4 -2.32223E-001 -2.33141E-003 0.00000E+000 -2.32500E-001 1.55800E-004 ......
8 4.5 -2.29733E-001 -2.30651E-003 0.00000E+000 -2.30000E-001 -4.42000E-005 ......
9 4.99999 -2.27243E-001 -2.28131E-003 0.00000E+000 -2.27500E-001 1.55800E-004 ......


DC105: Setup Parameters

In the sample data file, the setup parameters follow the Analysis Tags. The parameter tags are quite descriptive. We will therefore not bother with a line by line description of the parameters.

Remember that values are separated from their tag and from each other by tabs. Parameter values are stored in the data file in the units in which they are entered into the setup. Logical variables are stored as T (true) or F (false). Potentials have both a numerical value and a logical value which records the status of the versus Eoc switch. For example:

POTEN VINIT -5.00000E-001 F Initial &E (V)
POTEN VFINAL 5.00000E-001 F Final &E (V)


DC105: Data Curve

In the sample data file, the data portion of the file begins with this line.

CURVE TABLE 200

The tag identifies the data set as a "TABLE" datatype, and identifier of "CURVE", and with 200 data points. Other tag identifiers are possible. The DC105 uses the "CURVE" tag, or close variants for most of its standard techniques. Some TABLE types do not specify the number of data points. This number is not required.

The first line following the datatype is a set of descriptive column headings. These headings are for file readability only. The DC105 analysis scripts do not use the column headings to identify data positions within the curve. Click on each heading to get a description.

Pt | T | Vf | Im | Vu | Sig | Ach | IERange | Over
# | s | V | A | V | V | V | # | bits
0 | 0.999 | -4.980E-001 | -2.064E-004 | 0.000E+000 | -5.000E-001 | 1.543E+000 | 7 | .............
1 | 1.999 | -4.490E-001 | -1.569E-004 | 0.000E+000 | -4.500E-001 | 1.543E+000 | 7 | .............
2 | 2.999 | -3.980E-001 | -1.318E-004 | 0.000E+000 | -4.000E-001 | 1.543E+000 | 7 | .............
3 | 3.999 | -3.490E-001 | -1.136E-004 | 0.000E+000 | -3.500E-001 | 1.543E+000 | 7 | .............


Library Routines: DC105

The Framework Explain library contains most of the functions and classes required to run the DC105. Only a few additional classes are unique to the DC105. They are mostly special curve classes and special signal generators.

These classes are listed below:

Curve Classes |
class CIIV | A controlled current i vs E curve
class CPIV | A controlled potential i vs E curve
class GALVCOR | Galvanic Corrosion curve
Signal Generators |
class IRAMP | Current ramp
class ISTEP | Current step
class IUPDN | Cyclic current ramp
class VRAMP | Voltage ramp
class VSTEP | Voltage step
class VUPDN | Cyclic voltage ramp
class IMSTEP | Multiple current step
class VMSTEP | Multiple voltage step
Mathematical Classes |
class LINFIT | Linear least squares fit


CIIV

Type: CLASS

Purpose: The CIIV class manages data acquisition for a Controlled Current I-V curve. There may be more than one data acquisition object in a script but only one may be running (i.e., acquiring values) at any time. The typical life cycle of a Ciiv object is:

Ciiv = CIIV.New(Tag, Pstat) ; Create the Ciiv
Ciiv.SetPlot(Plottype) ; Determine the plot type
Ciiv.Run() ; Run the curve
Ciiv.Printl() ; Print the curve out to Output

When a Ciiv object is run, the potentiostat must be in Galvanostatic mode.


CPIV

Type: CLASS

Purpose: The CPIV class manages data acquisition for a Controlled Potential I-V curve. There may be more than one data acquisition object in a script, but only one may be running (i.e., acquiring values) at any time. The typical life cycle of a Cpiv object is:

Cpiv = CPIV.New(Tag, Pstat) ; Create the Cpiv
Cpiv.SetPlot(Plottype) ; Determine the plot type
Cpiv.Run() ; Run the curve
Cpiv.Printl() ; Print the curve out to Output

When a Cpiv object is run, the potentiostat must be in the Potentiostatic mode.


GALVCOR

Type: Class

Purpose: The GALVCOR class manages data acquisition for a galvanic corrosion experiment. It is a real-time curve management class that is very similar to the CPIV class. We will only describe the differences between GALVCOR and CPIV.

Consult your potentiostat’s Hardware Operator's manual for further details of the operation and connection as a ZRA.


IRAMP

Type: Class

Purpose: The IRAMP class describes a current ramp waveform which can be applied by a potentiostat while in the Galvanostat mode. The Iramp object encapsulates information about the starting and ending currents, the ramp rate, and the data acquisition rate. Most of the activity associated with the Iramp happens in the background while a Ciiv.Run() is being executed.

IRAMP uses a staircase waveform. Data is sampled at each level on the staircase.

The current range used for the IRAMP signal generator is selected from the largest absolute current specified by the ramp endpoints. The current range is fixed throughout the scan. The ramp generator does the best it can to hit the other endpoint using the current range in use. Generally the other endpoint current is only imprecise if it differs from the first by several orders of magnitude.


ISTEP

Type: Class

Purpose: The ISTEP class describes a two part current step waveform which can be applied by a potentiostat while in the Galvanostat mode. The Istep object encapsulates information about the initial and final currents, the elapsed times at each current, and the data acquisition rate. Most of the activity associated with the Istep happens in the background while a Ciiv.Run() is being executed.

The current range used for the ISTEP signal generator is selected from the larger absolute current in the waveform. The current range is fixed throughout the scan. The program does the best it can to hit the lower current using the current range in use. Generally the smaller current is only imprecise if it differs from the first by several orders of magnitude.

If the Skip button is "pressed" during the initial phase of the run, the Istep signal generator will advance to the final phase. If the Skip button is pressed during the final phase, the Cpiv.Run() will be prematurely ended.


IMSTEP

Type: Class

Purpose: The IMSTEP class describes a multiple part current step waveform which can be applied by a potentiostat while in the Galvanostat mode. The Imstep object encapsulates information about the initial and step currents, the elapsed times at each current, the number of steps, and the data acquisition rate. Most of the activity associated with the Imstep happens in the background while a Ciiv.Run() is being executed.

The current range used for the IMSTEP signal generator is selected from the larger absolute current in the waveform. The current range is fixed throughout the scan. The program does the best it can to hit the lower current using the current range in use. Generally the smaller current is only imprecise if it differs from the first by several orders of magnitude.

If the Skip button is "pressed" during the initial phase of the run, the Imstep signal generator will advance to the step phase. If the Skip button is pressed during the step phase, the Cpiv.Run() will be prematurely ended.


IUPDN

Type: Class

Purpose: The IUPDN class describes a dual slope current ramp waveform which can be applied by a potentiostat while in the Galvanostat mode. The current is ramped from an initial current to an apex current and back again to a final current. Iupdn objects are normally used for cyclic scans such as pitting tests. The object encapsulates information about the initial, apex and final currents, the ramp rates, and the data acquisition rate.

The current range used for the Iupdn signal generator is selected from the largest absolute current limit (Initial, Final, Apex) in the waveform. The current range is fixed throughout the scan. The program does the best it can to hit lower current limits using the current range in use. Generally the smaller limits are only imprecise if they differ from the first by several orders of magnitude.

Iupdn objects use a staircase waveform. Data is sampled at each level on the staircase.

If the Skip button is "pressed" during the initial phase of the run, the Iupdn signal generator will advance to the final phase. If the Skip button is pressed during the final phase, the Ciiv.Run() will be prematurely ended.


LINFIT

Type: Class

Purpose: The LINFIT class performs a linear least squares fit of Y and X data arrays. The data arrays are normally extracted from one of the Explain CURVE type objects. The fit is to an equation of the form Y= mX +b. The fit results in estimates for m, b, a residual and a goodness of fit parameter.

The most common use of an Explain LINFIT object is in polarization resistance calculations. The data arrays are chosen to include a corrosion potential (where the current changes sign). If the X array is current and the Y array is potential, the slope m is the polarization resistance with units of ohms. The intercept, b, is Ecorr. The LINFIT class can also be used for other purposes.


VSTEP

Type: Class

Purpose: The VSTEP class describes a two part voltage step waveform which can be applied by a potentiostat while in the Potentiostat mode. The Vstep object encapsulates information about the initial and final voltages, the elapsed times at each voltage, and the data acquisition rate. Most of the activity associated with the Vstep happens in the background while a Cpiv.Run() is being executed.

If a the Skip button is "pressed" during the initial phase of the run, the Vstep signal generator will advance to the final phase. If the Skip button is pressed during the final phase, the Cpiv.Run() will be prematurely ended.


VMSTEP

Type: Class

Purpose: The VMSTEP class describes a multi part voltage step waveform which can be applied by a potentiostat while in the Potentiostat mode. The Vmstep object encapsulates information about the initial and step voltages, the elapsed times at each voltage, the number of steps using the step voltage as an increment, and the data acquisition rate. Most of the activity associated with the Vmstep happens in the background while a Cpiv.Run() is being executed.

If a the Skip button is "pressed" during the initial phase of the run, the Vmstep signal generator will advance to the step phase. If the Skip button is pressed during the step phase, the Cpiv.Run() will be prematurely ended.


VRAMP

Type: Class

Purpose: The VRAMP class describes a voltage ramp waveform which can be applied by a potentiostat while in the potentiostat mode. The Vramp object encapsulates information about the starting and ending voltages, the ramp rate, and the data acquisition rate. Most of the activity associated with the Vramp happens in the background while a Cpiv.Run() is being executed.

VRAMP uses a staircase waveform. Data is sampled at each level on the staircase.


VUPDN

Type: Class

Purpose: The VUPDN class describes a dual voltage ramp waveform which can be applied by a potentiostat while in the Potentiostat mode. The voltage is ramped from an initial voltage to an apex voltage and back again to a final voltage. Vupdn is normally used for cyclic scans such as pitting tests. The object encapsulates information about the initial, apex and final voltages, the ramp rates, and the data acquisition rate.

VUPDN uses a staircase waveform. Data is sampled at each level on the staircase.

If the Skip button is "pressed" during the initial phase of the run, the Vupdn signal generator will advance to the final phase. If the Skip button is pressed during the final phase, the Cpiv.Run() will be prematurely ended.


CIIV.New()

Type: CLASS FUNCTION

Purpose: Create a Ciiv object. The data array is sized according to the signal generator used.

Usage:

Ciiv = CIIV.New(Tag, Pstat)
 | Tag | STRING | Curve tag for data output. Used to label the file
 | Pstat | Object | Pstat is an object with a PSTAT license
 | Ciiv | CIIV | The curve object


Ciiv.Run()

Type: INSTANCE FUNCTION

Purpose: Run the curve. When Ciiv.Run() is executed, the acquired data is displayed in a real-time curve. There are four buttons active during Ciiv.Run() - Abort, Pause/Continue, Skip, and Point. The Abort button terminates the entire experiment. The Skip button skips to the next phase of the experiment, either to the end of the curve or to the next region of the signal generator's operation.

The active run can be halted in several ways 1) when the signal generator is finished, 2) if the operator hits a Skip/F2 Button, or 3) if one of the stopping criteria is met. The stopping criteria can be enabled or disabled using the Ciiv.Threshold() and Ciiv.StopAt functions.

Usage:

Result = Ciiv.Run()
Result | INDEX |
 | NO_STOP | Normal finish or Skip/F2 button pushed
 | STOP_V_UNDER | Stop due to Under Criterion ( E < Emax )
 | STOP_V_OVER | Stop due to Over Criterion ( E > Emin )
 | STOP_V_STABLE | Stop due to stable (abs(dE/dt < limit)
 | STOP_V_RUNAWAY | Stop due to runaway (abs(dE/dt > limit)
 | STOP_V_DECREASING | Stop due to decreasing ( dE/dt < limit)
 | STOP_V_INCREASING | Stop due to increasing ( dE/dt > limit)


Ciiv.Printl()

Type: INSTANCE FUNCTION

Purpose: Print the results of a Ciiv experiment out to the Output file. The Output record will be printed in the format:

Tag <tab>"TABLE" <tab> Points
<tab> "Pt" <tab> "T" <tab> "Vm" <tab> "Im" <tab> "Vu" <tab> "Sig" <tab> "Ach" <tab> "Over"
<tab> "#" <tab> "s" <tab> "V" <tab> "A" <tab> "V" <tab> "V" <tab> "V" <tab> "bits"
<tab> Pt1 T V I V V V Flags
<tab> Pt2 T V I V V V Flags
...
<tab> PtN T V I V V V Flags

where the symbols have the following meanings:

Tag | The curve Tag (from CIIV.New() or optional argument)
Points | Total number of points acquired
Pt(#) | Sequential number of a point.
T | Elapsed time from starting from Ciiv.Run
Vm | Measured E vs Eref.
Im | Applied cell current.
Vu | Uncompensated Voltage
Sig | Signal sent to Control Amp
Ach | Aux Channel Voltage
Over | Overload flags

Usage:

Ciiv.Printl(Tag)

Tag

STRING

Optional. Used to print a different Tag than the one used in the call to CIIV.New()


Ciiv.StopAt()

Type: INSTANCE FUNCTION

Purpose: Enable or disable the Ciiv termination limits. There are 6 limiting conditions on which a curve may prematurely terminate:

Under | E < Limit
Over | E > Limit
Stable | abs(dE/dt) < Limit
Runaway | abs(dE/dt) > Limit
Decreasing | dE/dt < Limit
Increasing | dE/dt > Limit

The Over criterion is used to limit a positive voltage swing. The Under criterion limits a negative voltage swing. The Runaway criterion limits the rate of change in potential. The Stable criterion is used to run a sample until it shows stable behavior. The Decreasing and Increasing conditions are signed versions of the Stable and Runaway criteria.

These conditions may be individually enabled and disabled.

Usage:

Ciiv.StopAt(Under, Over, Stable, Runaway, Decreasing, Increasing)
 | Under | REAL | Enable the Under test and set value
 | or | NIL | Disable the Under test
 | Over | REAL | Enable the Over test and set value
 | or | NIL | Disable the Over test
 | Stable | REAL | Enable the Stable test and set value
 | or | NIL | Disable the Stable test
 | Runaway | REAL | Enable the Runaway test and set value
 | or | NIL | Disable the Runaway test
 | Decreasing | REAL | Enable the Decreasing test and set value
 | or | NIL | Disable the Decreasing test
 | Increasing | REAL | Enable the Increasing test and set value
 | or | NIL | Disable the Increasing test


Ciiv.StopAtDelay()

Type: INSTANCE FUNCTION

Purpose: Used to avoid premature stopping of a curve caused by noise creating a false reading for a StopAt test. Avoids false readings by requiring that the StopAt criterion be met for a number of data points (N) before the curve stops. The parameter N can be individually set for each StopAt test.

For absolute tests, such as E > Limit, the criterion must be met for N points consecutively before the criterion will be accepted. One point missing the criterion limit resets the N point counter.

For slope tests, such as dE/dt < Limit, the slope will be evaluated over N points.

Usage:

Ciiv.StopAtDelay(Under, Over, Stable, Runaway, Decreasing, Increasing)
 | Under | INDEX | Delay for this number of points
 | or | NIL | Only one point required
 | Over | INDEX | Delay for this number of points
 | or | NIL | Only one point required
 | Stable | INDEX | Delay for this number of points
 | or | NIL | Only one point required
 | Runaway | INDEX | Delay for this number of points
 | or | NIL | Only one point required
 | Decreasing | INDEX | Delay for this number of points
 | or | NIL | Only one point required
 | Increasing | INDEX | Delay for this number of points
 | or | NIL | Only one point required


Ciiv.Thresh()

Type: INSTANCE FUNCTION

Purpose: Setup threshold conditions which must be met before Ciiv.StopAt() tests will be performed. Once any of the threshold tests is met, the StopAt criteria are evaluated for the rest of the scan. There are six threshold tests that you can perform:

IMin | I < I_MinThresh
IMax | I > I_MaxThresh
EMin | E < E_MinThresh
EMax | E > E_MaxThresh
Tmin | T < T_MinThresh
Tmax | T > T_MinThresh

Threshold tests allow you to tune the StopAt tests more carefully. For example, you can avoid a premature experiment termination due to an initial transient.

In general you will only enable one of the threshold tests. The others will be turned off by a NIL argument in the function call.

Note that after the threshold test is passed all StopAt tests are enabled. Once StopAt testing is enabled, it is never disabled, even if the Threshold test that enabled it is not longer valid.

Usage:

Ciiv.Thresh(IMin, IMax, EMin, EMax, TMin, TMax)
 | IMin | REAL | Enable StopAt if I < IMin
 | or | NIL | Disable this test
 | IMax | REAL | Enable StopAt if I > IMax
 | or | NIL | Disable this test
 | EMin | REAL | Enable StopAt if E < EMin
 | or | NIL | Disable this test
 | EMax | REAL | Enable StopAt if E > EMax
 | or | NIL | Disable this test
 | TMin | REAL | Enable StopAt if T < TMin
 | or | NIL | Disable this test
 | TMax | REAL | Enable StopAt if T > TMax
 | or | NIL | Disable this test


Ciiv.DataCol()

Type: INSTANCE FUNCTION

Purpose: Create and return an object of the class DATACOL. The object is filed with data extracted from one column of the CIIV object's data array. The data, once extracted, can then be submitted to other objects for further calculation. For example, a LINFIT object performs a linear regression analysis on two DATACOL objects.

A new DATACOL object is automatically created by the call to CIIV.DataCol(). It is usually transient, existing only for one function call.

Usage:

DataCol = Ciiv.DataCol(ColumnCode)
 | DataCol | DATACOL | The new object containing the data extracted from the CIIV data array.
 | ColumnCode | INDEX | A code identifying the column to be used.
 |  |  | CIIV_T | Time
 |  |  | CIIV_Vf | Measured Voltage
 |  |  | CIIV_Vu | Uncompensated Voltage
 |  |  | CIIV_Im | Applied Current
 |  |  | CIIV_Sig | Signal sent to Control Amp
 |  |  | CIIV_Ach | Measured Aux Channel Voltage


Ciiv.DataValue()

Type: INSTANCE FUNCTION

Purpose: Extract a single data item from a CIIV object. The data item is taken from the ith data point and the jth data column. If no data has been taken the returned value is NIL.

Usage:

DataValue = Ciiv.DataValue(PointNum,ColNumber)
 | Result | REAL | The returned value.
 |  | NIL | No data acquired yet.
 | PointNum | INDEX | Point number, zero based. If PointNum is out of range, a value from the last acquired point is returned.
 |  | NIL | Always return a value from the last acquired point.
 | ColNumber | INDEX | Data column, with a range of 0 to 4. The meaning of the data in each column is given in the Ciiv.DataCol() description.


Ciiv.Count()

Type: INSTANCE FUNCTION

Purpose: Return the number of points actually acquired in a CIIV object. The number returned is not the number of points allocated.

Usage:

NumPoints = Ciiv.Count()

NumPoints

INDEX

The number of points in the CIIV object. Zero is returned if no data has been acquired yet.


Ciiv.SetPlot()

Type: INSTANCE FUNCTION

Purpose: Set the form of the Ciiv real-time plot. Plots may be shown as Log E vs I, E vs I, or in a dual E vs T + I vs T format. The first form is appropriate for large scan width curves such as Galvanodynamic. The second form is appropriate for narrow curves near Ecorr, e.g. Polarization Resistance. The last form is used in time domain tests such as Galvanostatic curves.

Usage:

Ciiv.SetPlot(View, MinI, MinV, MinT)
 | View | INDEX | Defines plot type
 |  |  | CIIV_LINVI | V vs I
 |  |  | CIIV_LOGVI | Log V vs I
 |  |  | CIIV_VTIT | E vs T, I vs T
 | MinI | REAL | Minimum current value to display (optional)
 | MinV | REAL | Minimum voltage value to display (optional)
 | MinT | REAL | Minimum time value to display (optional)


Ciiv.SetPlotView()

Type: INSTANCE FUNCTION

Purpose: Set the number of graphs displayed in the real time display.

Usage:

Ciiv.SetPlotView(Format) |  |  |  |
 | Format | INDEX | VIEW_NONE | No Graph Displayed
 |  |  | VIEW_SINGLE | Single Graph Displayed
 |  |  | VIEW_DOUBLE | Two Graphs displayed


Ciiv.SetAxis()

Type: INSTANCE FUNCTION

Purpose: Helps to define the real time display of a CIIV object. Associates an axis with a data column in the object. Controls linear/log display formatting and allows labeling of the axis.

You must call Ciiv.SetAxis for each of the axes in the real time plot. For a Y and Y' versus X plot you need 3 calls to Ciiv.SetAxis().

Usage:

Ciiv.SetAxis(AxisNo, Source, Scale, MinVal, Label, Units)
AxisNo | INDEX | Use the constants below to define which axis is being configured.
 |  | X_AXIS | X axis
 |  | Y_AXIS | Y axis (Y vs X plot) or Lower Y (Y, Y' vs X)
 |  | Z_AXIS | Upper Y axis (Y, Y' vs X only)
Source | INDEX | The column number containing the data to be plotted or use the predefined constants defined in Ciiv.DataCol() .
Scale | INDEX | LIN_AXIS | The axis is linear
 |  | LOG_AXIS | The axis is log
MinVal | REAL | Minimum value used in prevention of "ugly" plot scaling. MinVal is used differently depending on Scale setting. On a linear axis, this is the minimum resolution of the plot. The range of values shown on the axis cannot be smaller than MinVal. This prevents excessively fine scaling when plotting data where all the values are identical or very similar. On a log axis, this value is substituted for 0's in the data. This prevents infinite log values.
Label | STRING | The label used for the axis. Short names (one or two character labels are preferred).
Units | STRING | The units used for the axis. Short names (one or two character labels are preferred).


Ciiv.Activate()

Type: INSTANCE FUNCTION

Purpose: Make the real time plot of the Ciiv object the Active plot. If the Runner window Curve List control is set to Active, the plot will be displayed. If the Runner window Curve List control is set to a definite curve, the display does not change.

Usage:

Ciiv.Activate()


Ciiv.Sprint()

Type: INSTANCE FUNCTION

Purpose: Print the status of the Ciiv to a string. The object's tag and last acquired data point will be printed in the format:

Tag,PointNumber

Usage:

Result = Ciiv.Sprint()

Result

STRING

Resulting tag & point number (0 based).


Ciiv.SprintPoint()

Type: INSTANCE FUNCTION

Purpose: Used in output of data from a CIIV object. A data point from the object is printed to an ASCII string. This string can in turn be printed to the active output file.

The format of the data string is:

PointNumber <tab> T <tab> Vm <tab> Im <tab> Vu <tab> Sig <tab>Ach <tab> Over

You can use this function along with the Printl() function to output point i to the output file as follows:

Printl("\t",Ciiv.SprintPoint(i))

USAGE:

Result = Ciiv.SprintPoint(PointNumber)
 | Result | STRING | The output string
 | PointNumber | INDEX | The point to be printed. PointNumber is 0 based. If the requested point has not been taken, a parameter error will be issued.
 | T | REAL | Elapsed time from starting from Ciiv.Run
 | Vm | REAL | Measured E vs Eref.
 | Im | REAL | Applied cell current.
 | Vu | REAL | Uncompensated Voltage
 | Sig | REAL | Signal sent to Control Amp
 | Ach | REAL | Measured Aux Channel Voltage
 | Over | STRING | Hexadecimal number representing overload status


CPIV.New()

Type: CLASS FUNCTION

Purpose: Create a Cpiv object. The data array is sized according to the signal generator used.

Usage:

Cpiv = CPIV.New(Tag, Pstat)
 | Tag | STRING | Curve tag for data output. Used to label the file
 | Pstat | Object | Pstat is an object with a PSTAT license
 | Cpiv | CPIV | The curve object


Cpiv.Run()

Type: INSTANCE FUNCTION

Purpose: Run the curve. When Cpiv.Run() is executed, the acquired data is displayed in a real-time curve. There are four buttons active during Cpiv.Run() - Abort, Pause/Continue, Skip, and Point. The Abort button terminates the entire experiment. The Skip button skips to the next phase of the experiment, either past the end of this curve or to the next region of the signal generator's operation.

The active run can be halted in several ways, namely: if the signal generator is finished, if the operator hits a Skip button, or if one of the stopping criteria is met. These stopping criteria can be enabled or disabled using the Cpiv.Threshold() and Cpiv.StopAt() functions.

Usage:

Result = Cpiv.Run()
 | Result | INDEX |
 |  | NO_STOP | Normal finish or Skip/F2 button pushed
 |  | STOP_I_UNDER | Stop due to Under Criterion ( I < Imax )
 |  | STOP_I_OVER | Stop due to Over Criterion ( I > Imin )
 |  | STOP_I_STABLE | Stop due to stable (abs(dI/dt < limit)
 |  | STOP_I_RINAWAY | Stop due to runaway (abs(dI/dt > limit)
 |  | STOP_I_DECREASING | Stop due to decreasing ( dI/dt < limit)
 |  | STOP_I_INCREASING | Stop due to increasing ( dI/dt > limit)


Cpiv.Printl()

Type: INSTANCE FUNCTION

Purpose: Print the results of a Cpiv experiment out to the Output file. The Output record will be printed in the format:

Tag <tab> "TABLE" <tab> Points

<tab> "Pt" <tab> "T" <tab> "Vf" <tab> "Im" <tab> "Vu" <tab> "Sig" <tab>"Ach" <tab> "Over"
<tab> "#" <tab> "s" <tab> "V" <tab> "A" <tab> "V" <tab> "V" <tab>"V" <tab> "bits"
<tab> Pt1 T V I V V V Flags
<tab> Pt2 T V I V V V Flags
...
<tab> PtN T V I V V V Flags

Where the symbols have the following meanings:

Tag | The curve Tag (from CPIV.New() or optional argument)
Points | Total number of points acquired
Pt(#) | Sequential number of a point.
T | Elapsed time from starting from Cpiv.Run
Vf | Applied Voltage vs Eref.
Im | Measured cell current.
Vu | Uncompensated Voltage
Sig | Signal sent to Control Amp
Ach | Aux Channel Voltage
Over | Overload flags

Usage:

Cpiv.Printl(Tag)

Tag

STRING

Optional. Used to print a different Tag than the one used in the call to CPIV.New()


Cpiv.StopAt()

Type: INSTANCE FUNCTION

Purpose: Enable or disable the Cpiv termination limits. There are 6 limiting conditions on which a curve may prematurely terminate:

Under | I < Limit
Over | I > Limit
Stable | abs(dI/dt) < Limit
Runaway | abs(dI/dt) > Limit
Decreasing | dI/dt < Limit
Increasing | dI/dt > Limit

The Over criterion is used to limit a positive current swing. The Under criterion limits a negative current swing. The Runaway criterion limits the rate of change in current. The Stable criterion is used to run a sample until it shows stable behavior. The Decreasing and Increasing conditions are signed versions of the Stable and Runaway criteria.

These conditions may be individually enabled and disabled.

Usage:

Cpiv.StopAt(Under, Over, Stable, Runaway, Decreasing, Increasing)
 | Under | REAL | Enable the Under test and set value
 | or | NIL | Disable the Under test
 | Over | REAL | Enable the Over test and set value
 | or | NIL | Disable the Over test
 | Stable | REAL | Enable the Stable test and set value
 | or | NIL | Disable the Stable test
 | Runaway | REAL | Enable the Runaway test and set value
 | or | NIL | Disable the Runaway test
 | Decreasing | REAL | Enable the Decreasing test and set value
 | or | NIL | Disable the Decreasing test
 | Increasing | REAL | Enable the Increasing test and set value
 | or | NIL | Disable the Increasing test


Cpiv.StopAtDelay()

Type: INSTANCE FUNCTION

Purpose: Used to avoid premature stopping of a curve because of noise creating a false reading for a StopAt test. Requires StopAt criterion be met for a number of data points (N) before the curve stops. The parameter N can be individually set for each StopAt test.

For absolute tests, such as I > Limit, the criterion must be met for N points consecutively before the criterion will be accepted. One point missing the criterion limit resets the N point counter.

For slope tests, such as dI/dt < Limit, the slope will be evaluated over N points.

Usage:

Cpiv.StopAtDelay(Under, Over, Stable, Runaway, Decreasing, Increasing)
 | Under | INDEX | Delay for this number of points
 | or | NIL | Only one point required
 | Over | INDEX | Delay for this number of points
 | or | NIL | Only one point required
 | Stable | INDEX | Delay for this number of points
 | or | NIL | Only one point required
 | Runaway | INDEX | Delay for this number of points
 | or | NIL | Only one point required
 | Decreasing | INDEX | Delay for this number of points
 | or | NIL | Only one point required
 | Increasing | INDEX | Delay for this number of points
 | or | NIL | Only one point required


Cpiv.Thresh()

Type: INSTANCE FUNCTION

Purpose: Setup threshold conditions which must be met before Cpiv.StopAt() tests will be performed. Once any of the threshold tests is met, the StopAt criteria are evaluated for the rest of the scan. There are six threshold tests that you can perform:

IMin | I < I_MinThresh
IMax | I > I_MaxThresh
EMin | E < E_MinThresh
EMax | E > E_MaxThresh
Tmin | T < T_MinThresh
Tmax | T > T_MinThresh

Threshold tests allow you to tune the StopAt tests more carefully. For example, you can avoid a premature experiment termination due to an initial transient.

In general you will only enable one of the threshold tests. The others will be turned off by a NIL argument in the function call.

Note that after the threshold test is passed all StopAt tests are enabled. Once StopAt testing is enabled, it is never disabled, even if the Threshold test that enabled it is not longer valid.

Usage:

Cpiv.Thresh(IMin, IMax, EMin, EMax, TMin, TMax)
 | IMin | REAL | Enable StopAt if I < IMin
 | or | NIL | Disable this test
 | IMax | REAL | Enable StopAt if I > IMax
 | or | NIL | Disable this test
 | EMin | REAL | Enable StopAt if E < EMin
 | or | NIL | Disable this test
 | EMax | REAL | Enable StopAt if E > EMax
 | or | NIL | Disable this test
 | TMin | REAL | Enable StopAt if T < TMin
 | or | NIL | Disable this test
 | TMax | REAL | Enable StopAt if T > TMax
 | or | NIL | Disable this test


Cpiv.SetPlotView()

Type: INSTANCE FUNCTION

Purpose: Set the number of graphs displayed in the real time display.

Usage:

Cpiv.SetPlotView(Format) |  |  |  |
 | Format | INDEX | VIEW_NONE | No Graph Displayed
 |  |  | VIEW_SINGLE | Single Graph Displayed
 |  |  | VIEW_DOUBLE | Two Graphs displayed


Cpiv.SetPlot()

Type: INSTANCE FUNCTION

Purpose: Format the real time display using the SetPlotView and Set Axis functions.

Usage:

Cpiv.SetPlot(View, MinI, MinV, MinT)
 | View | INDEX | Defines plot type
 |  |  | CPIV_LINIV | V vs I
 |  |  | CPIV_LOGVI | Log V vs I
 |  |  | CPIV_ITVT | I vs T, E vs T
 | MinI | REAL | Minimum current value to display (optional)
 | MinV | REAL | Minimum voltage value to display (optional)
 | MinT | REAL | Minimum time value to display (optional)


Cpiv.SetAxis()

Type: INSTANCE FUNCTION

Purpose: Helps to define the real time display of a CPIV object. Associates an axis with a data column in the object. Controls linear/log display formatting and allows labeling of the axis.

You must call Cpiv.SetAxis for each of the axes in the real time plot. For a Y and Y' versus X plot you need 3 calls to Cpiv.SetAxis().

Usage:

Cpiv.SetAxis(AxisNo, Source, Scale, MinVal, Label, Units)
 | AxisNo | INDEX | Defines which axis is being configured.
 |  |  | X_AXIS | X axis
 |  |  | Y_AXIS | Y axis (Y vs X plot) or Lower Y (Y, Y' vs X)
 |  |  | Z_AXIS | Upper Y axis (Y, Y' vs X only)
 | Source | INDEX | The column number containing the data to be plotted or use the predefined constants defined in Cpiv.DataCol().
 | Scale | INDEX | LIN_AXIS | The axis is linear
 |  |  | LOG_AXIS | The axis is log
 | MinVal | REAL | Minimum value used in prevention of "ugly" plot scaling. MinVal is used differently depending on Scale setting. On a linear axis, this is the minimum resolution of the plot. The range of values shown on the axis cannot be smaller than MinVal. This prevents excessively fine scaling when plotting data where all the values are identical or very similar. On a log axis, this value is substituted for 0's in the data. This prevents infinite log values.
 | Label | STRING | The label used for the axis. Short names (one or two character labels are preferred).
 | Units | STRING | The units used for the axis. Short names (one or two character labels are preferred).


Cpiv.Activate()

Type: INSTANCE FUNCTION

Purpose: Make the real time plot of the Cpiv object the Active plot. If the Runner window Curve List control is set to Active, the plot will be displayed. If the Runner window Curve List is set to a definite curve, the display does not change.

Usage:

Cpiv.Activate()


Cpiv.DataCol()

Type: INSTANCE FUNCTION

Purpose: Create and return an object of the class DATACOL. The object contains data extracted from one column of the CPIV object's data array. The data, once extracted, can then be submitted to other objects for further calculation. For example, a LINFIT object performs a linear regression analysis on two DATACOL objects.

A new DATACOL object is automatically created by the call to CPIV.DataCol(). It is usually transient, existing only for one function call.

Usage:

DataCol = Cpiv.DataCol(ColumnCode)
 | DataCol | DATACOL | The new object containing the data extracted from the CPIV data array.
 | ColumnCode | INDEX | A code identifying the column to be used.
 |  |  | CPIV_T | Time
 |  |  | CPIV_Vf | Applied Voltage
 |  |  | CPIV_Vu | Uncompensated Voltage
 |  |  | CPIV_Im | Measured Current
 |  |  | CPIV_Sig | Signal sent to Control Amp
 |  |  | CPIV_Ach | Measured Aux Channel Voltage


Cpiv.DataValue()

Type: INSTANCE FUNCTION

Purpose: Extract a single data item from a CPIV object. The data item is taken from the ith data point and the jth data column. If no data has been taken the returned value is NIL.

Usage:

DataValue = Cpiv.DataValue(PointNum,ColNumber)
 | Result | REAL | The returned value.
 |  | NIL | No data acquired yet.
 | PointNum | INDEX | Point number, zero based. If PointNum is out of range, a value from the last acquired point is returned.
 |  | NIL | Always return a value from the last acquired point.
 | ColNumber | INDEX | A code identifying the column to be used.
 |  |  | CPIV_T | Time
 |  |  | CPIV_Vf | Applied Voltage
 |  |  | CPIV_Vu | Uncompensated Voltage
 |  |  | CPIV_Im | Measured Current
 |  |  | CPIV_Sig | Signal sent to Control Amp
 |  |  | CPIV_Ach | Measured Aux Channel Voltage


Cpiv.Count()

Type: INSTANCE FUNCTION

Purpose: Return the number of points actually acquired in a CPIV object. The number returned is not the number of points allocated.

Usage:

NumPoints = Cpiv.Count()

NumPoints

INDEX

The number of points in the CPIV object. Zero is returned if no data has been acquired yet.


Cpiv.Sprint()

Type: INSTANCE FUNCTION

Purpose: Print the status of the Cpiv to a string. The object's tag and last acquired data point will be printed in the format:

Tag,PointNumber

Usage:

Result = Cpiv.Sprint()

Result

STRING

Resulting tag & point number (0 based).


Cpiv.SprintPoint()

Type: INSTANCE FUNCTION

Purpose: Used in output of data from a CPIV object. A data point from the object is printed to an ASCII string. This string can in turn be printed to the active output file.

The format of the data string is:

PointNumber <tab> T <tab> Vf <tab> Im <tab> Vu <tab> Sig <tab> Ach <tab> Over

You can use this function along with the Printl() function to output point i to the output file as follows:

Printl("\t",Cpiv.SprintPoint(i))

USAGE:

Result = Cpiv.SprintPoint(PointNumber)
 | Result | STRING | The output string
 | PointNumber | INDEX | The point to be printed. PointNumber is 0 based. If the requested point has not been taken, a parameter error will be issued.
 | T | REAL | Elapsed time from starting from Ciiv.Run
 | Vf | REAL | Measured E vs Eref.
 | Im | REAL | Applied cell current.
 | Vu | REAL | Uncompensated Voltage
 | Sig | REAL | Signal sent to Control Amp
 | Ach | REAL | Measured Aux Channel Voltage
 | Over | STRING | Hexadecimal number representing overload status


GALVCOR.New()

Type: Class Function

Purpose: Create a Galvcor object. The data array is sized according to the signal generator used.

Usage:

Galvcor = GALVCOR.New(Tag, Pstat)
Tag | STRING | Curve tag for data output. Used to label the file
Pstat | Object | Pstat is an object with a PSTAT license
Galvcor | GALVCOR | The curve object


Galvcor.Run()

Type: Instance Function

Purpose: Run the curve. When Galvcor.Run() is executed, the acquired data is displayed in a real-time curve. There are four buttons active during Galvcor.Run() - Abort, Pause/Continue, Skip, and Point. The Abort button terminates the entire experiment. The Skip button skips to the next phase of the experiment, either past the end of this curve or to the next region of the signal generator's operation.

The active run can be halted in several ways, namely: if the signal generator is finished, if the operator hits a Skip button, or if one of the stopping criteria is met. These stopping criteria can be enabled or disabled using the Galvcor.Threshold() and Galvcor.StopAt() functions.

Usage:

Result = Galvcor.Run()
Result | INDEX |
 | NO_STOP | Normal finish or Skip/F2 button pushed
 | STOP_I_UNDER | Stop due to IUnder Criterion ( I < Imax )
 | STOP_I_OVER | Stop due to IOver Criterion ( I > Imin )
 | STOP_V_UNDER | Stop due to EUnder Criterion ( E < Emax )
 | STOP_V_OVER | Stop due to EOver Criterion ( E > Emin )


Galvcor.Printl()

Type: Instance Function

Purpose: Print the results of a GALVCOR experiment to the Output file. The Output record will be printed in the format:

Tag <tab> "TABLE" <tab> Points
<tab> "Pt" <tab> "T" <tab> "Vf" <tab> "Im" <tab> "Sig" <tab> "Vu" <tab> "Ach" <tab> "Over"
<tab> "#" <tab> "s" <tab> "V" <tab> "A" <tab> "V" <tab> "V" <tab> "V" <tab> "bits"
<tab> Pt1 T V I V V V Flags
<tab> Pt2 T V I V V V Flags
...
<tab> PtN T V I V V V Flags

where the symbols have the following meanings:

Tag | The curve Tag (from GALVCOR.New() or optional argument)
Points | Total number of points acquired
Pt(#) | Sequential number of a point.
T | Elapsed time from starting from Galvcor.Run
Vf | Measured E vs Eref.
Im | Measured cell current.
Vu | Applied E vs. Ecounter (usually 0)
Sig | Signal sent to Control Amp
Ach | Aux Channel Voltage
Over | Overload flags

The Vf value is the voltage difference maintained between the counter and working electrodes. In a traditional Galvanic Corrosion experiment this is 0.000 volts. The Vu value is the voltage difference measured between the reference and working electrodes.

Usage:

Galvcor.Printl(Tag)

Tag

STRING

Optional. Used to print a different Tag than the one used in the call to GALVCOR.New()


GalvCor.StopAt()

Type: Instance Function

Purpose: Used to enable and define the GalvCor termination limits. There are four limiting conditions that cause premature termination of the curve acquisition.

IUnder | I < Limit
IOver | I > Limit
EUnder | E < Limit
EOver | E > Limit

Usage:

Galvcor.StopAt(IUnder, IOver, EUnder, EOver)
IUnder | REAL | Enable the IUnder test and set value
or | NIL | Disable the IUnder test
IOver | REAL | Enable the IOver test and set value
or | NIL | Disable the IOver test
EUnder | REAL | Enable the EUnder test and set value
or | NIL | Disable the EUnder test
EOver | REAL | Enable the EOver test and set value
or | NIL | Disable the EOver test


GalvCor.StopAtDelay()

Type: Instance Function

Purpose: Used to avoid premature stopping of a curve due to noise creating a false reading for a StopAt test. In general, requires that the tests StopAt criterion be met for a number of data points (N) before the curve stops. The parameter N can be individually set for each StopAt test.

For absolute tests, such as E > Limit, the criterion must be met for N points consecutively before the criterion will be accepted. One point missing the criterion limit resets the N point counter.

Usage:

Galvcor.StopAtDelay(Under,Over,Stable,Runaway,Decreasing,Increasing)
Under | INDEX | Delay for this number of points
or | NIL | Only one point required
Over | INDEX | Delay for this number of points
or | NIL | Only one point required
Stable | INDEX | Delay for this number of points
or | NIL | Only one point required
Runaway | INDEX | Delay for this number of points
or | NIL | Only one point required
Decreasing | INDEX | Delay for this number of points
or | NIL | Only one point required
Increasing | INDEX | Delay for this number of points
or | NIL | Only one point required


Galvcor.Thresh()

Type: Instance Function

Purpose: Setup threshold conditions which must be met before Galvcor.StopAt() tests will be performed. Once any of the threshold tests is met, the StopAt criteria are evaluated for the rest of the scan. There are six threshold tests that you can perform:

IMin | I < I_MinThresh
IMax | I > I_MaxThresh
EMin | E < E_MinThresh
EMax | E > E_MaxThresh
Tmin | T < T_MinThresh
Tmax | T > T_MinThresh

Threshold tests allow you to tune the StopAt tests more carefully. For example, you can avoid a premature experiment termination due to an initial transient.

In general you will only enable one of the threshold tests. The others will be turned off by a NIL argument in the function call.

Note that any threshold test starts all StopAt tests. Also once StopAt testing is enabled, it is never disabled, even if the Threshold test that enabled it is not longer valid.

Usage:

Galvcor.Thresh(IMin, IMax, EMin, EMax, TMin, TMax)
IMin | REAL | Enable StopAt if I < IMin
or | NIL | Disable this test
IMax | REAL | Enable StopAt if I > IMax
or | NIL | Disable this test
EMin | REAL | Enable StopAt if E < EMin
or | NIL | Disable this test
EMax | REAL | Enable StopAt if E > EMax
or | NIL | Disable this test
TMin | REAL | Enable StopAt if T < TMin
or | NIL | Disable this test
TMax | REAL | Enable StopAt if T > TMax
or | NIL | Disable this test


Galvcor.DataValue()

Type: Instance Function

Purpose: Extract a single data item from a GALVCOR object. The data item is taken from the ith data point and the jth data column. If no data has been taken the returned value is NIL.

Usage:

DataValue = Galvcor.DataValue(PointNum,ColNumber)
Result | REAL | The returned value.
 | NIL | No data acquired yet.
PointNum | INDEX | Point number, zero based. If PointNum is out of range, a value from the last acquired point is returned.
 | NIL | Always return a value from the last acquired point.
ColNumber | INDEX | Data column, with a range of 0 to 4. The meaning of the data in each column is given in the Galvcor.DataCol() description.


Galvcor.Count()

Type: Instance Function

Purpose: Return the number of points actually acquired in a GALVCOR object. The number returned is not the number of points allocated.

Usage:

NumPoints = Galvcor.Count()

NumPoints

INDEX

The number of points in the GALVCOR object. Zero is returned if no data has been acquired yet.


Galvcor.DataCol()

Type: Instance Function

Purpose: Create and return an object of the class DATACOL. The object is filed with data extracted from one column of the GALVCOR object's data array. The data, once extracted, can then be submitted to other objects for further calculation. For example, a LINFIT object performs a linear regression analysis on two DATACOL objects.

A new DATACOL object is automatically created by the call to GALVCOR.DataCol(). It is usually transient, existing only for one function call.

Usage:

DataCol = Galvcor.DataCol(ColumnCode)
DataCol | DATACOL | The new object containing the data extracted from the GALVCOR data array.
ColumnCode | INDEX | A code identifying the column to be used.
 |  | GALVCOR_T | Time
 |  | GALVCOR_Vf | Measured Voltage
 |  | GALVCOR_Vu | Uncompensated Voltage
 |  | GALVCOR_Im | Measured Current
 |  | GALVCOR_Sig | Signal sent to Control Amp
 |  | GALVCOR_Ach | Measured Aux Channel Voltage


Galvcor.SetPlot()

Type: Instance Function

Purpose: Set the form of the Galvcor real-time plot. Plots may be shown as LogI vs E, I vs E, or in a dual I vs T + E vs T format. Makes use of the Galvcor.SetPlotView and Galvcor.SetAxis functions.

Note: The E value plotted is the measured E vs Eref.

Usage:

Galvcor.SetPlot(View, MinI, MinV, MinT)
View | INDEX | GALVCOR_LINVI | V vs I
 |  | GALVCOR_LOGVI | Log V vs I
 |  | GALVCOR_VTIT | E vs T, I vs T
MinI | REAL | Minimum current value to display (optional)
MinV | REAL | Minimum voltage value to display (optional)
MinT | REAL | Minimum time value to display (optional)


Galvcor.SetPlotView()

Type: Instance Function

Purpose: Set the number of graphs displayed in the real time display.

Usage:

Galvcor.SetPlotView(Format) |  |  |  |
 | Format | INDEX | VIEW_NONE | No Graph Displayed
 |  |  | VIEW_SINGLE | Single Graph Displayed
 |  |  | VIEW_DOUBLE | Two Graphs displayed


Galvcor.SetAxis()

Type: Instance Function

Purpose: Helps to define the real time display of a GALVCOR object. Associates an axis with a data column in the object. Controls linear/log display formatting and allows labeling of the axis.

You must call Galvcor.SetAxis for each of the axes in the real time plot. For a Y and Y’ versus X plot you need 3 calls to Galvcor.SetAxis().

Usage:

Galvcor.SetAxis(AxisNo, Source, Scale, MinVal, Label, Units)
AxisNo | INDEX | Use the constants below to define which axis is being configured.
 |  | X_AXIS | X axis
 |  | Y_AXIS | Y axis (Y vs X plot) or Lower Y (Y, Y' vs X)
 |  | Z_AXIS | Upper Y axis (Y, Y' vs X only)
Source | INDEX | The column number containing the data to be plotted or use the predefined constants defined in Galvcor.DataCol() .
Scale | INDEX | LIN_AXIS | The axis is linear
 |  | LOG_AXIS | The axis is log
MinVal | REAL | Minimum value used in prevention of "ugly" plot scaling. MinVal is used differently depending on Scale setting. On a linear axis, this is the minimum resolution of the plot. The range of values shown on the axis cannot be smaller than MinVal. This prevents excessively fine scaling when plotting data where all the values are identical or very similar. On a log axis, this value is substituted for 0's in the data. This prevents infinite log values.
Label | STRING | The label used for the axis. Short names (one or two character labels are preferred).
Units | STRING | The units used for the axis. Short names (one or two character labels are preferred).


Galvcor.Activate()

Type: Instance Function

Purpose: Make the real time plot of the Galvcor object the Active plot. If the Runner window Curve List control is set to Active, the plot will be displayed. If the Runner window Curve List is set to a definite curve, the display does not change.

Usage:

Galvcor.Activate()


Galvcor.Sprint()

Type: Instance Function

Purpose: Print the status of the Galvcor object to a string. The object's tag and last acquired data point will be printed in the format:

Tag,PointNumber

Usage:

Result = Galvcor.Sprint()

Result

STRING

Resulting tag & point number (0 based).


Galvcor.SprintPoint()

Type: Instance Function

Purpose: Used in output of data from a GALVCOR object. A data point from the object is printed to an ASCII string. This string can in turn be printed to the active output file.

The format of the string is:

PointNumber <tab> T <tab> Vf <tab> Im <tab> Sig <tab> Vu <tab> Over

You can use this function along with the Printl() function to output point i to the output file as follows:

Printl("\t",Galvcor.SprintPoint(i))

Usage:

Result = Ciiv.SprintPoint(PointNumber)
Result | STRING | The output string
PointNumber | INDEX | The point to be printed. PointNumber is 0 based. If the requested point has not been taken, a parameter error will be issued.
T | REAL | Elapsed time from starting from Galvcor.Run
Vm | REAL | Measured E vs Eref.
Im | REAL | Measured cell current.
Vu | REAL | Applied E vs. Ecounter (usually 0)
Sig | REAL | Signal sent to Control Amp
Over | STRING | Hexadecimal number representing overload status


IMSTEP.New()

Type: Class Function

Purpose: Create a new Imstep signal generator.

Usage:

Imstep = IMSTEP.New(Tag, Pstat, IInit, TInit, Istep, Tstep, Nsteps, SampleTime)
Tag | STRING | Object tag
Pstat | PSTATCLASS | Potentiostat which will use the signal
IInit | REAL | Initial Value in amps
TInit | REAL | Initial Time in seconds
Istep | REAL | Step Value in amps
Tstep | REAL | Step Time in seconds
Nsteps | INDEX | Number of steps to run using the step information
SampleTime | REAL | Time between data acquisition steps
Imstep | IMSTEP | The object created


Imstep.Tweak()

Type: Instance Function

Purpose: Modify an existing Imstep signal generator.

Usage:

Imstep.Tweak(Pstat,IInit,TInit,Istep,Tstep,Nsteps,SampleTime)
Pstat | PSTATCLASS | Potentiostat which will use the signal
IInit | REAL | Initial Value in amps
TInit | REAL | Initial Time in seconds
Istep | REAL | Step Value in amps
Tstep | REAL | Step Time in seconds
Nsteps | INDEX | Number of steps to run using the step information
SampleTime | REAL | Time between data acquisition steps
Imstep | IMSTEP | The existing Imstep object


IRAMP.New()

Type: Class Function

Purpose: Create a new ramp generator.

Usage:

Iramp = IRAMP.New(Tag, Pstat, IInit, IFinal, ScanRate, SampleTime)
Tag | STRING | Object tag
Pstat | PSTATCLASS | Potentiostat which will use the signal
IInit | REAL | InitialValue in amps
IFinal | REAL | FinalValue in amps
ScanRate | REAL | ScanRate in amps/sec
SampleTime | REAL | Time between data acquisition steps
Iramp | IRAMP | The object created


Iramp.Tweak()

Type: Instance Function

Purpose: Modify an existing ramp generator.

Usage:

Iramp.Tweak(Pstat, IInit, IFinal, ScanRate, SampleTime)
Pstat | PSTATCLASS | Potentiostat which will use the signal
IInit | REAL | InitialValue in amps
IFinal | REAL | FinalValue in amps
ScanRate | REAL | ScanRate in amps/sec
SampleTime | REAL | Time between data acquisition steps
Iramp | IRAMP | The existing Iramp object


ISTEP.New()

Type: Class Function

Purpose: Create a new Istep signal generator.

Usage:

Istep = ISTEP.New(Tag,Pstat,IInit,TInit,IFinal,TFinal,SampleTime)
Tag | STRING | Object tag
Pstat | PSTATCLASS | Potentiostat which will use the signal
IInit | REAL | Initial Value in amps
TInit | REAL | Initial Time in seconds
IFinal | REAL | Final Value in amps
TFinal | REAL | Final Time in seconds
SampleTime | REAL | Time between data acquisition steps
Istep | ICONST | The object created


Istep.Tweak()

Type: Instance Function

Purpose: Modify an existing Istep signal generator.

Usage:

Istep.Tweak(Pstat,IInit,TInit,IFinal,TFinal,SampleTime)
Pstat | PSTATCLASS | Potentiostat which will use the signal
IInit | REAL | Initial Value in amps
TInit | REAL | Initial Time in seconds
IFinal | REAL | Final Value in amps
TFinal | REAL | Final Time in seconds
SampleTime | REAL | Time between data acquisition steps
Istep | ICONST | The existing Istep object


IUPDN.New()

Type: Class Function

Purpose: Create a new IUPDN signal generator

Usage:

Iupdn = IUPDN.New(Tag, Pstat, Iinit, Iapex, Ifinal, ScanInit, ScanFinal, SampleTime)
Tag | STRING | Object tag
Pstat | PSTATCLASS | Potentiostat which will use the signal
IInit | REAL | Initial Value in amps
Iapex | REAL | Apex Value in amps
IFinal | REAL | Final Value in amps
ScanInit | REAL | Initial Scan Rate in amps/sec
ScanFinal | REAL | Final Scan Rate in amps/sec
SampleTime | REAL | Time between data acquisition steps
Iupdn | IUPDN | The object created


Iupdn.Tweak()

Type: Instance Function

Purpose: Modify an existing IUPDN signal generator

Usage:

Iupdn.Tweak(Pstat, Iinit, Iapex, Ifinal, ScanInit, ScanFinal, SampleTime)
Pstat | PSTATCLASS | Potentiostat which will use the signal
IInit | REAL | Initial Value in amps
Iapex | REAL | Apex Value in amps
IFinal | REAL | Final Value in amps
ScanInit | REAL | Initial Scan Rate in amps/sec
ScanFinal | REAL | Final Scan Rate in amps/sec
SampleTime | REAL | Time between data acquisition steps
Iupdn | IUPDN | The existing Iupdn object


LINFIT.New()

Type: Class Function

Purpose: Create a new object of the LINFIT class.

Usage:

LinFit = LINFIT.New(Tag)
LinFit | LINFIT | The new LINFIT object.
Tag | STRING | A tag used to identify the object.


LinFit.Crunch()

Type: Instance Function

Purpose: Perform the linear least squares fit. Requires as function arguments the two data columns and two point number boundaries. The optional boundaries allow you to use a subset of the data columns in the fit.

Each data column is usually passed to LinFit.Crunch in the form of a transient Datacol object. For example:

LinFit.Crunch(Cpiv.Datacol(2), Cpiv.Datacol(1))

The Datacol objects are produced by the calls to the Cpiv.Datacol() function. Analogous DataCol() ifunctions exist in the other Explain CURVE classes. An object is used to hold the data column so that details about data types and formats are encapsulated.

Be careful that related data columns are passed to LinFit.Crunch. If you are using LinFit for polarization resistance calculations, the data columns should be extracted from the same Curve object. In this case the data columns match up- the Nth point in one column was measured simultaneously with the Nth point in the other column. If you extract data columns from two different Curve objects, you must make sure that the data columns are not mismatched.

Usage:

LinFit.Crunch(X , Y, LowerBound, UpperBound)
X | DATACOL | The X data.
Y | DATACOL | The Y data.
LowerBound | INDEX | Optional. The first point included in the fit. Must be non-negative and less than the Upperbound. The default value is zero.
UpperBound | INDEX | Optional. The last point included in the fit. Must be greater than LowerBound and less than the last point in the data columns. The Bounds are zero based. The first point in the data arrays is point 0, the last point is the number of points minus 1.


LinFit.Slope()

Type: Instance Function

Purpose: Return the slope value from a LINFIT object. LinFit.Crunch() must be called before the return value is meaningful.

Usage:

Slope = LinFit.Slope()

Slope

REAL

The slope of the best fit line.


LinFit.Icept()

Type: Instance Function

Purpose: Return the x axis intercept from a LINFIT object. LinFit.Crunch() must be called before the return value is meaningful.

Usage:

Intercept = LinFit.Icept()

Intercept

REAL

The X axis intercept of the best fit line.


LinFit.Resid()

Type: Instance Function

Purpose: Return the rms deviation between the data and the fit. This is a measure of the noise in the data.

Usage:

Noise = LinFit.Resid()

Noise

REAL

The noise level after removal of a linear "trend" from the data.


LinFit.CorrCoef()

Type: Instance Function

Purpose: Return a goodness of fit parameter. The number returned is the correlation coefficient. The sign of the correlation coefficient is the same as the slope. A correlation coefficient of 1 indicates that all the variation in the Y parameter is explained by a perfect linear relationship with X. A correlation coefficient of zero indicates there is no linear linear between X and Y.

LinFit.Crunch() must be called before the return value is meaningful.

Usage:

Goodness = LinFit.CorrCoef()

Goodness

REAL

The linear fit's correlation coefficient.


LinFit.Yvalue()

Type: Instance Function

Purpose: Function Return the Yvalue of the line given an appropriate Xvalue.

LinFit.Crunch() must be called before the return value is meaningful.

Usage:

Y = LinFit.Yvalue(Xvalue)
Xvalue | REAL | X value for which the corresponding Y value is to be found
Y | REAL | Y value corresponding to the give X value


VMSTEP.New()

Type: Class Function

Purpose: Create a new signal generator.

Usage:

Vmstep = VMSTEP.New(Tag, Pstat, VInit, TInit, Vstep, Tstep, Nsteps, SampleTime)
Tag | STRING | Object tag.
Pstat | PSTATCLASS | Potentiostat which will use the signal
VInit | REAL | Initial Value in volts.
TInit | REAL | Initial Time in seconds.
Vstep | REAL | Step Value in volts.
Tstep | REAL | Step Time in seconds.
Nsteps | INDEX | Number of steps to run using the step information
SampleTime | REAL | Time between data acquisition steps.
Vmstep | VMSTEP | The object created.


Vmstep.Tweak()

Type: Instance Function

Purpose: Modify an existing Vmstep signal generator.

Usage:

Vmstep.Tweak(Pstat, VInit, TInit, Vstep, Tstep, Nsteps, SampleTime)
Pstat | PSTATCLASS | Potentiostat which will use the signal
VInit | REAL | Initial Value in volts.
TInit | REAL | Initial Time in seconds.
Vstep | REAL | Step Value in volts.
Tstep | REAL | Step Time in seconds.
Nsteps | INDEX | Number of steps to run using the step information
SampleTime | REAL | Time between data acquisition steps.
Vmstep | VMSTEP | The existing Vmstep object.


VRAMP.New()

Type: Class Function

Purpose: Create a new ramp generator. A given Vramp object can be used by more than one curve but can be used by only one curve at a time.

The following code fragment is an example of the use of a VRAMP object:

Vramp = VRAMP.New(...)
Pstat.SetSignal(Vramp)
Pstat.InitSignal()
Pstat.SetCell(CellOn)
Cpiv = CPIV.New("CURVE", Pstat)
Cpiv.Run()
Cpiv.Printl()
...
...

Usage:

Vramp = VRAMP.New(Tag, Pstat, VInit, VFinal, ScanRate, SampleTime)
Tag | STRING | Object tag.
Pstat | PSTATCLASS | Potentiostat which will use the signal
VInit | REAL | InitialValue in volts.
VFinal | REAL | FinalValue in volts.
ScanRate | REAL | ScanRate in volts/sec.
SampleTime | REAL | Time between data acquisition steps.
Vramp | VRAMP | The object created.


Vramp.Tweak()

Type: Instance Function

Purpose: Modify an existing Voltage ramp generator.

Usage:

Vramp.Tweak(Pstat, VInit, VFinal, ScanRate, SampleTime)
Pstat | PSTATCLASS | Potentiostat which will use the signal
VInit | REAL | InitialValue in volts.
VFinal | REAL | FinalValue in volts.
ScanRate | REAL | ScanRate in volts/sec.
SampleTime | REAL | Time between data acquisition steps.
Vramp | VRAMP | The existing Vramp object.


VSTEP.New()

Type: Class Function

Purpose: Create a new signal generator.

Usage:

Vstep = VSTEP.New(Tag, Pstat, VInit, TInit, VFinal, TFinal, SampleTime)
Tag | STRING | Object tag.
Pstat | PSTATCLASS | Potentiostat which will use the signal
VInit | REAL | Initial Value in volts.
TInit | REAL | Initial Time in seconds.
VFinal | REAL | Final Value in volts.
TFinal | REAL | Final Time in seconds.
SampleTime | REAL | Time between data acquisition steps.
Vstep | VSTEP | The object created.


Vstep.Tweak()

Type: Instance Function

Purpose: Modify an existing Vstep signal generator.

Usage:

Vstep.Tweak(Pstat, VInit, TInit, VFinal, TFinal, SampleTime)
Pstat | PSTATCLASS | Potentiostat which will use the signal
VInit | REAL | Initial Value in volts.
TInit | REAL | Initial Time in seconds.
VFinal | REAL | Final Value in volts.
TFinal | REAL | Final Time in seconds.
SampleTime | REAL | Time between data acquisition steps.
Vstep | VSTEP | The existing Vstep object.


VUPDN.New()

Type: Class Function

Purpose: Create a new Vupdn signal generator

Usage:

Vupdn = VUPDN.New(Tag, Pstat, Vinit, VApex, Vfinal, ScanInit, ScanFinal, SampleTime)
Tag | STRING | Object tag.
Pstat | PSTATCLASS | Potentiostat which will use the signal
VInit | REAL | Initial Value in volts.
VApex | REAL | Apex Value in volts.
VFinal | REAL | Final Value in volts.
ScanInit | REAL | Initial Scan Rate in volts/sec.
ScanFinal | REAL | Final Scan Rate in volts/sec.
SampleTime | REAL | Time between data acquisition steps.
Vupdn | VUPDN | The object created.


Vupdn.Tweak()

Type: Instance Function

Purpose: Modify an existing Vupdn signal generator

Usage:

Vupdn.Tweak(Pstat, Vinit, VApex, Vfinal, ScanInit, ScanFinal, SampleTime)
Pstat | PSTATCLASS | Potentiostat which will use the signal
VInit | REAL | Initial Value in volts.
VApex | REAL | Apex Value in volts.
VFinal | REAL | Final Value in volts.
ScanInit | REAL | Initial Scan Rate in volts/sec.
ScanFinal | REAL | Final Scan Rate in volts/sec.
SampleTime | REAL | Time between data acquisition steps.
Vupdn | VUPDN | The existing Vupdn object.


Average Rate...

The Average Rate... command is used to average corrosion rates calculated from Rp versus time data. It is only available in the Rp/Ec Trend analysis package.

Average Rate... finds and reports the average corrosion rate in the selected region of the active curve. Both the average Icorr and Corrosion Rate are reported.

If you multiply the Average Icorr by the duration of an exposure, you get the electrical charge due to corrosion in that exposure time. Multiplying the Average Corrosion Rate by an exposure time allows you to calculate the thickness of material lost in that time.

The procedure to use the Average Rate... command is as follows:

1. Select the region over which you want the program to calculate the average rate.

2. Select the Average Rate... command.

When the calculation of the averages has been completed, they are written to a new page in the analysis window.


Iterations

The field labeled Iterations contains a parameter that controls the maximum number of loops through the minimization routine. The default value of 30 should be suitable in most cases. Higher iteration counts may be helpful if you don't have long Tafel regions or if the Seed values are not very close to the fit values.


Seed Values

The Seed Value fields in the options dialog box contain initial estimates for the four adjustable parameters in the non-linear fit. These values are only used if the Use Seed Values checkbox has been selected. The data in the four parameter fields are initialized to the results of the last Tafel analysis that was run. If you have not run an analysis since the macro package was loaded, they are initialized to the values stored in the macro package. The values from a previous run should be used if you are rerunning an analysis on the same data or you are analyzing similar data (such as repetitive tests in an inhibitor study). If you are analyzing data dissimilar from the last run, do not use the previous seed values. You can edit the parameters in the Seed Values fields to enter you own estimates for the parameters. Icorr is entered in amps, with E format (such as 1.23E-5) allowed. Ecorr is entered in volts versus the reference electrode. The Beta coefficients are entered as volts/decade.

The Beta coefficients are entered as volts/decade - not mV/decade.


Use Seed Values

The Use Seed Values switch controls the selection of initial values for the adjustable parameters. If the box labeled Use Seed Values is checked, the initial values are taken from the Seed Value fields in the dialog box. If the box is not checked, a 3 point analysis is used to obtain the initial values.

For details on the 3 point method, see Electrochemical Techniques for Corrosion Engineering, R.Baboian Ed., NACE Houston, TX, pages 3 and 4, and references therein.


Weighting

These selections control the weighting applied to deviations of the experimental data from the fit. With Log weighting, the percentage error is minimized. A 1 mA difference between the experimental data and the fit has a greater effect on the minimization routine if the current is at 10 uA (10% error) than it does at 100 uA (1% error). With Linear weighting, the absolute differences between the data and the fit are minimized. Data far from Ecorr carries more weight than data near Ecorr. Avg weighting is halfway between Linear and Log.

Your choice of weighting function probably will not matter when you are fitting high quality data. On noisy data or data that poorly obeys the Stern-Geary equation, the weighting function chosen may have a large effect. If you are primarily looking for Beta coefficients, Lnear weighting with its emphasis on data further away from Ecorr can give you better results. Log weighting may give you more accurate Icorr values.


Transform Axes

The Transform Axes command is used to bring up a dialog box which allows you to make changes to the Axes format. The dialog box is pictured below.

Transform Axes Dialog

The Voltages section controls the style of the voltage axis. If vs. Eref is selected, all voltages are displayed versus the reference potential. If vs. Eoc is selected, all voltages are displayed versus the open circuit potential.

The X-Axis section allows you to specify the style of the axis. This includes Linear or Logarithmic format, and whether or not the values are plotted in reverse order (Big to small instead of the standard of small to big). Note that reversed axes do not apply to a Logarithmic scale.

The Y-Axis and Y2-Axis sections are the same as the X-Axis section except they control their respective axes.

Press Ok to accept the selections, or press Cancel if you wish to exit the dialog without applying any new settings.


Ach (DC105)

Auxiliary Input - Ach

This column is the potential measured using the auxiliary A/D converter input. The unit is the volt.


Current (DC105)

Current - Im

This column is the cell current. The unit is the ampere.

Im is always a measured quantity. The DC105 follows the Anodic current sign convention. An anodic current arises from an oxidation (corrosion) occurring at the electrode connected to the potentiostat's working electrode (green) lead. It is represented by a positive value. Both analog and/or digital filters may have been applied to the measured current signal. The nature and degree of the filtering is determined by the Explain script used to run the experiment. It is generally indicated in the Hardware parameters section of the data file.

In controlled potential techniques, the Framework autoranges the I/E converter of the potentiostat to try and keep the A/D converter between 8% to 90% of its full scale range. The range used for a current measurement cannot be recovered from the Im value. It is listed in the column labeled IERange

In controlled current techniques, Im is also the measured cell (excitation) current. Any external signal added to the cell excitation via the external input connector is reflected in the current values shown in this column.


IERange (DC105)

Current Range - IERange

This column indicates the hardware current range used to collect the data point. If the number in the column is n, then the range used is given by fs x 10npA. fs depends on the maximum current range of the Potentiostat (See Table.) A value of n of 5 would represent the 6 x 105 pA range ( 600 nA range) for a Reference 600.

Potentiostat | fs
Reference 600 | 6
PCI4/300 | 3
PCI4/750 | 7.5


Overloads

Some Gamry data files will have a column in the data table with the heading "Over" and units of "bits". This column will consist of a string of 13 characters. If no overloads were detected during the acquisition of a data point, all of these characters will be a period ("."). A character other than "." indicates an unusual and possibly serious overload condition existed during that data point. An example is shown below. As with all Tables, the columns are <tab> delimited.

OCVCURVE | TABLE | 40 |  |  |  |
 | Pt | T | Vf | Vm | Ach | Over
 | # | s | V vs. Ref. | V | V | bits
 | 0 | 0.258 | -4.70E-001 | 0.00E+000 | 1.84E-003 | .............
 | 1 | 0.516 | -3.73E-001 | 0.00E+000 | 2.86E-003 | techihssivarq

In this example, no overloads were detected for point #0, and each of the 13 characters is the "." character. In point #1, all of the possible overloads are set. The non-period character in each position indicates that an overload was detected and recorded. The position of the character in the string indicates the type of overload.

Note: The position of the character in the string indicates the type of overload, not the character. An "h" in the 4th position and an "h" in 6th position indicate different kinds of overload conditions!

Pos. | Char. | Meaning | Possible cause
1 | t | Timing problem | Data rate is too fast
2 | e | Potential Overload (Electrometer hardware limit exceeded) | Cell voltage is too big to measure
3 | c | CA Overload (Control Amplifier hardware limit exceeded) | Potentiostat is oscillating or Potentiostat can not control the cell potential or current
4 | h | CA Overload sometime during the data point (History CA Overload) | Transient overload, CA speed not optimized
5 | i | I Overload (I/E converter hardware limit exceeded) | Wrong I/E range
6 | h | I Overload sometime during the data point (History I Overload) | Current spike or transient
7 | s | Settling problem, hardware. Some hardware relay or range had not settled to its final position when the data point was taken. | Experiment is too fast to autorange I/E at these current levels
8 | s | Settling problem, software. Either the operator or the Explain script triggered a data point before the hardware was in a stable state. | Revise script or retrain operator
9 | i | ADC input was out of range for a current measurement | Wrong I channel range or offset
10 | v | ADC input was out of range for a voltage measurement | Wrong V channel range or offset
11 | a | ADC input was out of range for a measurement of the auxiliary ADC input | Wrong Aux channel range or offset
12 | r | Raw data overrun. Raw data queue is filled. | Computer is too busy or too slow for this experiment
13 | q | Processed data overrun. Processing queue is filled. | Computer is too busy or too slow for this experiment


Point Number (DC105)

Point Number, Pt

The numbers in this first column, under the column label "Pt", are data point numbers. As is typical in computer programs, DC105 data point numbering starts with zero, not one. The first data point recorded is stored as the "zeroth" point.

The data point numbers for a normal DC105 data file are always sequential integers. Data that has been edited can have gaps in the point number sequence. This creates no problems in the data analysis. If you write your own data manipulation program, we recommend that you also allow for non-sequential point numbers.


Potential (DC105)

Potential - Vf, Vu, Vm

These columns are cell potentials. The units are volts.

Vf

In controlled current techniques Vf is a measured number. If you select IR Compensation, the number is corrected for the IR drop measured via current interruption. The size of the correction is reported in the Vu data column. Vu is commonly referred to as the uncompensated voltage.

In controlled potential techniques, Vf is the corrected, measured cell voltage. Any external voltage added to the cell excitation via the external input connector is included in this value. If IR Compensation has been selected, the actual applied voltage between current interruptions is the sum of the Vf and Vu data.

In Corrosion Potential measurements, or in the Open Circuit Voltage (OCV) measurement prior to an experiment, Vf is the filtered, measured, open circuit voltage. A digital filter has been applied to minimize pickup of the AC mains frequency ( 50 or 60 Hz. )

Vu

Vu is commonly referred to as the uncompensated voltage. It is the voltage drop across the solution resistance between the Working Electrode and the tip of the Reference Electrode. If IR Compensation (Current Interrupt) has been selected, Vu is the difference between the measured voltage with the current flowing, and the voltage during the period of the Current Interrupt. The actual applied voltage between current interruptions is the sum of the Vf and Vu data.

Vm

Vm, where it appears, is included only for compatibility with older versions of the Gamry Framework Software.


Sig (DC105)

Sig

This column is the output of the signal generator and the input to the control amplifier. The units are in volts (V). In potentiostatic techniques the applied cell voltage should be the same as this signal. This column of data also takes into account the uncompensated voltage.

In galvanostatic techniques the applied current is proportional to this signal. The proportionality constant depends upon the potentiostat and the current range in use.


Time (DC105)

Time - T

This column is time. The times are in seconds. Time is always reported in the data file, even if it is not the independent variable in a experiment. All the standard DC105 techniques yield data points evenly spaced in time. However, the data analysis functions will work on data where this is not the case.


Activation E: Repassivation

Activation E

The Activation E parameter defines the potential during electrode activation. The allowed range is ± 10 volts with a resolution of 1/8th mV. Its accuracy depends on the setting.


Activation Time: Reactivation

Activation Time

The Activation Time parameter sets the length of time that the sample is activated. The units of the Activation Time are seconds. The resolution is set by the Sample Period parameter discussed below.


Analysis Region

The Analysis Region is the region (in millivolts) over which the linear fit is performed on the data. The region is bounded by X millivolts positive and negative from the zero current (open circuit) measurement. For example, if the sample has a zero open circuit measurement, and the Analysis Region is 5 mV, the linear fit would be performed on data from -5 mV to +5 mV.


Apex Current

The Apex Current is used to set one of the conditions that will cause a reversal of the initial ramp. The scan will reverse as soon as the absolute value of the current exceeds the Apex Current. If you always want to reverse at a potential rather than at a current, enter a value larger than your potentiostat's maximum current for the Apex I.

The units of Apex Current are milliamps (mA). The allowed range for Apex I is zero to the potentiostat's maximum rated current. Negative values for Apex I are not allowed, because of the absolute value in the comparison.


Apex E: CBD

Apex E

The Apex E parameter defines the potential sweep at which the scan reverses during the first scan. The scan may reverse prior to the Apex E, if the Apex I is exceeded.

The allowed range is ± 10 volts with a resolution of 1/8th mV. Its accuracy depends on the setting.


Apex E: Cyclic Polarization

Apex E

The Apex E parameter defines one of the two conditions that will reverse the potential sweep. The sweep will reverse when it reaches the Apex E if the Apex current is not reached first.

The allowed range for Apex E is ± 10 volts with a resolution of 1/8th mV. Its accuracy depends on the setting.


Apex I: CBD

Apex I

The Apex I parameter is used to set a current at which the initial CBD scan will be reversed. If the scan is beyond the Threshold E (see below) and the absolute value of the cell current exceeds Apex I, the scan reverses regardless of the Apex E setting.

The units for the Apex I are mA. The upper limit is ± your potentiostat's rated current. A practical lower limit is about 100 nA (1.0E 2 mA).


Conditioning E

Many of the standard techniques allow you to condition the electrode as the first step of the experiment. Conditioning is used to insure that the metal sample has a known surface state at the start of the experiment. You may condition to remove an oxide film from the electrode or to grow one. Conditioning is done potentiostatically for a known time. Conditioning can be turned on or off with a check box on the Setup screen.

Conditioning E is the potential applied during the conditioning phase of the experimental sequence. The conditioning potential has an allowed range of ± 8 volts. The resolution is 1/4 mV. If you have enabled IR compensation for the data acquisition phase of your experiment, it is also turned on during conditioning.

Conditioning E is always specified as "vs. Eref", because the Open Circuit potential will not be measured until after Conditioning has been completed.


Conditioning Time

The Conditioning Time is the length of time that the sample is potentiostatically controlled at the Conditioning Potential.

The units for Conditioning Time are seconds. The minimum time is one second. The maximum time is 400,000 seconds (more than 4 days). Below 1000 seconds, the time resolution is one second. Between 1000 seconds and 10,000 seconds, it is 10 seconds. Above 10,000 seconds, it is 100 seconds.


Corrosion behavior diagram Setup Dialog Box


Corrosion Potential Setup Dialog Box


Cyclic Polarization Setup Dialog Box


Delay Stability

In many cases, you really don't want to delay for a fixed time. What you really want is to delay until Eoc stops drifting. The Delay Stability parameter allows you to set a drift rate that you feel represents a stable Eoc.

If the absolute value of the drift rate falls below the Stability parameter, the Initial Delay ends immediately, disregarding the programmed Delay Time. Enter a Delay Stability of zero to assure that the delay will last for the full Delay Time.

The units of the Delay Stability are mV/sec. A typical value is 0.05 mV/sec. The upper limit in this parameter is 8 volts/sec, well above the range of practical stabilities with real cells. The lower limit in the Delay Stability parameter is set by your patience. A stability of 0.01 mV/sec means that a 1 mV drift takes 100 seconds. The DC105 will always take data long enough to resolve a 1 mV change in potential at the requested drift rate.


Delay Time

The Initial Delay phase of the experiment is used to allow the open circuit voltage of the sample to stabilize prior to the potential scan. The Delay Time is the time that the sample will be held at open circuit prior to the scan. The delay may stop prior to the Delay Time if the Stability criterion for Eoc is met (see below). The delay time parameter is active only if you have turned on Initial Delay in Setup.

The units for the delay time are seconds. The minimum time is one second, the maximum time is 400,000 seconds (more than 4 days). Below 1000 seconds, the time resolution is one second. Between 1000 seconds and 10,000 seconds, it is 10 seconds. Above 10,000 seconds, it is 100 seconds.


Density

This parameter is the density of your metal sample in grams/cm³. The DC105 only uses the density parameter for calculation of the corrosion rate. It can be disregarded if absolute corrosion rates are not of interest.


Equivalent Weight

This parameter is the theoretical mass of metal that will be lost from the sample after one Faraday of anodic charge has been passed. Remember that one Faraday of charge is equivalent to an Avagadro's number of electrons. To calculate the equivalent weight for an alloy, you need to know: a) composition of the metal sample, expressed as mole fractions, b) The atomic weight of each alloy constituent, c) The number of electrons, n, lost by each component of the sample as it oxidizes.

Suppose we have a 40:60 mole percent copper:nickel alloy dissolving in an acidic chloride solution. Nickel forms Ni++ as it dissolves and copper forms a Cu+ complex. The equivalent weight is

Equiv Wt = (fraction Cu) (AW Cu) / (nCu) + (fraction Ni) (AW Ni) / (nNi)

Equiv Wt = (0.4) (63.54) / 1.0 + (0.6) ( 58.7) / 2.0 = 43.0

The DC105 only uses the equivalent weight for calculation of the corrosion rate. It can be disregarded if absolute corrosion rates are not of interest.

The above discussion assumes that the sample oxidizes without changing composition. This is not always the case. The dezincification of brass is a well known problem. Under some conditions brass becomes enriched in copper as it corrodes. If selective dissolution occurs in your system the best way to find the equivalent weight may be to measure the concentration of your corrosion products in solution.


Final E

The Final E parameter defines the ending point for the potential sweep during data acquisition. The allowed range is ± 10 volts with a resolution of 1/8th mV. Its accuracy depends on the setting.

The Scan Range, defined as the absolute value of Final E minus Initial E, must be less than 8 volts.


Final E: Cyclic Polarization

Final E

The Final E parameter defines the ending point for the potential sweep following scan reversal. The allowed range is ± 10 volts with a resolution of 1/8th mV. Its accuracy depends on the setting.

The Scan Range, defined as the most anodic voltage in the scan minus the most cathodic voltage, must be less than 8 volts.


Final E: Polarization Resistance

Final E

The Final E parameter defines the ending point for the potential sweep during data acquisition. The allowed range is ± 10 volts with a resolution of 1/8th mV. Its accuracy depends on the setting.

The Scan Range, defined as the absolute value of Final E minus Initial E, must be less than 8 volts.


Final E: Potentiostatic

Final E

The Final E parameter defines the potential after the potential step. The allowed range is ± 10 volts with a resolution of 1/8th mV. Its accuracy depends on the setting.

The Applied E Range, defined as the absolute value of Final E minus Initial E, must be less than 8 volts.


Final E: Tafel

Final E

The Final E parameter defines the ending point for the potential sweep during data acquisition. The allowed range is ± 10 volts with a resolution of 1/8th mV. Its accuracy depends on the setting.

The Scan Range, defined as the absolute value of Final E minus Initial E, must be less than 8 volts.


Final I: Galvanodynamic

Final I

The Final I parameter defines the ending point for the current sweep during data acquisition. The allowed range is ± your potentiostat's rated current. Its accuracy and resolution depends on the settings for both the Initial and Final I parameters.

Both the Initial I and the Final I (and all the currents between them) are set using one current range on the galvanostat. The current range will be selected so that the largest absolute current being requested is on scale. For example, using a PCI4 potentiostat, if the Initial I is 0.1 mA and the Final I is 25 mA, the galvanostat will be operated on the 30 mA range throughout the experiment. The resolution and accuracy will be that of the 30 mA range.


Final I: Galvanostatic

Final I

The Final I parameter defines current after the current step. The allowed range is ± the potentiostat's rated current. Its accuracy and resolution depend on the settings of both Initial I and Final I.

Both the Initial I and the Final I are set using one current range on the galvanostat. The current range will be selected on the basis of the largest absolute current being requested. For example, on a PCI4 Potentiostat if Initial I is 0.1 mA and Final I is 25 mA, the galvanostat will be operated on the 30 mA range throughout the experiment. The resolution and accuracy will be that of the 30 mA range.

NOTE: The most sensitive current range on your potentiostat may not be available in controlled current experiments.


Final Time: Galvanostatic

Final Time

The Final Time parameter sets the length of time that the current is at the Final I. This is time after the current step. If no step is desired, enter a Final Time of zero. The units of the Final Time are seconds. The resolution is set by the Sample Period parameter discussed below.


Final Time: Potentiostatic

Final Time

The Final Time parameter sets the time period that the potential is at the Final E. You can also think of the Final Time as the length of time in which data is acquired after the voltage step. If no step is desired, enter a Final Time of zero. The units of the Final Time are seconds. The resolution is set by the Sample Period parameter discussed below.


Forward Scan

The Forward Scan parameter defines the Scan Rate for the potential sweep during the initial scan.

The Scan Rate is entered in units of mV/sec. A practical bound on the Scan Rate is 100 mV/sec. Higher Scan Rates may run, but will yield unreliable data because the potentiostat's compensation and filtering are set for long time constants.

A lower bound on the Scan Rate is given by the minimum Step Size divided by the longest Sample Period. For scans shorter than 2 volts, the slowest Scan Rate is 52.1 nV/sec or 0.1875 mV/hour. Multiply these limits by four for scans longer than 2 volts.


Galvanic Corrosion Setup Dialog Box


Galvanodynamic Setup Dialog Box


Galvanostatic Setup Dialog Box


Identifier

The Identifier parameter is a string that is used for two purposes. The Identifier parameter is written to the data file, so it can be used to identify data in database or data manipulation programs. The Identifier string is also used as the title for both real time plots and plots in the data analysis packages.

The Identifier string defaults a name derived from the technique's name. While this makes an acceptable curve label, it does not generate a unique descriptive label for a data set.

The Identifier string is limited to 80 characters. It can include all normally printable characters, including numbers, upper and lower case letters, and most normal punctuation including spaces.


Initial E

The Initial E parameter defines the starting point for the potential sweep during data acquisition. The allowed range is ± 10 volts with a resolution of 1/8th mV. Its accuracy depends on the setting.


Initial E: CBD

Initial E

The Initial E parameter defines the starting point for the first potential sweep during data acquisition. This is generally a potential where about 10 mA of cathodic current will flow. The allowed range is ± 10 volts with a resolution of 1/8th mV. Its accuracy depends on the setting.


Initial E: Cyclic Polarization

Initial E

The Initial E parameter defines the starting point for the initial sweep during data acquisition. The allowed range is ± 10 volts with a resolution of 1/8th mV. Its accuracy depends on the setting.


Initial E: Polarization Resistance

Initial E

The Initial E parameter defines the starting point for the potential sweep during data acquisition. The allowed range is ± 10 volts with a resolution of 1/8th mV. Its accuracy depends on the setting.


Initial E: Potentiostatic

Initial E

The Initial E parameter defines the potential prior to any potential step. The allowed range is ± 10 volts with a resolution of 1/8th mV. Its accuracy depends on the setting.


Initial E: Tafel

Initial E

The Initial E parameter defines the starting point for the potential sweep during data acquisition. The allowed range is ± 10 volts with a resolution of 1/8th mV. Its accuracy depends on the setting.


Initial I: Galvanodynamic

Initial I

The Initial I parameter defines the starting point for the current sweep during data acquisition. The allowed range is ± your potentiostat's rated current. Its accuracy and resolution depends on the settings for both the Initial and Final I parameters, as described below.


Initial I: Galvanostatic

Initial I

The Initial I parameter defines the current prior to the current step. The allowed range is ± the potentiostat's rated current. Its accuracy and resolution depend on the settings of both Initial I and Final I.


Initial Time: Galvanostatic

Initial Time

The Initial Time parameter sets the length of time that the current is at the Initial I. This is time prior to the current step (if a step is desired). The units of the Initial Time are seconds. The resolution is set by the Sample Period parameter discussed below.


Initial Time: Potentiostatic

Initial Time

The Initial Time parameter sets the time period that the potential is at the Initial E. You can also think of the Initial Time as the length of time in which data is acquired prior to the voltage step. The units of the Initial Time are seconds. The resolution is set by the Sample Period parameter discussed below.


IR Comp

Gamry Instruments, Inc. potentiostats are capable of estimating uncompensated voltage drop due to cell resistance. They do so by performing a current interrupt measurement after every DC data point.

The Setup IR Comp checkbox can be set to either On or Off. If the experiment utilizes potentiostatic control (e.g. potentiodynamic, tafel, etc.) turning on IR Comp will cause the applied E to be adjusted for the estimated IR drop. If the experiment utilizes galvanostatic control, the measured E is adjusted for the estimated IR drop.


Limit Current: Galvanic Corrosion

Limit Current

The Limit Current parameter is used to prevent excessive cell current. If the absolute value of the current should exceed the Limit current, the data acquisition will be terminated and the cell turned off.


Limit Current: Potentiostatic

Limit Current

The Limit Current parameter is used to prevent excessive cell current. If the absolute value of the current should exceed the Limit Current, the data acquisition in the current step will be ended prematurely.

Exceeding the Limit Current at the Initial E causes the potential to be stepped, and at the Final E causes the experiment to terminate.


Notes

The Notes field allows you to enter several lines of text that describe the experiment. A typical use of Notes is to record the experimental conditions for a data set.

To the right hand side of the notes is a button. This button allows you to bring up a dialog box, shown below, which will show more of the notes at one time. You can edit the notes in either place.

Notes defaults to an empty string.

The Notes string is limited to 400 characters. It can include all printable characters including numbers, upper and lower case letters, and the most normal punctuation including spaces. tab characters are not allowed in the Notes string.

You can divide your Notes into lines using enter.


Output

The Output File parameter is the pathname of the file in which the output data will be written. It can be a simple filename with no path information. In this case the output file is located in the default data directory. The default data directory is specified in the Gamry.INI file under the [FRAMEWORK] section with a Key named DataDir. This default pathname can be changed using the Paths command under the Options Menu.

It can also include path information, such as "C:\DATA\YOURDATA.DTA." In this example, the data will be written to the "YOURDATA.DTA" file in the "DATA" directory on drive C.

The default value of the Output File parameter is an abbreviation of the technique name with a ".DTA" filename extension. We recommend that you use a ".DTA" filename extension for your data filenames. The data analysis package assumes that all data files have ".DTA" extensions.

NOTE: The software does not automatically append the ".DTA" filename extension. You must add it yourself.

If the script is unable to open the file, an error message box, "Unable to Open File," is generated. Common causes for this type of problem include:

  • An invalid filename.
  • The file is already open under a different Windows application such as Excel.
  • The disk is full.

After you select OK in the error box, the script returns to the Setup box where a new filename can be entered.


Passivation E: Repassivation

Passivation E

The Passivation E parameter defines the potential during electrode passivation. The allowed range is ± 10 volts with a resolution of 1/8th mV. Its accuracy depends on the setting.


Passivation Time: Repassivation

Passivation Time

The Passivation Time parameter sets the length of time that the sample is passivated. The units of the Passivation Time are seconds. The resolution is set by the Sample Period parameter discussed below.


Polarization Resistance Advantages

Polarization Resistance experiments run very quickly.

The scan in a polarization resistance experiment does not appreciably polarize the sample. This minimizes changes in the surface of your sample caused by the test itself. This is especially important for long term monitoring.


Polarization Resistance Disadvantages

The corrosion rate calculation requires that you provide kinetic parameters (Betas) which you must estimate or obtain from another type of experiment.

The result of a polarization resistance calculation is typically less accurate than the corrosion rate calculated from Tafel data.


Polarization Resistance Setup Dialog Box


Potentiodynamic Setup Dialog Box


Potentiostatic Setup Dialog Box


Pstat

The Pstat parameter selects the potentiostat/galvanostat that will perform the experiment. Each labeled button corresponds to an installed potentiostat. When a potentiostat has been selected, its corresponding button is filled in.

In a multiple potentiostat system you can change the potentiostat selection by clicking on a Pstat's button using the mouse. From the keyboard, you will tab down until a dotted line appears around one of the Pstat labels, then hit the spacebar to select among the potentiostats. Only one potentiostat can be selected at a time, so selecting one potentiostat will deselect another one.


Reactivation Setup Dialog Box


Relaxation Time: CBD

Relaxation Time

The Relaxation Time is the time that the sample will be held at open circuit in between the scans. The relaxation may stop prior to the Relaxation Time if the Stability criterion is met (see below).

The units for the Relaxation Time are seconds. The minimum time is one second, the maximum time is 4000 seconds.


Repeat Time: Rp/Ep Trend

Repeat Time

The Repeat Time parameter is the time between each test on the cell. For example, if the first test begins at 2:08 and the Repeat Time is 30 minutes, additional tests occur at 2:38, 3:08, 3:38, etc.

The Repeat Time is always entered in minutes. Fractional minutes can be entered as decimal numbers.

The Repeat Time must be longer than the time required to run a single test. When you select OK from the Setup dialog box, the script will estimate the time required to run one test. If this time is close to or longer than the entered Repeat Time the Framework will output an error box and return you to Setup.


Reverse Scan

The Reverse Scan parameter defines the Scan Rate for the potential sweep following a scan reversal.

The Scan Rate is entered in units of mV/sec. A practical upper bound on the Scan Rate is 100 mV/sec. Higher Scan Rates may run, but will yield unreliable data because the potentiostat's compensation and filtering are set for long time constants.

A lower bound on the Scan Rate is given by the minimum Step Size divided by the longest Sample Period. For scans shorter than 2 volts, the slowest Scan Rate is 52.1 nV/sec or 0.1875 mV/hour. Multiply these limits by four for scans longer than 2 volts.


Rp/Ep Trend Dialog Box


Run Time: Galvanic Corrosion

Run Time

The Run Time parameter sets the length of time that measurements are taken. The units of the Run Time are seconds. The resolution is set by the Sample Period parameter discussed below.


Sample Area

The Sample Area parameter is the surface area of the sample (in cm²) exposed to the solution and thus available to be corroded.

The DC105 uses the Sample Area parameter for calculation of current density and the corrosion rate. If you do not want to enter an area, we recommend that you leave this parameter at its default area of 1.00 cm². Do not enter a value of zero!


Sample Period

The Sample Period parameter determines the spacing between data points. It also helps determine the Step Size of the staircase ramp and the Number of Points in the data curve.

The Sample Period sets the length of a step. The height of a step depends on both the Scan Rate and the Sample Period. You can calculate the Step Size and the Number of Points in the scan from:

Step Size = Scan Rate x Sample Period

Number of Points = Scan Range / Step Size

The Step Size is rounded to the resolution of the D/A converter making the steps. For scans shorter than 2 volts, the resolution is 1/32nd mV/bit. For scans longer than 2 volts, the resolution is 1/8 mV. A typical Step Size for a potentiodynamic scan is between 1 and 5 mV/step.

If the step size has to be rounded to fit the resolution of the D/A converter, the sample period is also adjusted so that the scan rate is correct.

The Number of Points must be less than the number specified in GLOBALS.EXP. If you have more points, the experiment will abort just before the scan phase of the sequence.

The units used for the Sample Period are seconds. The lowest sample period we recommend is 0.1 second. The longest sample period allowed is 600 seconds.


Sample Period: CBD

Sample Period

The Sample Period parameter determines the spacing between data points. It also helps determine the Step Size of the staircase ramp and the Number of Points in the data curves.

The Sample Period sets the length of a step. The height of a step depends on both the Scan Rate and the Sample Period. You can calculate the Step Size and the Number of Points in a scan from:

Step Size = Scan Rate x Sample Period

Number of Points = Scan Range / Step Size

The Step Size is rounded to the resolution of the D/A converter making the steps. The resolution of the D/A converter is dependent on the type of potentiostat you are using. Consult your potentiostat manual for more information. A typical Step Size for a Corrosion Behavior Diagram scan is between 1 and 5 mV/step. The default DC105 CBD parameters yield a Step Size of 2 mV.

The maximum Number of Points in each scan equals a constant set in GLOBALS.EXP. Determining the Number of Points requires the scan range. Unfortunately, in the CBD experiment the scan range to use is not obvious. In the initial scan, the maximum scan range (two times the difference between the Apex E and the Initial E) should be used for the Scan Range. You may have fewer points if the scan reverses early.

The scan range for the final scan is also not known ahead of time. We are starting a scan relative to Eoc and ending at an absolute potential. Fortunately, this scan is always shorter than the initial cyclic scan, so if the initial scan does not exceed the maximum Number of Points the final scan will not either.

The units used for the Sample Period are seconds. The shortest Sample Period we recommend is 0.1 second. The longest Sample Period allowed is 600 seconds.


Sample Period: Corrosion Potential

Sample Period

The Sample Period parameter determines the spacing between data points. The units used for the Sample Period are seconds. The shortest Sample Period we recommend is 0.1 second. The longest Sample Period allowed is 600 seconds.

The Sample Period also helps determine the Number of Points in the data curve as follows.

Number of Points = Total Time / Sample Period

The Number of Points must be less than that specified in GLOBALS.EXP. If you have more points, the experiment will abort just before the data acquisition phase of the sequence.

The resolution in the Total Time is controlled by the Sample Period. Times that are not integer multiples of the Sample Period are rounded down. For example, if the Sample Period is set for 8 seconds, and an Total Time of 900 seconds is requested, the actual Initial Time will be 896 seconds, which is 112 Sample Periods.


Sample Period: Cyclic Polarization

Sample Period

The Sample Period parameter determines the spacing between data points. It also helps determine the Step Size of the staircase ramp and the Number of Points in the data curve.

The Sample Period sets the length of a step. The height of a step depends on both the Scan Rate and the Sample Period. You can calculate the Step Size and the Number of Points in the scan from:

Step Size = Scan Rate x Sample Period

Number of Points = Scan Range / Step Size

The Step Size is rounded to the resolution of the D/A converter making the steps. The resolution of the D/A converter is dependent on the type of potentiostat you are using. Consult your potentiostat manual for more information. A typical Step Size for a Cyclic Polarization scan is between 1 and 5 mV/step.

If the step size has to be rounded to fit the resolution of the D/A converter, the sample period is also adjusted so that the scan rate is correct.

The Number of Points must be less than that specified in GLOBALS.EXP. If you have more points, the experiment will abort just before the scan phase of the sequence.

The units used for the Sample Period are seconds. The shortest Sample period we recommend is 0.1 second. The longest Sample Period allowed is 600 seconds.


Sample Period: Galvanic Corrosion

Sample Period

The Sample Period parameter determines the spacing between data points. The units used for the Sample Period are seconds. The shortest Sample Period we recommend is 0.1 second. The longest Sample Period allowed is 600 seconds.

The Sample Period also helps determine the Number of Points in the data curve as follows:

Number of Points = (Run Time) / Sample Period

The Number of Points must be less than that specified in GLOBALS.EXP. If you have more points, the experiment will abort just before the scan phase of the sequence.

The resolution in Run Time is also controlled by the Sample Period. Times that are not integer multiples of the Sample Period are rounded down. For example, if the Sample Period is set for 8 seconds, and a Run Time of 750 seconds is requested, the actual Initial Time will be 744 seconds, which is 93 Sample Periods.


Sample Period: Galvanodynamic

Sample Period

The Sample Period parameter determines the spacing between data points. The units used for the Sample Period are seconds. The shortest Sample Period we recommend is 0.1 second. The longest Sample Period allowed is 600 seconds.

The Sample Period also helps determine the Step Size of the staircase ramp and the Number of Points in the data curve. The length of a step in the staircase ramp is the Sample Period directly. The height of a step depends on both the Scan Rate and the Sample Period. You can calculate the Step Size and the Number of Points in the scan from:

Step Size = Scan Rate x Sample Period

Number of Points = Scan Range / Step Size

The Step Size is rounded to the resolution of the D/A converter making the steps. The resolution of the D/A converter is dependent on the type of potentiostat you are using. Consult your potentiostat manual for more information. A typical Step Size for a Galvanodynamic scan is about 0.2% full scale current/step.

If the step size has to be rounded to fit the resolution of the D/A converter, the sample period is also adjusted so that the scan rate is correct.

The Number of Points must be less than that specified in GLOBALS.EXP. If you have more points, the experiment will abort just before the scan phase of the sequence.

Let's do these calculations for a sample scan.

1. We'll assume a sweep from -10 mA to +25 mA, at 0.1 mA/sec.

2. We will take data at 2 seconds/point.

3. The Step Size is 0.1 mA/sec times 2 seconds/point which equals 0.2 mA/step.

4. The program will choose the 30 mA range, so the D/A resolution is 0.00333% of 30 mA or 0.001 mA/bit. Each step is therefore 200 bits on the D/A converter.

5. The Number of Points in the scan will be 35 mA/0.2 mA/step, or 175 points.


Sample Period: Galvanostatic

Sample Period

The Sample Period parameter determines the spacing between data points. The units used for the Sample Period are seconds. The shortest Sample Period we recommend is 0.1 second. The longest Sample Period allowed is 600 seconds.

The Sample Period also helps determine the Number of Points in the data curve as follows:

Number of Points = (Initial Time + Final Time) / Sample Period

The Number of Points must be less than that specified in GLOBALS.EXP. If you have more points, the experiment will abort just before the scan phase of the sequence.

The resolution in the Initial Time and Final Time is also controlled by the Sample Period. Times that are not integer multiples of the Sample Period are rounded down. For example, if the Sample Period is set for 8 seconds, and an Initial Time of 50 seconds is requested, the actual Initial Time will be 48 seconds, which is 6 Sample Periods.


Sample Period: Polarization Resistance

Sample Period

The Sample Period parameter determines the spacing between data points. It also helps determine the Step Size of the staircase ramp and the Number of Points in the data curve.

The Sample Period sets the length of a step. The height of a step depends on both the Scan Rate and the Sample Period. You can calculate the Step Size and the Number of Points in the scan from:

Step Size = Scan Rate x Sample Period

Number of Points = Scan Range / Step Size

The Step Size is rounded to the resolution of the D/A converter making the steps. The resolution of the D/A converter is dependent on the type of potentiostat you are using. Consult your potentiostat manual for more information. A typical Step Size for a polarization resistance scan is between 1 and 5 mV/step.

If the step size has to be rounded to fit the resolution of the D/A converter, the sample period is also adjusted so that the scan rate is correct.

The Number of Points must be less than that specified in GLOBALS.EXP. If you have more points, the experiment will abort just before the scan phase of the sequence.

The units used for the Sample Period are seconds. The shortest Sample Period we recommend is 0.1 second. The longest Sample Period allowed is 600 seconds.


Sample Period: Potentiostatic

Sample Period

The Sample Period parameter determines the spacing between data points. The units used for the Sample Period are seconds. The shortest Sample Period we recommend is 0.1 second. The longest Sample Period allowed is 600 seconds.

The Sample Period also helps determine the Number of Points in the data curve as follows:

Number of Points = (Initial Time + Final Time) / Sample Period

The Number of Points must be less than that specified in GLOBALS.EXP. If you have more points, the experiment will abort just before the scan phase of the sequence.

The resolution in the Initial Time and Final Time is also controlled by the Sample Period. Times that are not integer multiples of the Sample Period are rounded down. For example, if the Sample Period is set for 8 seconds, and an Initial Time of 50 seconds is requested, the actual Initial Time will be 48 seconds, which is 6 Sample Periods.


Sample Period: Repassivation

Sample Period

The Sample Period parameter determines the spacing between data points. It also helps determine the Step Size of the staircase ramp and the Number of Points in the data curve.

The Sample Period sets the length of a step. The height of a step depends on both the Scan Rate and the Sample Period. You can calculate the Step Size and the Number of Points in the scan from:

Step Size = Scan Rate x Sample Period

Number of Points = Scan Range / Step Size

The Step Size is rounded to the resolution of the D/A converter making the steps. The resolution of the D/A converter is dependent on the type of potentiostat you are using. Consult your potentiostat manual for more information. The default Step Size for a Reactivation scan is 1 mV/step.

If the step size has to be rounded to fit the resolution of the D/A converter, the sample period is also adjusted so that the scan rate is correct.

The Number of Points must be less than that specified in GLOBALS.EXP. If you have more points, the experiment will abort just before the scan phase of the sequence.

The units used for the Sample Period are seconds. The shortest Sample Period we recommend is 0.1 second. The longest Sample Period allowed is 600 seconds.


Sample Period: Tafel

Sample Period

The Sample Period parameter determines the spacing between data points. It also helps determine the Step Size of the staircase ramp and the Number of Points in the data curve.

The Sample Period sets the length of a step. The height of a step depends on both the Scan Rate and the Sample Period. You can calculate the Step Size and the Number of Points in the scan from:

Step Size = Scan Rate x Sample Period
Number of Points = Scan Range / Step Size

The units used for the Sample Period are seconds. The shortest Sample Period we recommend is 0.1 second. The longest Sample Period allowed is 600 seconds.

The Step Size is rounded to the resolution of the D/A converter making the steps. The resolution of the D/A converter is dependent on the type of potentiostat you are using. Consult your potentiostat manual for more information. A typical Step Size for a Tafel scan is between 1 and 5 mV/step.

If the step size has to be rounded to fit the resolution of the D/A converter, the sample period is also adjusted so that the scan rate is correct.

The Number of Points must be less than that defined in GLOBALS.EXP. If you have more points, the experiment will abort just before the scan phase of the sequence.


Scan Rate

The Scan Rate parameter defines the speed of the potential sweep during data acquisition.

The Scan Rate is entered in units of mV/sec. A practical bound on the Scan Rate is 100 mV/sec. Higher Scan Rates may run, but will yield unreliable data because the potentiostat's compensation and filtering are set for long time constants. Custom scripts may allow Scan Rates of 1 volt/sec or more.

A lower bound on the Scan Rate is given by the minimum Step Size divided by the longest Sample Period. For scans shorter than 2 volts, the slowest Scan Rate is 52.1 nV/sec or 0.1875 mV/hour. Multiply these limits by four for scans longer than 2 volts.


Scan Rate: CBD

Scan Rate

The Scan Rate parameter defines the speed of the potential sweep during data acquisition. The same sweep rate is used for all three sweeps in the CBD experiment.

The Scan Rate is entered in units of mV/sec. A practical bound on the Scan Rate is 100 mV/sec. Higher Scan Rates may run, but will yield unreliable data because the potentiostat's compensation and filtering are set for long time constants.

A lower bound on the Scan Rate is given by the minimum Step Size divided by the longest Sample Period. For scans shorter than 2 volts, the slowest Scan Rate is 52.1 nV/sec or 0.1875 mV/hour. Multiply these limits by four for scans longer than 2 volts.


Scan Rate: Galvanodynamic

Scan Rate

The Scan Rate parameter defines the speed of the current sweep (actually a staircase ramp) during data acquisition.

The Scan Rate is entered in units of mA/sec. A practical bound on the Scan Rate is about 10% of the full scale current range per second. Higher Scan Rates may run, but will yield unreliable data because the potentiostat's compensation and filtering are set for long time constants.

A lower bound on the Scan Rate is given by the minimum Step Size and the longest Sample Period. The minimum Step Size is 0.0033% of full scale current and the longest Sample Time is 600 seconds. The slowest Scan Rate is therefore 55 ppm of full scale current per second, or 0.02% of the full scale current per hour.

NOTE: The most sensitive current range on your potentiostat is generally not available in controlled current experiments.


Scan Rate: Polarization Resistance

Scan Rate

The Scan Rate parameter defines the speed of the potential sweep during data acquisition.

The Scan Rate is entered in units of mV/sec. A practical bound on the Scan Rate is 100 mV/sec. Higher Scan Rates may run, but will yield unreliable data because the potentiostat's compensation and filtering are set for long time constants. Custom scripts may allow Scan Rates of 1 volt/sec or more.

A lower bound on the Scan Rate is given by the minimum Step Size divided by the longest Sample Period. For scans shorter than 2 volts, the slowest Scan Rate is 52.1 nV/sec or 0.1875 mV/hour. Multiply these limits by four for scans longer than 2 volts.


Scan Rate: Repassivation

Scan Rate

The Scan Rate parameter defines the speed of the potential sweep during data acquisition. The sweep is actually a staircase waveform, not a linear ramp.

The Scan Rate is entered in units of mV/sec. Changing the Scan Rate invalidates Passivation Time analysis of the data using the "standard" techniques.

A practical bound on the Scan Rate is 100 mV/sec. Higher Scan Rates may run, but will yield unreliable data because the potentiostat's compensation and filtering are set for long time constants. A lower bound on the Scan Rate is given by the minimum Step Size divided by the longest Sample Period. For scans shorter than 2 volts, the slowest Scan Rate is 52.1 nV/sec or 0.1875 mV/hour. Multiply these limits by four for scans longer than 2 volts.


Scan Rate: Tafel

Scan Rate

The Scan Rate parameter defines the speed of the potential sweep during data acquisition.

The Scan Rate is entered in units of mV/sec. A practical bound on the Scan Rate is 100 mV/sec. Higher Scan Rates may run, but will yield unreliable data because the potentiostat's compensation and filtering are set for long time constants. Custom scripts may allow Scan Rates of 1 volt/sec or more.

A lower bound on the Scan Rate is given by the minimum Step Size divided by the longest Sample Period. For scans shorter than 2 volts, the slowest Scan Rate is 52.1 nV/sec or 0.1875 mV/hour. Multiply these limits by four for scans longer than 2 volts.


Skip: Rp/Ec Trend

Skip

If you select Skip during the Conditioning or the Initial Delay, the rest of that phase will be skipped. If you select Skip during a scan, the rest of the scan will be skipped. The data collected up to that point is not lost, and is used to calculate a polarization resistance.

If you select Skip in the delay between measurement cycles, the system does not proceed to the next measurement. This would be an illogical operation given the importance of times in the sequence. Instead, Skip displays a Query box asking you if you wish to terminate the experiment. Selecting Terminate prematurely ends the script. No data is lost. Selecting Continue returns you to the delay between scans.


Stability: Corrosion Potential

Stability

In many cases, you just want to measure until it becomes stable (when Eoc stops drifting). The DC105 allows you to automatically terminate the open circuit measurement when you feel that Eoc has become stable. You use the Stability parameter to tell the system your definition of a stable potential.

If the absolute value of the Eoc drift rate falls below the Stability parameter, the Corrosion Potential experiment ends immediately, disregarding the Total Time parameter. The drift rate can never fall below zero, so entering a Stability value of zero assures that the experiment will not end prematurely.

The units of the Stability are mV/sec. A typical value is 0.05 mV/sec. The upper limit in this parameter is 8 volts/sec, well above the range of practical stabilities with real cells. The lower limit in the Stability parameter is set by your patience. A stability of 0.01 mV/sec means that a 1 mV drift takes 100 seconds. The DC105 will have to take data for nearly 100 seconds merely to resolve this small a change in potential.


Tafel Setup Dialog Box


Threshold E: CBD

Threshold E

The Threshold E is the point in the scan at which the Apex I test for scan reversal is enabled. When the cell potential is below the Threshold E, Apex I testing is disabled, when it is above the Threshold E, Apex I testing is enabled.

The allowed range is ± 10 volts with a resolution of 1/8th mV. Its accuracy depends on the setting.


Total Time: Corrosion Potential

Total Time

The Total Time parameter sets the length of the experiment. The units are seconds. The resolution is set by the Sample Period parameter discussed below.


Total Time: Rp/Ep Trend

Total Time

The Total Time parameter is the duration of the experimental run. The script keeps track of elapsed time since the start of the experiment. At the start of each test, this time is compared to the Total Time. If the elapsed time is greater than or equal to the Total Time, the experiment is halted, and the runner window is closed.

The Total Time is always entered in hours. Fractional hours can be entered as decimal numbers.

If you want to run one test you can enter a Total Time equal to the Repeat Time. Alternately, you can just run the Polarization Resistance Experiment! If you want N tests enter a Total Time equal to N times the Repeat Time.

A Total Time of zero results in no tests being run.


IMSTEP.Signal

Type: License

Purpose: The Signal license is required by curve objects. The actual script text doesn't refer to the license.


IRAMP.Signal

Type: License

Purpose: The Signal license is required by curve objects. The actual script text doesn't refer to the license.


ISTEP.Signal

Type: License

Purpose: The Signal license is required by curve objects. The actual script text doesn't refer to the license.


IUPDN.Signal

Type: License

Purpose: The Signal license is required by curve objects. The actual script text doesn't refer to the license.


VMSTEP.Signal

Type: License

Purpose: The Signal license is required by curve objects. The actual script text doesn't refer to the license.


VRAMP.Signal

Type: License

Purpose: The Signal license is required by curve objects. The actual script text doesn't refer to the license.


VSTEP.Signal

Type: License

Purpose: The Signal license is required by curve objects. The actual script text doesn't refer to the license.


VUPDN.Signal

Type: License

Purpose: The Signal license is required by curve objects. The actual script text doesn't refer to the license.


Abort (Multiplexed Galvanic Corrosion)

Abort

The Abort button cancels the entire experimental run and closes the runner window.


Abort (Multiplexed Galvanodynamic Scans)

Abort

The Abort button cancels the entire experimental run and closes the runner window.


Active Cell

The active cell is the cell (if any) which is currently connected to the system potentiostat. Any electrochemical measurements are made on the active cell.


Area

The Area parameter determines the electrode area used in calculations. Each channel can have a different area.


Aux A/D

The term Aux A/D is used to describe an independent switch in each ECM8 channel. It need not be switched along with the cell connections. In the ECM8 this switch is only used in galvanic corrosion tests. It is used to multiplex the reference electrode signals from each cell to the single Auxiliary A/D input on the system potentiostat.


Base Filename (Multiplexed Rp/Ec Scans)

Base Filename

Each channel has its own data file. The Base Filename is used to derive the filenames for these files. The filename for channel N (1-8) is made up by appending the character "N" to the Base Filename, then adding a ".DTA" filename extension. For example, if the Base Filename is MYMUXDATA, the data file for channel 1 will be named "MYMUXDATA1.DTA".

The filename resulting from the concatenation of the Base Filename and the channel number must adhere to Windows filename conventions. You should avoid punctuation characters (the underscore, "_", is OK). You are allowed a maximum of 250 (not 255) characters in the Base Filename. The extra characters are reserved for the channel number appended to the Base Filename.

You should not include ".DTA" when specifying the Base Filename. It will be automatically added when the full data file name is generated.


Cell

The term cell is used to describe either an electrochemical cell or the switches needed to connect an electrochemical cell to the system potentiostat.


Channel

One of the eight ECM8 channels. A channel includes cell switching, an Aux A/D switch, a local potentiostat and a D/A converter. The term cell will be used when only the cell switching portion of a channel is being discussed.


Channel N

There is one channel setup switch for each of the 8 channels. When channel switch N is selected, an X appears in the checkbox for that channel. As the script loops through the channels, it only run tests on channels that are selected. The numbers for selected channels need not be continuous.


Conditioning/Initial Delay

The entry format for Conditioning and Initial Delay has been changed from the DC105 format. Each of these program steps is now controlled in one line of the Setup dialog box.

The Conditioning and Initial Delay steps are only performed if the checkbox after the step's name has been selected. If the step is not selected, the numerical controls for that step are grayed out. On an active step, the controls (Delay Time. Stability, Conditioning Time, and Conditioning E) have their usual meanings.

CAUTION: If conditioning is selected, all ECM8 cells are conditioned. This includes non-selected channels. This includes channels not selected. This could damage electrochemical cells attached to channels that the user thought would be inactive throughout the experiment.


Conditioning/Initial Delay (Multiplexed Potentiostatic Scans)

Conditioning/Initial Delay

The entry format for Conditioning and Initial Delay has been changed from the DC105 format. Each of these program steps is now controlled in one line of the Setup dialog box.

The Conditioning and Initial Delay steps are only performed if the checkbox after the step's name has been selected. If the step is not selected, the numerical controls for that step are grayed out. On an active step, the controls (Delay Time. Stability, Conditioning Time, and Conditioning E) have their usual meanings.

CAUTION: If conditioning is selected, all ECM8 cells are conditioned. This includes non-selected channels. This includes channels not selected. This could damage electrochemical cells attached to channels that the user thought would be inactive throughout the experiment.


Database Entry Script Query Box


Final T

The Final T parameter is the time that the Final E is applied to each cell. The Final Time is always entered in hours. Fractional hours can be entered as decimal numbers.

If you don't want a step in the potential, enter a Final T of zero.


Inactive Cell

The term inactive cell refers to any cell not currently connected to the system potentiostat. Inactive is a slightly misleading term, since an inactive cell can still be "actively" controlled by the ECM8.


Initial Delay (Multiplexed Galvanic Corrosion)

Initial Delay

The entry format for the Initial Delay has been changed from the DC105 format. It is now controlled in one line of the Setup dialog box.

The Conditioning and Initial Delay steps in the experimental sequence are only performed if the checkbox after the step's name has been selected. If the step is not selected, the numerical controls for that step are grayed out. On an active step, the Delay Time and Stability parameters have their usual meanings.


Initial T

The Initial T parameter is the time that the Initial E is applied to each cell. The Initial Time is always entered in hours. Fractional hours can be entered as decimal numbers.


Abort (Multiplexed Potentiostatic Scans)

Abort

The Abort button cancels the entire experimental run and closes the runner window. Data points are written to the file as soon as they are acquired so data collected prior to selection of Abort will not be lost.


Multiplexed Galvanic Corrosion Setup Dialog Box


Multiplexed Galvanodynamic Setup Dialog Box


Multiplexed Potentiodynamic Setup Dialog Box


Multiplexed Potentiostatic Setup Dialog Box


Multiplexed RpEc Setup Dialog Box


Skip (Multiplexed Scans)

Skip

The Skip button affects only the test currently being run. It causes the Framework to skip the rest an action. The script then goes on to the next step in the experimental sequence.

If you select Skip during the Conditioning or the Initial Delay of an experiment, the rest of that phase will be skipped.

If you select Skip during a scan, the rest of the scan will be skipped. The data collected up to that point is not lost. The software will proceed to the next channel.


Final E

The Final E parameter is the second constant potential applied to each cell. It can be specified as being versus the reference electrode or the cell's open circuit potential. The allowed range is ± 8 volts with a resolution of 1/8th mV.


Identifier

The Identifier string is virtually identical to the Test Identifier string in DC105. The only difference is that in Multiplexed DC105 the Identifier string refers to an experiment on one channel, not to the entire experimental run.


Initial E

The Initial E parameter is the first constant potential applied to each cell. It can be specified as being versus the reference electrode or the cell's open circuit potential. The allowed range is based on the capabilities of your potentiostat. Please consult your Hardware Operators Manual for more information.


Notes...

The Notes selection is similar to that used in DC105. There is, however, a separate notes entry for each channel in a multiplexed experiment.


Pause/Continue

Pause and Continue work the same as they do in the DC105


PStat/Multiplexer

The PStat and Multiplexer are selected using the labeled buttons. Only one device of each type may be selected. Devices that are not available will be grayed out.

Be careful -- the multiplexer and potentiostat that you select must be connected together!


Repeat Time

The Repeat Time parameter is the time between each loop through the channels. For example, if the first loop begins at 2:08 and the Repeat Time is 30 minutes, additional loops start at 2:38, 3:08, 3:38, etc. If the test time is relatively constant, the time between tests on a single channel will be close to the Repeat Time.

The Repeat Time is always entered in minutes. Fractional minutes can be entered as decimal numbers.

The Repeat Time must be longer than the time required to run a single test. When you select OK from the Setup dialog box, the script will estimate the time required to run one test. If this time is close to or longer than the entered Repeat Time the Framework will output an error box and return you to the Setup dialog box.


Sample Period (Multiplexed Galvanic Corrosion)

Sample Period

The Sample parameter is the time between each loop through the channels. For example, if the first loop begins at 2:08 and the Sample Period is 30 minutes, additional loops start at 2:38, 3:08, 3:38, etc. If the test time is relatively constant, it is also the approximate time between tests on a single channel.

The Sample Period is always entered in minutes. Fractional minutes can be entered as decimal numbers.

The Sample Period must be longer than the time required to run through the test loop. When you select OK from the Setup dialog box, the script will estimate the time required for the loop. If this time is close to or longer than the entered Sample Period the Framework will output an error box and return you to Setup.


Sample Period (Multiplexed Potentiostatic Scans)

Sample Period

The Sample Period parameter is the time between the start of each loop through the selected cells. Because the time to measure a point on each cell is almost constant, the Sample Period also approximates the time between readings on each cell.

The Sample Period is always entered in minutes. Fractional minutes can be entered as decimal numbers.

The Sample Period must be longer than the time required to record a data point on all the selected cell. When you select OK from the Setup dialog box, the script will estimate the time required to loop through the selected cells. If this time is close to or longer than the entered Sample Period the Framework will output an error box and return you to Setup.


Setup Dialog Box from the SYSTEM.EXP Script


Skip (Multiplexed Galvanic Corrosion)

Skip

The Skip button only affects the test currently being run. It causes the Framework to skip the rest an action. The script then goes on to the next step in the experimental sequence.

If you select Skip during the Conditioning or the Initial Delay of an experiment, the rest of that phase will be skipped. If you select Skip during data acquisition on a channel, the rest of the curve on this channel is skipped. The data collected up to that point is not lost and is used to calculate the required current and voltage point. The software will proceed to the next channel.

If you select Skip in the delay between measurement loops, the system does not proceed to the next loop. Instead, Skip displays a Query box asking you if you wish to terminate the experiment. Selecting Terminate prematurely ends the script. No data is lost. Selecting Continue returns you to the delay between loops.


Skip (Multiplexed Potentiostatic Scans)

Skip

The Skip button affects only the test currently being run. It causes the Framework to skip the rest of most actions that it can perform. The script then goes on to the next step in the experimental sequence.

If you select Skip during the Conditioning or the Initial Delay of an experiment, the rest of that phase will be skipped.

If you select Skip during a scan, the rest of the scan will be skipped. The data collected up to that point is not lost.

If you select Skip in the delay between measurement loops, the system does not proceed to the next loop. Instead, Skip displays a Query box asking you if you wish to terminate the experiment. Selecting Terminate prematurely ends the script. No data is lost. Selecting Continue returns you to the delay between loops.


Skip (Multiplexed Trend)

Skip

The Skip button affects only the test currently being run. It causes the Framework to skip the rest of most actions that it can perform. The script then goes on to the next step in the experimental sequence.

If you select Skip during the Conditioning or the Initial Delay of an experiment, the rest of that phase will be skipped. If you select Skip during a scan, the rest of the scan will be skipped. The data collected up to that point is not lost.

If you select Skip in the delay between measurement loops, the system does not proceed to the next loop. Instead, Skip displays a Query box asking you if you wish to terminate the experiment. Selecting Terminate prematurely ends the script. No data is lost. Selecting Continue returns you to the delay between loops.


System

The System setup parameter is used to select a set of electrochemical parameters relevant to your particular test system. The parameters are recovered from the system parameter database file.

The recovered parameters are all used in the calculation of corrosion rate. They are the sample's equivalent weight, density, anodic b and cathodic b.

When you attempt to run an experiment the system searches the "SYSTEM.SET" file for a parameter set stored under the System name. If no parameter set is found, an error message is displayed and you are returned to the Setup dialog box.


System Computer

The computer responsible for coordinating operation of a Multiplexed DC105 system. In a Multiplexed DC105 system, this is a computer running Microsoft Windows 2000 or Windows XP.


System Potentiostat

The potentiostat responsible for making electrochemical measurements on the cells used in the experiment. The system potentiostat in a Multiplexed DC105 system is a Gamry Instruments' potentiostat located inside the system computer.


Test Parameters (Multiplexed Galvanodynamic Scans)

Test Parameters

All of these parameters have the same meaning as in the DC105.

The entry format for Conditioning and Initial Delay has been changed from the DC105 format. Each of this program steps is now controlled in one line of the Setup dialog box.


Test Parameters (Multiplexed Potentiodynamic Scans)

Test Parameters

All of these parameters have the same meaning as in the DC105.

The entry format for Conditioning and Initial Delay has been changed from the DC105 format. Each of this program steps is now controlled in one line of the Setup dialog box.


Test Parameters (Multiplexed Rp/Ec Scans)

Test Parameters

These parameters control the individual RpEc scan. An individual RpEc scan is made on each cell at each data point. The scans go from Initial E to Final E at a rate of Scan Rate volts/sec. The interval between current readings is given by the Sample Period.


Total Time

The Total Time parameter controls the duration of the experiment. The script keeps track of elapsed time since the start of the experiment. Before each test, this time is compared to the Total Time. If the elapsed time is greater than or equal to the Total Time, the experiment is terminated.

The Total Time is always entered in hours. Fractional hours can be entered as decimal numbers.

If you want to run one test on each cell you can enter a Total Time equal to the Repeat Time. If you want N tests on each cell enter a Total Time equal to N times the Repeat Time. A Total Time of zero results in no tests being run.


Total Time (Multiplexed Galvanic Corrosion)

Total Time

The Total Time parameter is the duration of the experimental run. The script keeps track of elapsed time since the start of the experiment. At the start of each test, this time is compared to the Total Time. If the elapsed time is greater than or equal to the Total Time, the experiment is terminated.

The Total Time is always entered in hours. Fractional hours can be entered as decimal numbers.

If you want to run one test you can enter a Total Time equal to the Repeat Time. If you want N tests on each cell enter a Total Time equal to N times the Repeat Time.


Calculating Total Number of Points

Scan Range = Final E - Initial E = 0.500 V = 500 mV

Scan Time = Scan Range / Scan Rate = 100 seconds

Number of Points = Scan Time/ Sample Period = 200

Point Density = Scan Range/ Number of Points = 2.5 mV per point

You can use the above relationships for all the techniques with a simple voltage sweep. Similar relationships hold for cyclic sweeps and galvanodynamic experiments.


changing_a_checkbox_keyboard

Changing a Checkbox (Keyboard)

1) Use the TAB and SHIFT+TAB keys to move the input focus to the check box. When the focus is on the box the label to its right will be surrounded by a dotted box.

2) Press SPACE to change the check box setting.


changing_a_checkbox_mouse

Changing a Checkbox (Mouse)

To select a check box, move the mouse so that its cursor points to the check box. Click the left mouse button.


changing_a_numeric_field_keyboard

Changing a Numeric Field (Keyboard)

1) Use the TAB key to move the input focus to the field in question.

2) Type in the new number. The old number will be automatically replaced.

3) Do not press ENTER.


changing_a_numeric_field_mouse

Changing a Numeric Field (Mouse)

1) Point the mouse cursor somewhere in the number.

2) Single click the left mouse button. The cursor will change to a vertical "text" cursor.

3) Use the BACKSPACE and/or DELETE keys to erase the old number.

4) Type in the new number using the keyboard.

5) Do not press ENTER.


changing_dialog_box_text_keyboard

Changing Dialog Box Text (Keyboard)

1) Use the tab key to move the input focus to the field in question. When the focus is on a text field the text will be highlighted. Alternately you can use an accelerator key to move the focus to the field. The accelerator is underlined in the field's label. In Output File, the accelerator is alt + F. Most, but not all, DC105 fields have accelerators.

2) Type in the new field contents. The old contents will be erased automatically.

3) Do not press enter until all fields have been changed. enter will close the dialog box and accept any changes you have made in the dialog box settings.


changing_dialog_box_text_mouse

Changing Dialog Box Text (Mouse)

1) Point the mouse cursor somewhere in the text field so that it points at one of the letters in the field contents. In this case point at any letter in "TUTORIAL.DTA".

2) Single click the left mouse button. The cursor will change to a vertical "text" cursor.

3) You can use the RIGHT and LEFT arrow keys to move in the field.

4) Use the BACKSPACE and/or DELETE keys to erase the old contents of the field.

5) Type in the new field contents using the keyboard.

6) Do not press enter until all fields have been changed. enter will close the dialog box and accept any changes you have made in the dialog box settings.


e_log_i_fit_popup

E/Log I Fit..

Does a straight line fit of Log I versus Potential data.


ex2_0

Running a Standard Technique

The following tutorial demonstrates running a standard technique included with the DC105 package.

CAUTION: You should not run the tutorial exercises while using the Framework to acquire real experimental data. The Framework Window should be empty except for the menu bar at the top of the screen. If any "child" windows, such as an editor or experimental window are open within the Framework, close them before proceeding.


ex2_2

Checking Connections

You will run a simple experiment using the Universal Dummy Cell, supplied with your potentiostat. Make the following connections to the metal tabs on the "Calibration" side of the Universal Dummy Cell:

  • Connect the Working Electrode lead (Green) to the "Work" tab.
  • Connect the Reference Electrode lead (White) to the "Ref" tab..
  • Connect the Counter Electrode lead (Red) to the "Counter" tab..
  • If your cell cable has a Working Sense lead (Blue), connect it to the "W Sense" tab.
  • If your cell cable has a Counter Sense lead (Orange), connect it to the "C Sense" tab.
  • Do not connect the Ground Leads (Black) to the Universal Dummy Cell.

For further information on cell connections, please consult your "Hardware Operator's Manual."

Continue


ex2_3

Selecting an Experiment

Select Experiment, DC Corrosion from the Framework menu bar.

Select 'DC105 Tutorial' on the child menu.

The DC105 tutorial is very similar to the Tafel technique. Some modifications (faster scan rate and use of dummy cell) make it more suitable for use in this tutorial. Running a real technique is very similar to running the Tutorial technique. Obviously, one major difference is that in real experiments you connect the cell cable to the cell. If this were a real experiment you would generally make the cell connections before or just after selecting the technique.

Continue


ex2_5

Runner Windows

You will see a new window open up (called a Runner window) and a dialog box appear on top of the window.

The Runner window, like all windows, has a Title Bar. When you type on the keyboard, the information that you type goes to the Window with the "input focus". The Title Bar of the window that has the input focus is always highlighted. Notice that the Runner window does not have the input focus. The dialog box does have the input focus, as shown by its highlighted Title Bar.

The Runner window's title, shown in the Title Bar, is "DC105 Tutorial.exp - ". The first portion of the title, "DC105 Tutorial" is the file name of the script that is running in the Window. When a output file name is selected, its name will be appended to the runner window title. We will describe the buttons in the window, such as the F1-ABORT button, later.

The dialog box contains the parameter settings used by the experiment, controls to globally change the parameters, and controls for the dialog box itself. You will examine a few of the parameters before we go on to run the experiment. Notice the Pstat (potentiostat) selector towards the top of the dialog box. The number of these selectors labeled depends upon the number of potentiostats installed in your system. The highlighted selector indicates that the scan will be performed on that potentiostat. Only one selector can be highlighted at a time. Skip down a few fields, and note that the Output field contains the file name of the output (data) file. The Tutorial technique by default stores its results in a file called "TUTORIAL.DTA".

The two parameter fields, Initial E and Final E define the limits of the potential scan. The radio button to the right of these fields currently reads vs Eref indicating that the limits are potentials relative to the cell's reference electrode. If you click on the radio button next to the vs Eoc this indicates that the limits are now relative to the open circuit potential measured prior to the start of the scan.

You can use the Initial E, Final E, Scan Rate and Sample Period to determine the total number of data points acquired and the density of points along the potential axis. An example can be shown using the Tutorial parameters.

The Sample Area, Density and Equiv.Wt. parameters are used to calculate corrosion rate.

The default parameter set for the Tutorial experiment includes a 30 second initial delay at open circuit. Usually the initial delay is used to allow a sample's open circuit potential to stabilize prior to scanning the potential. The "Stability" parameter allows you to specify a variable delay depending on the stability of the open circuit potential. If the drift in open circuit potential is less than the stability parameter, the delay will end prior to the time limit. The Tutorial's default Stability is 0 mV/sec. The drift rate cannot fall below zero, so the initial delay will always take the full 30 seconds.

Continue


ex2_6

Starting the Experiment

Select the Ok button. If the tutorial has been run previously, the DC105 will place a small dialog box on the screen, asking: Replace output file "TUTORIAL.DTA". Select Yes if this occurs.

Continue


ex2_7

The Experiment Begins...

The DC105 will now start the experiment beginning with the 30 second initial delay. The dialog box will disappear and a graph of open circuit potential versus time will appear on the screen.

This initial delay curve on the dummy cell is unexciting, since the open circuit potential of a resistor is zero. Notice that the 4 buttons at the top of the experiment window have new labels.

The status of the experiment is always displayed on the status bar at the bottom of the window. This display will be referred to as the Status Display. The current contents of the Status Display is "Measuring Open Circuit Delay".

Continue


ex2_9

Continuing the Experiment

Select the "F3- Continue" button. The timer will start again.

Continue


ex2_10

Skipping

After 30 seconds the initial delay will stop by itself. If the initial delay is still going on (Status display is "Running"), select the "F2- Skip" button.

The Skip button always causes the DC105 to skip the rest of whatever action it is currently performing and go on to the next step in the experimental script. If you select Skip during a scan, the rest of the scan in that direction will be skipped. The data collected up to that point is not lost. For simple single direction scans, selecting Skip during the scan ends the experiment. For the first half of cyclic scans, Skip is effectively a reverse, since the next step after the initial scan in a cyclic scanning experiment is the reverse scan.

The Abort button always cancels the entire experiment. Unless data acquisition has been completed, any data collected prior to selection of Abort will be lost.

Continue


ex2_13

Closing the Runner Window

When data acquisition has been completed, the Status Display changes to "Curve Done". Admire the data, then select F2-Skip to close the Runner window.

When the curve is done, the data is written to the output file, the Status Display is changed to "Curve Done", and the program pauses. Selecting Skip closes the experiment window.

Continue


ex2_14

Congratulations!

You have completed this tutorial!


ex3_0

Experimental Parameters and Parameter Sets

Standard techniques are useful but they do have limitations. One of these is that their default parameters (such as scan rates and potential limits) are not usable for all samples and/or tests. In most cases you will need to make changes in the experimental parameters to match your test conditions. Changing parameters does not involve any programming or generation of a new technique. All that is required is some entries into a dialog box on the computer's screen.

The DC105 allows you to change parameters in all the standard techniques. Once you have made your changes to the parameters used by an experiment, you can save all your new parameters in a named parameter set. When you need to repeat a test, you can recall that parameter set. This tutorial exercise demonstrates the techniques used to generate, save and recall parameter sets.


ex3_1

Preparing the Environment

Close any open windows, so that the only open application is the Framework software.

Continue


ex3_2

Selecting the Experiment

Select Experiment. On the pull down menu, select DC Corrosion, followed by Tutorial. You will again get a Runner window and a Setup dialog box.

Notice the Pstat (potentiostat) selector towards the top of the dialog box. The number of selectors labeled depends upon the number of potentiostats installed in your system. The highlighted selector indicates that the scan will be performed on that potentiostat. Only one selector can be highlighted at a time.

Continue


ex3_4

Naming the Output File

Change the Output File parameter to "TEST.DTA".

This can be performed using either the mouse or the keyboard.

Output file names must follow the Windows file name conventions. Both upper and lower case characters are acceptable. The ".DTA" file name extension is short for data. We recommend that you use this extension for all your data files, because the Echem Analyst looks for files with a ".DTA" extension by default.

Continue


ex3_6

Selecting a Radio Button

Select the radio button to the right of the Initial E value to make the potential relative to the open circuit potential. This button is next to the "vs Eoc" label.

This can be performed using either the mouse or the keyboard.

Continue


ex3_7

Changing a Checkbox

Click the check box next to Initial Delay.

This activates the Initial Delay sequence and makes the Time and Stability boxes active. Notice that the Time and Stability parameter labels are on the same line as the Init.Delay label. This format indicates a hierarchy. Time and Stability are parameters that affect only the Initial Delay portion of the experiment.

Continue


ex3_8

Turning Off Initial Delay

Select the check box next to Init.Delay. The "X" in the box will disappear, indicating that the Initial Delay is now off.

With Initial Delay off, the experiment will still perform a very short delay at open circuit - just long enough to measure the open circuit potential.

Continue


ex3_9

IR Compensation

Select the check box next to IR Comp. This will turn current interrupt IR Compensation On. Select the check box again to turn IR Comp off again.

We will now return to the Notes... button that we skipped over previously. Notes are text that you enter to describe a given experiment. Typically you will use notes to save data such as sample identification, media in which the test is performed, and other experimental conditions. The text in the notes becomes part of the data file for an experiment.

Continue


ex3_10

Entering Notes

The start of the first two lines of Notes is normally shown. To view the entire Notes, click the button to the right of the Notes field.

A dialog box for the entry of your notes will appear on the screen. A text cursor will be seen at the start of the dialog box. Enter the following text.

These are the Notes for

the Tutorial Exercise.

You can use the direction keys, backspace and delete to fix any typing errors that occur while entering Notes.

Continue


ex3_12

Accepting the Notes

Select the OK button.

The Notes... dialog box will disappear.

Once you have the parameter set that you desire, you will often save it to the disk. You may want to save a parameter set even if you think it will only be reused a few times. It is easier to restart an experiment by restoring parameters than by reentering them.

Parameter sets are stored in a file with a ".SET" file name extension. More than one parameter set can be stored in each file, with the set distinguished by a Set Name. This system is a powerful tool for organizing your experimental setups. For example, each worker in a lab can have his own setup file ("JOE.SET", "KAREN.SET", etc.). Within her file, Karen can save multiple parameter sets under descriptive Set Names ("C1010 Pol. Res", "Fast Rp scan", etc.).

Sets are stored in a technique independent format. Thus a parameter set created for use in a Polarization Resistance scan can be recalled into the Tafel setup dialog box. Only parameters found in both techniques are changed when the parameter set is recalled.

The notes that you enter in the Notes... field are written into the data file as part of the permanent record of your experiment. They are saved with the other experimental parameters.

The Default button on the dialog box is used to restore the parameters on the screen to their default values. You can use it to fix typing errors or find out previous values for a parameter you have already retyped.

Continue


ex3_13

Saving the Parameters

Select the Save button. A dialog box will appear on the screen. Change the File name field to "TEST". Change the Set Name field to TUTORIAL. Select Save.

You have just saved the parameters seen on your display in the file "TEST.SET ". This file now contains only one parameter set, stored under the Set Name "TUTORIAL".

Now we will abandon this parameter set by canceling the experiment. We will then start up a new experiment and recall this parameter set to demonstrate how the restore process works.

Continue


ex3_14

Aborting the Experiment

Select Cancel. This will abort the experiment in progress.

Continue


ex3_15

Reselecting the Experiment

Select Experiment, DC Corrosion, DC105 Tutorial.

The dialog box will display the original parameters for the DC105 Tutorial Technique.

Continue


ex3_17

Selecting the Setup Name

Select TUTORIAL in the Set Name list box. Select the Restore button.

You will return to the Setup dialog box. The parameter settings in the Setup dialog box should now be those that you had previously saved. At this point you would normally make any additional changes in the parameters, then select Ok to run the experiment with the new parameter set. Do not select Ok this time, however, as no cell may be hooked up to the potentiostat.

Continue


ex3_18

Finishing the Tutorial

Select the Cancel button.

Continue


ex3_19

Congratulations!

You have completed this tutorial!


ex4_0

Data Analysis and Plotting

Data analysis in the DC105 is done using the Gamry Echem Analyst. We have provided standard analysis scripts which are suitable for analysis and display of the data files output by all the standard techniques. We will use the standard Potentiodynamic analysis script for analysis of our Tutorial data file. We do not need a special tutorial analysis script.

You will normally invoke the Gamry Echem Analyst from the Framework Analysis menu selection. The Analysis functions in the Framework make the Gamry Echem Analyst the active Windows application program. If the Gamry Echem Analyst is not running when you select one of the Analysis commands, the Framework program will automatically start it.

This tutorial exercise demonstrates:

  • Use of the Framework Analysis Menu selection
  • Loading a data file into the Gamry Echem Analyst
  • Defining a region of interest
  • Performing a Tafel analysis
  • Performing a polarization resistance calculation


ex4_1

Preparing the Environment

Close any open windows, so that the only program running is the Framework Software.

Continue


ex4_2

Starting the Gamry Echem Analyst

Select Analysis, Start Analysis...

The Echem Analyst takes some time to load and initialize. As the package loads, the screen will switch to to the Echem Analyst window. The Echem Analyst handles display of all of the Framework data files. There are no special macros which need to be loaded by the user. The Echem Analyst does all of the work in deciding which analysis script to run.

Continue


ex4_3

Switching between Windows

Practice switching between the Framework and the Gamry Echem Analyst. End this step with the Echem Analyst window active.

This can be performed using either the mouse or the keyboard.

A Windows application program can continue running even when its window is not displayed. You can minimize the Framework program while it is running an experiment and it will continue to take data. You can analyze previously stored data or even write a report while taking DC105 data.

Continue


ex4_4

Picking a Data File

On the Echem Analyst Menu bar, select File, Open... In the resulting dialog box, select "TUTORIAL.DTA" from the File name list box. Select Open.

Data files contain tags that identify suitable analysis packages for that file. The Echem Analyst uses a database to determine which analysis script to use for the data file. The user does not have to know anything about analysis scripts.

Eventually you will see a chart of Log Current versus Potential on your screen.

Continue


ex4_5

Potentiodynamic Menu

Select Potentiodynamic. Do not select any of the items on the pull down menu at this time.

The items on this menu and their functions are:

· Tafel Analysis...

· Polarization Resistance

· Integration I(t)...

· Min/Max I...

· E/Log I Fit...

Our goal is to do a Tafel data analysis on the Tutorial data.

Prior to a Tafel analysis, you will need to select a portion of your data to be used in the calculation. Only the data in the selected region will be used in the calculation. For example, you can exclude data that is showing the onset of passivation. We will define a selected region for the Tutorial data to demonstrate how it's done.

Continue


ex4_6

Selecting a Region

Change the select region of the curve to about +100 mV to -100 mV from Ecorr.
Use the "Select Portion of Curve" tool from the Chart Toolbar

To operate this tool, left click in the main chart body, near the first point bounding the region you wish to select. Finally, left click again, near the second point bounding the region you wish to select. Once you make these two selections, you will see the chart highlight the region you have selected.

NOTE: The Gamry Echem Analyst, unlike the Framework program itself, is really designed for mouse driven operation. Some Analysis operations are not possible without a mouse.

Continue


ex4_7

Tafel Analysis

On the menu bar, Select Potentiodynamic, Tafel Analysis... On the Tafel Fit Setup dialog box, if the Use Seed Values checkbox contains a checkmark, select the box to clear it. Select Ok.

The Framework software will now fit the data set to the Butler-Volmer equation. The fit is a non-linear optimization.

NOTE: The Butler-Volmer model does not really apply to the Tutorial data. Remember that the tutorial data was recorded on a resistor and therefore has no exponential character. For this reason, don't expect the fit to be very good.

The seed values can be used to speed up the fit if you can estimate the values for the fit parameters. Be careful, poor estimates used as seed values can result in wildly inaccurate numerical fits.

Continue


ex4_8

Viewing the Results

The fit may take a few seconds. When it is complete the dialog box will display the new values of the input parameters. Press Close when you are finished looking at these parameters.

When the fit has been completed, you will see a new curve on the graph. The new curve is the fit.

When you select Close, a new page will be added to the display. This page will be titled "Tafel". If you click on this page you will be able to see the values of the parameters as adjusted by the fit.

We will now prepare for a Polarization Resistance calculation on this same data set. First we will change the graph type from log to linear.

Continue


ex4_9

Changing Axis Parameters

Right Click on any the Current Axis Numeric labels. This will bring up a context sensitive menu. Select Properties. Select the Scale tab. Uncheck the Logarithmic scale checkbox. Select Ok.

This changes the current axis to linear.

Continue


ex4_10

Selecting a Region

Change the select region of the curve to about +100 mV to -100 mV from Ecorr.
Use the "Select Portion of Curve" tool [image] from the Chart Toolbar

To operate this tool, left click in the main chart body, near the first point bounding the region you wish to select. Finally, left click again, near the second point bounding the region you wish to select. Once you make these two selections, you will see the chart highlight the region you have selected.

Continue


ex4_11

Polarization Resistance

Select Potentiodynamic, Polarization Resistance... On the Fit Setup dialog box, select Ok.

The analysis scripts will now fit the selected region of the data to a linear relationship between current and potential. The fit will be quite rapid. A best fit line will be added to the graph.

Continue


ex4_12

Viewing the Results

The fit may take a few seconds. When it is complete a new page will be added to the display.

This page will be titled "PolRes". If you click on this page you will be able to see the resultant values from the fit.

The calculated polarization resistance should be between 1980 ohm and 2020 ohm if you used the Universal Dummy Cell (Rev B, shipped with PCI4 family potentiostats). The calculated value should be between 99 and 101 ohm for the Universal Dummy Cell that was shipped with many PC4 family potentiostats.

Continue


ex4_13

Finishing the Tutorial

Select File, Exit on the Gamry Echem Analyst menu bar.

When prompted to save the file, select No.

Continue


ex4_14

Congratulations!

You have completed this tutorial!


ex5_0

Modifying an Explain Script

Normally to generate a new experiment you will modify the Explain script for one of the standard techniques. This tutorial exercise demonstrates how you can create and run a new experimental script.

You will modify the Tutorial experiment to create a new experiment with different default parameters and a highly simplified Setup dialog box. The experimental parameters such as scan limits and scan rates can no longer be changed in this modified experiment. You can use this type of fixed parameter experiment to maintain consistency among repetitive tests.

Explain scripts are programs written in the Explain experimental control language. They are stored on the disk as ASCII text files. Their file names have an ".EXP" filename extension.

The object of this tutorial is to give you familiarity with the techniques used when modifying scripts, rather than to teach you the Explain language.

If you have a question about changing a script give us a call. We will be happy to give you assistance in making simple changes.


ex5_1

Preparing the Environment

Close any open windows, so that the only program running is the Framework Software.

Continue


ex5_2

Checking Connections

You will run this modified experiment using a 100 ohm resistor, supplied with your potentiostat. Make the following cell connections to the resistor:

  • Connect the Working Electrode lead (Green) to one side of the resistor
  • Connect the Reference Electrode lead (White) and the Counter Electrode lead (Red) to the opposite side of the resistor.
  • If your cell cable has a Working Sense lead (Blue), connect it to the Working Electrode lead (Green)
  • If your cell cable has a Counter Sense lead (Orange), connect it to the Counter Electrode lead (Red)
  • Do not connect the Ground Lead(s) (Black) to the resistor.

For further information on cell connections, please consult your potentiostat's Operator's Manual.

Continue


ex5_3

Selecting a Script

Select File, Open... In the resulting dialog box, chose the file "DC105 TUTORIAL.EXP" from the files list. Select Open.

By default only existing files with the ".EXP" file name extension are displayed in the file list. All the standard techniques are Explain files with an ".EXP" filename extention. Any custom Explain scripts must also use the ".EXP" filename extention.

This command opens up an edit window. In the unlikely event you are creating a script from scratch, you would select File, New Editor to open up the editor window.

The script for the Tutorial experiment will now appear in the editor window.

Continue


ex5_4

Renaming the Script

Select File, Save As... A dialog box will appear asking for the file name you wish to use for the new file.

CAUTION: There is a good reason for saving the file prior to changing it. This prevents File, Save commands from overwriting the original Tutorial script. If you don't save the file to a new name, overwriting the file is an easy mistake to make.

If you do overwrite any standard script, don't panic. It can be recovered easily by copying the original script still safely on your distribution CD.

Type "QUICK.EXP" in the File name field. Select Save.

Continue


ex5_6

Navigating the Script

Use the scroll bar or direction keys to move down into the file. About 20 lines into the file, you will see the following two lines of code.

Init = POTEN.New("VINIT", -0.25,FALSE,"Initial E")
Final = POTEN.New("VFINAL", 0.25,FALSE,"Final E")

These lines define the initial and final potentials as objects of the class called POTEN, and assigns initial values to these objects. These potentials are used to define the scan limits for the voltage scan portion of the tutorial experiment.

Continue


ex5_7

Making Changes

Change the word FALSE in each of these lines to TRUE.

Continue


ex5_8

Navigating the Script

About 10 lines further into the program, you will see the following section of code.

result = Setup("Tutorial"
& ,PstatSelect.Selector(SELECTOR_ASTERISK)
& ,Title
& ,Output
& ,Notes
& ,Init
& ,Final
& ,Scan
& ,Sample
& ,Area
& ,Density
& ,Equiv
& ,Delay
& ,IRComp
& )

if (result eq FALSE) ; Cancel
 return

This code calls a complex Framework library function named Setup(). Setup() creates the Setup dialog box and handles user entry of parameters. Setup() returns a value that is FALSE if you exit the dialog box with the Cancel button rather than the Ok button.

Continue


ex5_9

Making Changes

Select the text starting with Init and ending with IRComp. Press delete on your keyboard. The new section of code should look like this:

result = Setup("Tutorial"
& ,PstatSelect.Selector(SELECTOR_ASTERISK)
& ,Title
& ,Output
& ,Notes
& )

if (result eq FALSE) ; Cancel
return

This can be performed using either the mouse or the keyboard.

CAUTION: Be careful that there is a close parenthesis ")" after the word Notes. If there isn't the script will not work properly.

Continue


ex5_10

Saving the Script

Select File, Save. This will save the file under the "QUICK.EXP" filename that you entered earlier.

At this point you can run the script using either the Current Script or Named Script... selections in the Experiment pull down menu. We will use Named Script... because it's the more generally useful method.

Continue


ex5_11

Re-selecting the Experiment

Select Experiment, Named Script... In the resulting dialog box, select "QUICK.EXP" from the File name list box. Select Open.

From this point on, the script will run like the script for a standard experiment.

Continue


ex5_12

Changing Output Filename

On the shortened dialog box, change the Output field to QUICK.DTA. Select Ok.

Continue


ex5_13

Finishing the Tutorial

When the experiment is complete, admire the data, then select F1-ABORT. When prompted, say Yes.

Continue


ex5_14

Congratulations!

You have completed this tutorial!


ex6_0

Data and Results Files

DC105 experiments generate two types of disk files. Both files are ASCII text files that can be edited and printed using ordinary tools such as Notepad. You should also find it easy to transport the DC105 files into other programs such as databases, word processors, and spreadsheets.

The basic type of file is a data file, with a ".DTA" file name extension. These files normally contain:

  • The experimental parameters for the experiment
  • Any notes entered as part of running the experiment
  • The data curve

All output to the data file occurs via Explain commands in the experimental script. The contents of data files produced by user generated scripts are therefore variable.

This tutorial gives a brief explanation of the DC105 Output files so that the end user gains a better understanding of the acquired data.


ex6_1

Starting Notepad

Run the NOTEPAD accessory program provided with Windows. NOTEPAD is generally found in the Accessories folder. Select Start, Programs, Accessories, Notepad.

Continue


ex6_3

Opening a Data File

Select File, Open... and change the" Files of type" field to "All Files (*.*)"

Navigate to your Echem Analyst Data Files directory. The default Data File folder is "C:\My Gamry Data". Once you have navigated to the "My Gamry Data" folder, select "TUTORIAL.DTA" in the File name list box. Select Open.

You should now see the Tutorial results file on the screen. If you don't see the file, NOTEPAD may be looking for it in the wrong directory, or it may be looking only for files with a "*.TXT" extension.. If the data file is still not there, try a different directory. If you are unsure of the directory, you can use the Windows Find command to search for the data file.

Let's look at the contents of the file. As we work our way down the file, use the page down key or the scroll bar to move through the file.

The first entry is the tag EXPLAIN. This tag lets the Gamry Echem Analyst know that this file was produced using Explain.

The next entry, TAG DC105TUTORIAL, is a tag for the Gamry Echem Analyst. This entry indicates that this data set was obtained from the DC105 Tutorial and should be analyzed as such. After these tags you will see the experimental parameters. Each parameter is labeled, so this section of the file is easy to follow. If you look back at the tutorial script, you'll see a series of "Printl" lines. These lines are responsible for writing the setup parameters.

The last section is not one of the setup parameters. It is the actual curve data acquired during the experiment. Its label is CURVE and it is a TABLE object. The value following the label is the number of data points in the curve. The tutorial data contains about 200 data points.

Following the curve label and value you will see a set of column labels for the data to follow. In the tutorial experiment, they are point number, time, applied voltage versus Eref, measured cell current, uncompensated voltage, the signal sent to the control amp, the Aux Channel voltage, and an overload report.

Continue


ex6_6

Finishing the Tutorial

Select File, Exit.

Continue


ex6_7

Congratulations!

You have completed this tutorial!


integration_i_t_popup

Integration I(t)..

Integrates the selected region yielding the charge in that region.


min_max_i_popup

Min/Max I..

Finds the minimum and maximum current in the selected region.


pausing_the_experiment_keyboard

Pausing the Experiment (Keyboard)

To select the F3-Pause button, press the F3 key on the keyboard.

The other Framework run time buttons are also tied to function keys. To select them press the function key that forms part of the name for the button.


pausing_the_experiment_mouse

Pausing the Experiment (Mouse)

To select the F3-Pause button, move the mouse so that its cursor points at the button. Single click the left mouse button.


polarization_resistancepopup

Polarization Resistance

Fits the selected region to a linear I versus V equation. This calculation can be used to estimate corrosions rates when the Tafel Beta coefficients are known.


selecting_a_potentiostat_keyboard

Selecting a Potentiostat (Keyboard)

To change the potentiostat selection, use TAB or SHIFT+TAB to move the input focus to one of the PStat selectors. The number for a selector will be surrounded by a dotted box when the focus is one that selector. Use the RIGHT or LEFT arrow key to change the PStat selection.


selecting_a_potentiostat_mouse

Selecting a Potentiostat (Mouse)

To select a potentiostat, move the mouse so that its cursor points to its selection circle. Single click the left mouse button.


selecting_from_a_list_box_keyboard

Selecting from a List Box (Keyboard)

1) Use the TAB key to move the input focus to the field on top of the list box.

2) Use the DOWN arrow key to move down the list. The highlight will move into the list and will show the currently selected item. This item will also appear in the box on top of this list.

3) Do not press ENTER. ENTER is equivalent to the Ok button.


selecting_from_a_list_box_mouse

Selecting from a List Box (Mouse)

To select an item in a list box, move the mouse so that its cursor points to the item you wish to select. If there are too many items in the list to fit inside the box, a scroll bar will be seen to the right of the list to allow display of all the items. Once you are pointing at the desired item, click the left mouse button.


selecting_text_keyboard

Selecting Text (Keyboard)

To select a block of text, use the DIRECTION keys to move the cursor just in front of the desired section. Hold down the SHIFT key as you use the DIRECTION keys to move the cursor to the end of the text section.


selecting_text_mouse

Selecting Text (Mouse)

To select a block of text, point the mouse at the start of the section. Hold down the left mouse button as you drag the mouse to the end of the text selection. Release the mouse button.


switching_windows_keyboard

Switching Windows (Keyboard)

ALT+ESCAPE will cycle between the windows for all application programs currently running. Be sure to hold down the ALT key while tapping the ESCAPE key to switch between windows.

Alternatively you can press ALT+TAB until the window you want to view is visible. Be sure to hold down the ALT key while tapping the TAB key to switch between windows.


switching_windows_mouse

Switching Windows (Mouse)

There are many different ways to switch windows with the mouse. The easiest and most common is to select the window you want to display from the Taskbar by clicking on it with the left button.


tafel_analysis_popup

Tafel Analysis..

Fits the selected region to a Tafel type equation. The result of the calculation is an estimate of the coefficients in the Tafel equation and an estimate of the corrosion rate for the sample.


Tutorial Scan